3.2.0 2013-05-12

2013-05-12  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt, NEWS: fix release date

2013-05-10  Ananta Palani <anantapalani@gmail.com>

	* cmake/modules/FindQtKOAuth.cmake: Add path suffix for systems
	where QtKOAuth include files are in their own sub-directory

2013-05-07  Frédéric Coiffier <fcoiffie@gmail.com>

	* piwigoexport/piwigotalker.cpp: piwigoexport : Correct the
	'date_creation' encoding The time was missing until now (only date).

2013-05-07  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit d2f86e0e6d02033e3b97872f30398ff6f7a1d31f Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Tue May 7 10:50:09 2013
	+0200

2013-05-06  Michael Georg Hansen <mike@mghansen.de>

	* gpssync/gpslistviewcontextmenu.cpp: Fix CR 981341: Uninitialized
	scalar field.

2013-05-04  Michael Georg Hansen <mike@mghansen.de>

	* common/libkipiplugins/widgets/kpimageslist.cpp,
	common/libkipiplugins/widgets/kpimageslist.h,
	timeadjust/clockphotodialog.cpp, timeadjust/clockphotodialog.h,
	timeadjust/settingswidget.cpp, timeadjust/settingswidget.h,
	timeadjust/timeadjustdialog.cpp: Use the currently selected image as
	the default image for the clock photo dialog.

2013-05-03  Pino Toscano <pino@kde.org>

	* acquireimages/scangui.desktop,
	dngconverter/plugin/dngconverter.desktop,
	expoblending/plugin/expoblending.desktop,
	panorama/plugin/panoramagui.desktop: Remove erroneous double-quotes
	around %c in Exec line

2013-04-30  Script Kiddy <scripty@kde.org>

	* jalbumexport/kipiplugin_jalbumexport.desktop.cmake: SVN_SILENT
	made messages (.desktop file)

2013-04-30  Nicolas Lécureuil <neoclust.kde@free.fr>

	* CMakeLists.txt, NEWS: Open for final 3.2.0

2013-04-26  Michael Georg Hansen <mike@mghansen.de>

	* common/libkipiplugins/tools/kpmetadata.h,
	common/libkipiplugins/tools/kpmetasettings.h,
	imgurexport/imgurwidget.cpp, vkontakte/vkapi.cpp: Fix spelling
	errors reported by krazy2.

2013-04-26  Michael Georg Hansen <mike@mghansen.de>

	* CMakeLists.txt: Fix krazy2 warnings.

2013-04-25  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-04-23  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-04-23  Gilles Caulier <caulier.gilles@gmail.com>

	* jalbumexport/jalbum.cpp, jalbumexport/jalbum.h,
	jalbumexport/jalbumconfig.cpp, jalbumexport/jalbumconfig.h,
	jalbumexport/jalbumwindow.cpp, jalbumexport/plugin_jalbumexport.cpp: 
	polish source code use const ref when it's possible constify
	pointers fix pedantic

2013-04-22  Pino Toscano <pino@kde.org>

	* htmlexport/theme.cpp, htmlexport/theme.h: htmlexport: QBool ->
	bool QBool is just an internal Qt type, which is even dropped in Qt5;
	just use plain bool, which is the right thing.

2013-04-22  Gilles Caulier <caulier.gilles@gmail.com>

	* htmlexport/theme.h: polish

2013-04-22  Script Kiddy <scripty@kde.org>

	* jalbumexport/kipiplugin_jalbumexport.desktop.cmake: SVN_SILENT
	made messages (.desktop file)

2013-04-21  Script Kiddy <scripty@kde.org>

	* jalbumexport/kipiplugin_jalbumexport.desktop.cmake: SVN_SILENT
	made messages (.desktop file)

2013-04-20  Script Kiddy <scripty@kde.org>

	* imageshackexport/kipiplugin_imageshackexport.desktop.cmake,
	jalbumexport/kipiplugin_jalbumexport.desktop.cmake,
	mediawiki/kipiplugin_wikimedia.desktop.cmake: SVN_SILENT made
	messages (.desktop file)

2013-04-18  Script Kiddy <scripty@kde.org>

	* dlnaexport/kipiplugin_dlnaexport.desktop.cmake,
	ipodexport/kipiplugin_ipodexport.desktop.cmake,
	jalbumexport/kipiplugin_jalbumexport.desktop.cmake,
	kioexportimport/kipiplugin_kioexportimport.desktop.cmake,
	kmlexport/kipiplugin_kmlexport.desktop.cmake: SVN_SILENT made
	messages (.desktop file)

2013-04-17  Andrew Goodbody <ajg02@elfringham.co.uk>

	* jalbumexport/jalbumconfig.cpp: Coverity UNINT_CTOR fixes

2013-04-17  Frédéric Coiffier <fcoiffie@gmail.com>

	* piwigoexport/piwigotalker.cpp: piwigoexport : Correct a bug with
	special chars in login/password Use QUuid to generate the HTTP token Remove some old useless codes

2013-04-17  Script Kiddy <scripty@kde.org>

	* calendar/plugin/kipiplugin_calendar.desktop.cmake,
	flashexport/kipiplugin_flashexport.desktop.cmake,
	galleryexport/kipiplugin_galleryexport.desktop.cmake,
	htmlexport/kipiplugin_htmlexport.desktop.cmake,
	htmlexport/themes/classic/classic.desktop,
	htmlexport/themes/cleanframes/cleanframes.desktop,
	htmlexport/themes/dateframes/dateframes.desktop,
	jalbumexport/kipiplugin_jalbumexport.desktop.cmake: SVN_SILENT made
	messages (.desktop file)

2013-04-16  Script Kiddy <scripty@kde.org>

	* jalbumexport/kipiplugin_jalbumexport.desktop.cmake: SVN_SILENT
	made messages (.desktop file)

2013-04-15  Andrew Goodbody <ajg02@elfringham.co.uk>

	* jalbumexport/jalbumwindow.cpp: Update jalbumexport strings to be
	more clear Change text to try and be more clear about which sort of album is
	being referred to.

2013-04-14  Pino Toscano <pino@kde.org>

	* jalbumexport/jalbumconfig.cpp: jalbumexport: i18n fixes - translate a message box error text - remove trailing spaces in labels - remove extra "..." in button labels - use proper capitalization in buttons and window titles

2013-04-14  Pino Toscano <pino@kde.org>

	* jalbumexport/Messages.sh: jalbumexport: i18n: extract messages

2013-04-14  Andrew Goodbody <ajg02@elfringham.co.uk>

	* CMakeLists.txt, NEWS, jalbumexport/CMakeLists.txt,
	jalbumexport/icons/CMakeLists.txt, jalbumexport/jalbum.cpp,
	jalbumexport/jalbum.h, jalbumexport/jalbumconfig.cpp,
	jalbumexport/jalbumconfig.h, jalbumexport/jalbumwindow.cpp,
	jalbumexport/jalbumwindow.h,
	jalbumexport/kipiplugin_jalbumexport.desktop.cmake,
	jalbumexport/kipiplugin_jalbumexportui.rc,
	jalbumexport/plugin_jalbumexport.cpp,
	jalbumexport/plugin_jalbumexport.h: Add kipi plugin for exporting to
	jAlbum Create the minimal files for creating an album in jAlbum from the
	selected images in digikam. The user must choose where to create the
	directory for the album and the files are then created in this
	directory. Finally jAlbum will be launched for the user to make
	further alterations and actually create the album.  Requires a JVM
	and jAlbum both to be installed.  BUG: 316719 FIXED-IN: 3.2.0

2013-04-14  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-04-13  Pino Toscano <pino@kde.org>

	* imgurexport/imgurwidget.cpp: imgurexport: i18n: remove extra space

2013-04-13  Pino Toscano <pino@kde.org>

	* imgurexport/imgurtalker.cpp: imgurexport: i18n: missing i18n for
	visible string

2013-04-13  Pino Toscano <pino@kde.org>

	* imgurexport/imgurwindow.cpp: imgurexport: i18n: use two proper
	error strings avoid a string puzzle based on the presence of the error string
	making use of two separate i18n strings

2013-04-13  Pino Toscano <pino@kde.org>

	* imgurexport/imgurtalker.cpp: imgurexport: do not leak the
	QJson::Parser just create it on stack, so it will be deleted once the function
	exits

2013-04-13  Pino Toscano <pino@kde.org>

	* imgurexport/imgurtalkerauth.cpp, imgurexport/imgurtalkerauth.h: 
	imgurexport: i18n: fix translation of error messages turn ImgurTalkerAuth::getAuthError into a static method returning a
	plain const char* of the error string, properly marked for i18n;
	actually translate the getAuthError string when sending it as signal
	(while leaving in english in debug messages)

2013-04-13  Pino Toscano <pino@kde.org>

	* imgurexport/imgurwidget.cpp: imgurexport: i18n: use i18n instead
	of tr (and fix style)

2013-04-13  Script Kiddy <scripty@kde.org>

	* acquireimages/kipiplugin_acquireimages.desktop.cmake,
	acquireimages/scangui.desktop,
	advancedslideshow/plugin/kipiplugin_advancedslideshow.desktop.cmake
	, calendar/plugin/kipiplugin_calendar.desktop.cmake,
	common/libkipiplugins/kipiplugins.desktop.cmake,
	dngconverter/plugin/dngconverter.desktop,
	expoblending/plugin/expoblending.desktop,
	expoblending/plugin/kipiplugin_expoblending.desktop.cmake,
	facebook/kipiplugin_facebook.desktop.cmake,
	htmlexport/themes/classic/classic.desktop,
	htmlexport/themes/cleanframes/cleanframes.desktop,
	htmlexport/themes/dateframes/dateframes.desktop,
	htmlexport/themes/details/details.desktop,
	htmlexport/themes/floating_cards/floating_cards.desktop,
	htmlexport/themes/frames/frames.desktop,
	htmlexport/themes/matrix/matrix.desktop,
	htmlexport/themes/s0/s0.desktop,
	htmlexport/themes/simple/simple.desktop,
	htmlexport/themes/snow/snow.desktop,
	printimages/plugin/kipiplugin_printimages.desktop.cmake,
	wallpaper/kipiplugin_wallpaper.desktop.cmake: SVN_SILENT made
	messages (.desktop file)

2013-04-11  Michael Georg Hansen <mike@mghansen.de>

	* gpssync/backend-geonames-rg.h, gpssync/backend-geonamesUS-rg.h,
	gpssync/backend-osm-rg.h, gpssync/backend-rg.h,
	gpssync/gpsdataparser.h, gpssync/gpsdataparser_p.h,
	gpssync/gpsimagelistdragdrophandler.h, gpssync/gpssyncdialog.h,
	gpssync/gpsundocommand.h, gpssync/kipiimagelist.h,
	gpssync/searchbackend.h, gpssync/searchwidget.h, gpssync/setup.h,
	gpssync/setup_general.h: Fix krazy2 warnings.

2013-04-11  Michael Georg Hansen <mike@mghansen.de>

	* calendar/print/calpainter.h, calendar/wizard/calwidget.h,
	debianscreenshots/dstalker.h, debianscreenshots/dswidget.h,
	flashexport/flashmanager.h,
	flashexport/importWizard/firstrunpage.h,
	flashexport/importWizard/generalpage.h,
	flashexport/importWizard/importwizarddlg.h,
	flashexport/importWizard/intropage.h,
	flashexport/importWizard/lookpage.h, galleryexport/albumdlg.h,
	galleryexport/gallerytalker.h, panorama/manager/manager.h,
	rawconverter/dialogs/singledialog.h,
	rawconverter/manager/actionthread.h, timeadjust/actionthread.h,
	timeadjust/clockphotodialog.h, timeadjust/myimagelist.h,
	timeadjust/settingswidget.h, timeadjust/timeadjustdialog.h: Fix
	krazy2 warnings.

2013-04-11  Michael Georg Hansen <mike@mghansen.de>

	* dlnaexport/hupnpmediaserver.h, dlnaexport/wizard.h,
	expoblending/blendingdlg/bracketstack.cpp,
	expoblending/blendingdlg/bracketstack.h,
	expoblending/blendingdlg/enfusestack.h,
	expoblending/manager/manager.h, photivointegration/piimglist.h,
	photivointegration/piwidget.h, photivointegration/piwindow.h: Fix
	krazy2 warnings.

2013-04-11  Michael Georg Hansen <mike@mghansen.de>

	* flickrexport/flickrnewphotosetdialog.h,
	kioexportimport/KioExportWidget.h,
	kioexportimport/KioExportWindow.h,
	kioexportimport/KioImportWindow.h,
	printimages/tools/atkinspagelayout.h,
	printimages/tools/signalblocker.h, printimages/tools/tphoto.h,
	removeredeyes/plugin/workerthread.h,
	removeredeyes/widgets/infomessagewidget.h,
	removeredeyes/widgets/previewwidget.h,
	removeredeyes/widgets/storagesettingsbox.h,
	removeredeyes/widgets/unprocessedsettingsbox.h,
	sendimages/imageresize.h, sendimages/myimagelist.h,
	videoslideshow/dialogs/exportdialog.h,
	videoslideshow/dialogs/slideshowsettingswidget.h,
	videoslideshow/magickiface/magickiface.h,
	videoslideshow/magickiface/processimage.h,
	videoslideshow/manager/actionthread.h: Fix krazy2 warnings.

2013-04-11  Michael Georg Hansen <mike@mghansen.de>

	* advancedslideshow/plugin/commoncontainer.h,
	advancedslideshow/plugin/screenproperties.h,
	advancedslideshow/widgets/listsounditems.h,
	advancedslideshow/widgets/slideplaybackwidget.h,
	batchprocessimages/tools/borderimagesdialog.h,
	batchprocessimages/tools/colorimagesdialog.h,
	batchprocessimages/tools/convertimagesdialog.h,
	batchprocessimages/tools/effectimagesdialog.h,
	batchprocessimages/tools/filterimagesdialog.h,
	batchprocessimages/tools/recompressimagesdialog.h,
	batchprocessimages/tools/recompressoptionsdialog.h,
	batchprocessimages/tools/resizecommandbuilder.cpp,
	batchprocessimages/tools/resizecommandbuilder.h,
	batchprocessimages/tools/resizeoptionsdialog.cpp,
	batchprocessimages/tools/resizeoptionsdialog.h: Fix krazy2 warnings.

2013-04-11  Michael Georg Hansen <mike@mghansen.de>

	* ipodexport/uploaddialog.h, metadataedit/exif/exifadjust.h,
	metadataedit/exif/exifcaption.h, metadataedit/exif/exifdatetime.h,
	metadataedit/exif/exifdevice.h, metadataedit/exif/exifeditwidget.h,
	metadataedit/exif/exiflens.h, metadataedit/exif/exiflight.h,
	metadataedit/iptc/iptccategories.h,
	metadataedit/iptc/iptccontent.h, metadataedit/iptc/iptccredits.h,
	metadataedit/iptc/iptceditwidget.h,
	metadataedit/iptc/iptcenvelope.h, metadataedit/iptc/iptckeywords.h,
	metadataedit/iptc/iptcorigin.h, metadataedit/iptc/iptcproperties.h,
	metadataedit/iptc/iptcstatus.h, metadataedit/iptc/iptcsubjects.h,
	metadataedit/xmp/xmpcategories.h, metadataedit/xmp/xmpcontent.h,
	metadataedit/xmp/xmpcredits.h, metadataedit/xmp/xmpeditwidget.h,
	metadataedit/xmp/xmpkeywords.h, metadataedit/xmp/xmporigin.h,
	metadataedit/xmp/xmpproperties.h, metadataedit/xmp/xmpstatus.h,
	metadataedit/xmp/xmpsubjects.h: Fix krazy2 warnings.

2013-04-11  Michael Georg Hansen <mike@mghansen.de>

	* flashexport/importWizard/firstrunpage.cpp,
	flashexport/importWizard/importwizarddlg.h,
	flashexport/importWizard/progresspage.cpp,
	flashexport/importWizard/selectionpage.h: Fix krazy2 warnings.

2013-04-11  Michael Georg Hansen <mike@mghansen.de>

	* panorama/tasks/createfinalptotask.h, yandexfotki/yfwindow.cpp: Fix
	krazy2 warnings.

2013-04-11  Michael Georg Hansen <mike@mghansen.de>

	* common/libkipiplugins/tools/kpbinaryiface.cpp,
	dlnaexport/finalpage.h, dlnaexport/welcomepage.h,
	dngconverter/plugin/task.cpp, dngconverter/plugin/task.h,
	expoblending/blendingdlg/expoblendingdlg.cpp,
	expoblending/importwizard/importwizarddlg.cpp,
	imageshackexport/imageshackitem.h,
	imageshackexport/imageshackwindow.cpp,
	imageviewer/plugin_viewer.cpp, mediawiki/wmwidget.cpp,
	panorama/tasks/tasks.h, photivointegration/xmpidmap.h,
	timeadjust/task.cpp, timeadjust/task.h,
	videoslideshow/manager/actions.h,
	videoslideshow/manager/actionthread.h: Fix krazy2 warnings.

2013-04-11  Smit Mehta <smit.meh@gmail.com>

	* photolayoutseditor/plugin/main.cpp,
	photolayoutseditor/plugin/photolayoutseditor.cpp,
	photolayoutseditor/plugin/plugin_photolayoutseditor.cpp,
	photolayoutseditor/widgets/menus/LayersTreeMenu.cpp,
	photolayoutseditor/widgets/tools/CanvasEditTool.cpp: Adding missing
	il8n in photolayoutseditor.  Patch by Burkhard Luck on git
	reviewboard 109964

2013-04-11  Pino Toscano <pino@kde.org>

	* photivointegration/Messages.sh: photivointegration: i18n: extract
	messages

2013-04-11  Burkhard Lück <lueck@hube-lueck.de>

	* imgurexport/Messages.sh: add messages extraction for translation

2013-04-09  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt, NEWS: bump to 3.2.0 beta2

2013-04-09  Smit Mehta <smit.meh@gmail.com>

	* NEWS: typo

2013-04-08  Gilles Caulier <caulier.gilles@gmail.com>

	* picasawebexport/picasawebtalker.cpp: compile BUGS: 272521

2013-04-08  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-04-08  Gilles Caulier <caulier.gilles@gmail.com>

	* picasawebexport/picasawebtalker.cpp: apply patch #78704 BUGS:
	272521 FIXED-IN: 3.2.0

2013-04-08  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-04-08  Gilles Caulier <caulier.gilles@gmail.com>

	* kmlexport/kmlgpsdataparser.cpp: apply patch #78004 BUGS: 316597

2013-04-07  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-04-07  Smit Mehta <smit.meh@gmail.com>

	* flickrexport/flickrwidget.cpp, flickrexport/flickrwidget.h,
	flickrexport/flickrwindow.cpp, flickrexport/flickrwindow.h: Applying
	patch by Saurabh Patel.  BUGS:305407

2013-04-05  Gilles Caulier <caulier.gilles@gmail.com>

	* flashexport/importWizard/importwizarddlg.cpp: cppcheck fix : no
	need a break after a return,

2013-04-05  Gilles Caulier <caulier.gilles@gmail.com>

	* expoblending/importwizard/itemspage.cpp: cppcheck fix : remove
	duplicate branches for if and else

2013-04-05  Gilles Caulier <caulier.gilles@gmail.com>

	* dngconverter/dngwriter/dngwriter.cpp: cppcheck fix : reduce
	variable scope

2013-04-05  Gilles Caulier <caulier.gilles@gmail.com>

	* calendar/wizard/caltemplate.cpp: cppcheck fix : reduce variable
	scope

2013-04-05  Gilles Caulier <caulier.gilles@gmail.com>

	* batchprocessimages/common/batchprocessimagesdialog.cpp: cppcheck
	fix : unnecessary break after return

2013-04-05  Gilles Caulier <caulier.gilles@gmail.com>

	* photolayoutseditor/threads/TextItemLoader.cpp,
	photolayoutseditor/widgets/dialogs/TemplatesView.cpp: cppcheck fix :
	use C++ cast instead C style

2013-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt, NEWS: bump to beta1

2013-04-01  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS, facebook/fbalbum.cpp, facebook/fbitem.h,
	facebook/fbtalker.cpp, facebook/fbwindow.cpp: apply aptch #78334
	from Matjaz Drolc to add option to create private album in Facebook
	account.  BUGS: 304771 FIXED-IN: 3.2.0

2013-03-31  Pino Toscano <pino@kde.org>

	* : slideshow.png: rename to match the size this icon is 32x32 big, so install it among other 32 icons instead
	of 22

2013-03-31  Pino Toscano <pino@kde.org>

	* photolayoutseditor/widgets/tools/ToolsDockWidget.cpp: improve
	English form

2013-03-25  Michael Georg Hansen <mike@mghansen.de>

	* .krazy: Update rules for krazy2.

2013-03-22  Script Kiddy <scripty@kde.org>

	* htmlexport/themes/floating_cards/floating_cards.desktop,
	videoslideshow/plugin/kipiplugin_videoslideshow.desktop.cmake: 
	SVN_SILENT made messages (.desktop file)

2013-03-18  Michael Georg Hansen <mike@mghansen.de>

	* acquireimages/scandialog.cpp,
	common/libkipiplugins/dialogs/kpimagedialog.cpp,
	common/libkipiplugins/widgets/kpimageslist.cpp,
	dlnaexport/extra/avtest/controlpoint_navigator.cpp,
	dlnaexport/extra/avtest/mediamanager_dialog.cpp,
	dlnaexport/extra/avtest/rendererconnections.cpp,
	dlnaexport/extra/hupnp/src/devicehosting/controlpoint/hcontrolpoint
	.cpp, dlnaexport/extra/hupnp/src/http/hhttp_asynchandler_p.cpp,
	dlnaexport/extra/hupnp_av/src/cds_model/datasource/habstract_cds_da
	tasource.cpp,
	dlnaexport/extra/hupnp_av/src/contentdirectory/hcontentdirectory_se
	rvice.cpp,
	dlnaexport/extra/hupnp_av/src/mediabrowser/hmediabrowser.cpp,
	dlnaexport/extra/hupnp_av/src/mediarenderer/hconnection.cpp,
	dlnaexport/extra/hupnp_av/src/mediarenderer/hmediarenderer_device_p
	.cpp,
	dlnaexport/extra/hupnp_av/src/mediaserver/hconnectionmanager_source
	service_p.cpp, dlnaexport/extra/qtsoap/src/qtsoap.cpp,
	flickrexport/flickrlist.cpp, imageshackexport/imageshacktalker.cpp,
	imageshackexport/imageshackwindow.cpp,
	imgurexport/imgurimageslist.cpp, imgurexport/imgurtalker.cpp,
	imgurexport/imgurtalkerauth.cpp, imgurexport/imgurwidget.cpp,
	imgurexport/imgurwindow.cpp, ipodexport/uploaddialog.cpp,
	jpeglossless/plugin/plugin_jpeglossless.cpp,
	kioexportimport/KioExportWindow.cpp, mediawiki/wikimediajob.cpp,
	mediawiki/wmwidget.cpp, mediawiki/wmwindow.cpp,
	printimages/wizard/wizard.cpp, sendimages/imageresize.cpp,
	tests/kipiinterface.cpp, tests/multithreading/imageselector.cpp,
	timeadjust/actionthread.cpp, timeadjust/timeadjustdialog.cpp,
	videoslideshow/dialogs/exportdialog.cpp,
	videoslideshow/magickiface/test/testmagickiface.cpp: Normalize
	signal/slot connections.

2013-03-18  Script Kiddy <scripty@kde.org>

	* acquireimages/kipiplugin_acquireimages.desktop.cmake,
	acquireimages/scangui.desktop: SVN_SILENT made messages (.desktop
	file)

2013-03-15  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/widgets/kpimageslist.cpp: cppcheck report a
	possible null pointer dereference here, which is true...

2013-03-15  Script Kiddy <scripty@kde.org>

	* debianscreenshots/kipiplugin_debianscreenshots.desktop.cmake: 
	SVN_SILENT made messages (.desktop file)

2013-03-14  Gilles Caulier <caulier.gilles@gmail.com>

	* dlnaexport/extra/avtest/CMakeLists.txt: do not install test files

2013-03-13  Michael Georg Hansen <mike@mghansen.de>

	* gpssync/gpssyncdialog.cpp, gpssync/kipiimagemodel.cpp: Polish.

2013-03-13  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-03-13  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt: apply patch #78013 from Nucleo BUGS: 316620

2013-03-13  Gilles Caulier <caulier.gilles@gmail.com>

	* project/NEWS.2.8.0, project/NEWS.2.9.0, project/NEWS.3.0.0,
	project/NEWS.3.1.0: polish

2013-03-11  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt: update

2013-03-11  Nicolas Lécureuil <neoclust.kde@free.fr>

	* CMakeLists.txt, NEWS: Open for 3.2.0

2013-03-11  Nicolas Lécureuil <neoclust.kde@free.fr>

	* project/NEWS.3.1.0: Version 3.1.0

2013-03-09  Smit Mehta <smit.meh@gmail.com>

	* dlnaexport/minidlnamediaserver.cpp: added network interface
	argument in minidlna

2013-03-09  Smit Mehta <smit.meh@gmail.com>

	* dlnaexport/finalpage.cpp: making object pointers null after
	deleting them. causes a crash later, if not done

2013-03-08  Gilles Caulier <caulier.gilles@gmail.com>

	* README: update info about Panorama tool dependencies

2013-03-07  Script Kiddy <scripty@kde.org>

	* calendar/plugin/kipiplugin_calendar.desktop.cmake,
	htmlexport/themes/classic/classic.desktop,
	htmlexport/themes/cleanframes/cleanframes.desktop,
	htmlexport/themes/details/details.desktop,
	htmlexport/themes/matrix/matrix.desktop,
	htmlexport/themes/s0/s0.desktop,
	htmlexport/themes/simple/simple.desktop,
	htmlexport/themes/snow/snow.desktop,
	printimages/plugin/kipiplugin_printimages.desktop.cmake,
	wallpaper/kipiplugin_wallpaper.desktop.cmake: SVN_SILENT made
	messages (.desktop file)

2013-03-07  Smit Mehta <smit.meh@gmail.com>

	* dlnaexport/finalpage.cpp, dlnaexport/finalpage.h,
	dlnaexport/wizard.cpp: prevention of crash while deleting dlna
	objects

2013-03-07  Smit Mehta <smit.meh@gmail.com>

	* dlnaexport/finalpage.cpp, dlnaexport/wizard.cpp,
	dlnaexport/wizard.h: Deleting finalpage object when cancel is
	clicked. Otherwise, dlna objects will be still alive in case cancel
	was clicked before stopping the sharing

2013-03-06  Smit Mehta <smit.meh@gmail.com>

	* dlnaexport/minidlnabinary.h, dlnaexport/welcomepage.cpp: calling
	setup after instantiating welcomepage. Otherwise the signal
	generated by it gets lost and binary path has to be reset everytime

2013-03-06  Smit Mehta <smit.meh@gmail.com>

	* dlnaexport/plugin_dlnaexport.cpp: Reloading the plugin when it is
	finished or cancelled

2013-03-05  Smit Mehta <smit.meh@gmail.com>

	* dlnaexport/finalpage.cpp, dlnaexport/finalpage.h,
	dlnaexport/wizard.cpp, dlnaexport/wizard.h: Added signal/slotting
	for disabling/enabling back button when sharing starts/stops.  TODO:
	Figure out the crash, fix finish button, save minidlna binary path
	in system BUG:315580

2013-03-03  Gilles Caulier <caulier.gilles@gmail.com>

	* yandexfotki/yandexrsa.cpp: Fix CR SCAN #986574

2013-03-02  Gilles Caulier <caulier.gilles@gmail.com>

	* dngconverter/dnginfo/dnginfo.cpp: Fix CR SCAN #981258

2013-03-02  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-03-02  Benjamin Girault <benjamin.girault@gmail.com>

	* panorama/ptoparser/ptofile.cpp, panorama/ptoparser/tparser.c,
	panorama/ptoparser/tparser.h, panorama/ptoparser/tparserprivate.c,
	panorama/ptoparser/tparserprivate.h: Panorama: bugfix Fixes char* filename conversion from and to QString BUG: 314836

2013-03-02  Gilles Caulier <caulier.gilles@gmail.com>

	* imageshackexport/imageshacktalker.cpp: Fix CR SCAN #981030 aand
	#981031

2013-03-02  Gilles Caulier <caulier.gilles@gmail.com>

	* gpssync/rgtagmodel.cpp: Fix CR SCAN #981067

2013-03-02  Gilles Caulier <caulier.gilles@gmail.com>

	* gpssync/gpsimagedetails.cpp: Fix CR SCAN #981340

2013-03-02  Gilles Caulier <caulier.gilles@gmail.com>

	* gpssync/gpslistviewcontextmenu.cpp,
	gpssync/gpslistviewcontextmenu.h: Fix CR SCAN #981341

2013-03-02  Gilles Caulier <caulier.gilles@gmail.com>

	* gpssync/gpssyncdialog.cpp: Fix CR SCAN #981342

2013-03-01  Gilles Caulier <caulier.gilles@gmail.com>

	* rajceexport/album.h: fix CR SCAN #981267

2013-03-01  Gilles Caulier <caulier.gilles@gmail.com>

	* removeredeyes/widgets/previewwidget.cpp: Fix CR SCAN #981050

2013-03-01  Gilles Caulier <caulier.gilles@gmail.com>

	* removeredeyes/libcvblobs/BlobExtraction.cpp: Fix CR SCAN #981131

2013-03-01  Gilles Caulier <caulier.gilles@gmail.com>

	* ipodexport/uploaddialog.cpp: Fix CR SCAN #981238

2013-03-01  Gilles Caulier <caulier.gilles@gmail.com>

	* dlnaexport/welcomepage.cpp: fix CR SCAN #981317

2013-03-01  Gilles Caulier <caulier.gilles@gmail.com>

	* flashexport/simpleviewersettingscontainer.h: Fix CR SCAN #981338
	polish

2013-03-01  Gilles Caulier <caulier.gilles@gmail.com>

	* imageshackexport/imageshackwidget.cpp,
	imageshackexport/imageshackwidget.h: Fix CR SCAN #981343 constify
	and polish

2013-03-01  Gilles Caulier <caulier.gilles@gmail.com>

	* metadataedit/exif/exiflight.cpp, metadataedit/exif/exiflight.h: 
	fix CR SCAN #981345 constify and polish

2013-02-28  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-02-26  Gilles Caulier <caulier.gilles@gmail.com>

	* dngconverter/dngwriter/dngwriter_p.cpp: Fix CR SCAN #981026

2013-02-26  Gilles Caulier <caulier.gilles@gmail.com>

	* flickrexport/flickrtalker.cpp: Fix CR SCAN #981029

2013-02-26  Gilles Caulier <caulier.gilles@gmail.com>

	* jpeglossless/plugin/utils.cpp: Fix CR SCAN #981032

2013-02-26  Gilles Caulier <caulier.gilles@gmail.com>

	* jpeglossless/transform/jpegtransform.cpp: Fix CR SCAN #981033

2013-02-26  Gilles Caulier <caulier.gilles@gmail.com>

	* rawconverter/manager/rawdecodingiface.cpp: Fix CR SCAN #981034

2013-02-26  Gilles Caulier <caulier.gilles@gmail.com>

	* advancedslideshow/dialogs/maindialog.cpp: Fix CR SCAN #981059

2013-02-26  Gilles Caulier <caulier.gilles@gmail.com>

	* photolayoutseditor/extra/KEditFactory.cpp: Fix CR SCAN #981069

2013-02-25  Gilles Caulier <caulier.gilles@gmail.com>

	* videoslideshow/dialogs/slideshowsettingswidget.cpp: Fix CR SCAN
	#981375

2013-02-25  Gilles Caulier <caulier.gilles@gmail.com>

	* videoslideshow/dialogs/myimagelist.cpp: Fix CR SCAN #981374

2013-02-24  Angelo Naselli <anaselli@linux.it>

	* printimages/ui/croppage.ui, printimages/wizard/wizard.cpp,
	printimages/wizard/wizard.h: Added and reviewed patch from harsh
	agrawal (improving print to jpg)

2013-02-23  Pino Toscano <pino@kde.org>

	* advancedslideshow/dialogs/soundtrackdialog.cpp,
	advancedslideshow/widgets/listsounditems.cpp,
	gpssync/gpsreversegeocodingwidget.cpp,
	imageshackexport/imageshackwindow.cpp, imageviewer/helpdialog.cpp,
	imageviewer/plugin_viewer.cpp, imgurexport/imgurtalker.cpp,
	picasawebexport/picasawebwidget.cpp,
	rawconverter/dialogs/batchdialog.cpp,
	videoslideshow/dialogs/slideshowsettingswidget.cpp: i18n fixes - translate user-visible strings - fix string puzzles - use i18n() instead of tr() and tr2i18n() - few style fixes

2013-02-23  Pino Toscano <pino@kde.org>

	* dlnaexport/finalpage.cpp, dlnaexport/welcomepage.cpp,
	dlnaexport/wizard.cpp: dlnaexport: i18n: translate some visibile
	strings

2013-02-22  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-02-22  Smit Mehta <smit.meh@gmail.com>

	* timeadjust/kipiplugin_timeadjust.desktop.cmake,
	timeadjust/plugin_timeadjust.cpp, timeadjust/settingswidget.cpp,
	timeadjust/settingswidget.h, timeadjust/timeadjustdialog.cpp,
	timeadjust/timeadjustdialog.h: Applied patch for making TimeAdjust
	plugin work in Gwenview as well.  Credits for patch : Karol Slanina
	BUGS:315302

2013-02-18  Gilles Caulier <caulier.gilles@gmail.com>

	* advancedslideshow/widgets/slideshowkb.h: polish

2013-02-18  Gilles Caulier <caulier.gilles@gmail.com>

	* advancedslideshow/widgets/slideshowkb.cpp: CR : not init members
	in ctor

2013-02-17  Pino Toscano <pino@kde.org>

	* videoslideshow/magickiface/test/CMakeLists.txt: videoslideshow: do
	not register testmagickiface as test case it is not an automatic test but an interactive one, so it is not
	usable within a run of autotests

2013-02-17  Gilles Caulier <caulier.gilles@gmail.com>

	* advancedslideshow/widgets/playbackwidget.cpp: CR : init members in
	Ctor

2013-02-17  Gilles Caulier <caulier.gilles@gmail.com>

	* galleryexport/galleries.cpp: CR : init members in Ctor

2013-02-17  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-02-17  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 0c137fdb381de2d73f1e59036d5f27fd4c87b960 Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Sun Feb 17 15:28:37 2013
	+0100

2013-02-17  Benjamin Girault <benjamin.girault@gmail.com>

	* panorama/ptoparser/tparser.c: Panorama: memory leak bugfix From Coverty Scan

2013-02-17  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-02-15  Gilles Caulier <caulier.gilles@gmail.com>

	* imageviewer/texture.cpp: CR : not initialized member

2013-02-14  Gilles Caulier <caulier.gilles@gmail.com>

	* galleryexport/galleries.cpp, galleryexport/galleries.h,
	galleryexport/galleryconfig.cpp, galleryexport/galleryconfig.h,
	galleryexport/galleryitem.h, galleryexport/gallerympform.cpp,
	galleryexport/gallerympform.h, galleryexport/gallerytalker.cpp,
	galleryexport/gallerytalker.h, galleryexport/gallerywindow.cpp,
	galleryexport/gallerywindow.h,
	galleryexport/plugin_galleryexport.cpp,
	galleryexport/plugin_galleryexport.h,
	piwigoexport/piwigoconfig.cpp, piwigoexport/piwigoconfig.h,
	piwigoexport/piwigoitem.h, piwigoexport/piwigos.cpp,
	piwigoexport/piwigos.h, piwigoexport/piwigotalker.cpp,
	piwigoexport/piwigotalker.h, piwigoexport/piwigowindow.cpp,
	piwigoexport/piwigowindow.h, piwigoexport/plugin_piwigoexport.cpp,
	piwigoexport/plugin_piwigoexport.h: anti spam

2013-02-14  Gilles Caulier <caulier.gilles@gmail.com>

	* galleryexport/gallerywindow.cpp: CR : fix unreached code if item
	is null.  constify and polish

2013-02-14  Gilles Caulier <caulier.gilles@gmail.com>

	* flickrexport/flickrlist.cpp: CR : check dynamic_cast before to use

2013-02-14  Gilles Caulier <caulier.gilles@gmail.com>

	* ipodexport/uploaddialog.cpp: CR : check dynamic_cast before to use

2013-02-14  Gilles Caulier <caulier.gilles@gmail.com>

	* videoslideshow/dialogs/myimagelist.cpp: CR : check dynamic_cast
	before to use

2013-02-14  Gilles Caulier <caulier.gilles@gmail.com>

	* vkontakte/albumchooserwidget.cpp, vkontakte/authinfowidget.cpp: CR
	: check dynamic_cast result before to use

2013-02-12  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-02-12  Victor Dodon <dodonvictor@gmail.com>

	* : commit 50e44e6d16d454b20743400e5c77b4a3485d6938 Author: Victor
	Dodon <dodonvictor@gmail.com> Date:   Tue Feb 12 03:34:37 2013 +0200

2013-02-12  Script Kiddy <scripty@kde.org>

	* photivointegration/kipiplugin_photivointegration.desktop.cmake,
	videoslideshow/plugin/kipiplugin_videoslideshow.desktop.cmake: 
	SVN_SILENT made messages (.desktop file)

2013-02-11  Michael Georg Hansen <mike@mghansen.de>

	* gpssync/gpslistviewcontextmenu.cpp: Use the filename as default
	title for a new bookmark.

2013-02-11  Michael Georg Hansen <mike@mghansen.de>

	* gpssync/CMakeLists.txt, gpssync/gpsbookmarkowner.cpp,
	gpssync/gpslistviewcontextmenu.cpp, gpssync/inputboxnocancel.cpp,
	gpssync/inputboxnocancel.h: Do not ask for a title when adding a
	bookmark. KDE does it now.

2013-02-10  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit b5514a7616b3a5b25f678af13fa2573ba1ea3b0f Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Sun Feb 10 21:04:19 2013
	+0100

2013-02-10  Benjamin Girault <benjamin.girault@gmail.com>

	* panorama/manager/actionthread.cpp: Panorama: cleanup

2013-02-10  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit b235be88772448e18245772914a3e0c0cac5ccef Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Sun Feb 10 19:33:01 2013
	+0100

2013-02-10  Marius Orcsik <marius@habarnam.ro>

	* imgurexport/imgurtalker.cpp: Better error when receiving garbage
	from the web-service

2013-02-10  Marius Orcsik <marius@habarnam.ro>

	* CMakeLists.txt, imgurexport/imgurwidget.cpp: Small misspell

2013-02-10  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-02-09  Ananta Palani <anantapalani@gmail.com>

	* panorama/CMakeLists.txt: Fix panorama icon

2013-02-09  Ananta Palani <anantapalani@gmail.com>

	* cmake/modules/FindQtKOAuth.cmake: Help cmake find kqoauth
	(QtKOauth) on Windows

2013-02-09  Ananta Palani <anantapalani@gmail.com>

	* imgurexport/imgurtalkerauth.cpp: Fix compilation BUG: 314784

2013-02-09  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-02-09  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-02-09  Script Kiddy <scripty@kde.org>

	* expoblending/plugin/expoblending.desktop,
	expoblending/plugin/kipiplugin_expoblending.desktop.cmake,
	kioexportimport/kipiplugin_kioexportimport.desktop.cmake: SVN_SILENT
	made messages (.desktop file)

2013-02-08  Andrew Goodbody <ajg02@elfringham.co.uk>

	* batchprocessimages/tools/borderoptionsdialog.cpp,
	batchprocessimages/tools/coloroptionsdialog.cpp,
	batchprocessimages/tools/convertoptionsdialog.cpp,
	batchprocessimages/tools/effectoptionsdialog.cpp,
	batchprocessimages/tools/filteroptionsdialog.cpp,
	batchprocessimages/tools/renameimageswidget.cpp,
	batchprocessimages/tools/resizeoptionsdialog.cpp: polish previous
	commit for BatchProcessImages

2013-02-08  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt: set 3.1.0 release date

2013-02-07  Script Kiddy <scripty@kde.org>

	* htmlexport/themes/matrix/matrix.desktop,
	htmlexport/themes/snow/snow.desktop,
	photolayoutseditor/plugin/photolayoutseditor.desktop,
	wallpaper/kipiplugin_wallpaper.desktop.cmake: SVN_SILENT made
	messages (.desktop file)

2013-02-07  Nicolas Lécureuil <neoclust.kde@free.fr>

	* CMakeLists.txt, NEWS: Open for new version

2013-02-07  Nicolas Lécureuil <neoclust.kde@free.fr>

	* ChangeLog, project/NEWS.3.0.0: Prepare for version 3.0.0

3.0.0 2013-02-06

2013-02-06  Andrew Goodbody <ajg02@elfringham.co.uk>

	* photolayoutseditor/undo/UndoMoveRowsCommand.cpp,
	photolayoutseditor/widgets/canvas/CropWidgetItem.cpp,
	photolayoutseditor/widgets/dialogs/CanvasSizeDialog.cpp,
	photolayoutseditor/widgets/dialogs/NewCanvasDialog.cpp,
	photolayoutseditor/widgets/tools/CanvasEditTool.cpp: UNINIT_CTOR
	fixes for PhotoLayoutsEditor

2013-02-06  Gilles Caulier <caulier.gilles@gmail.com>

	* panorama/plugin/aboutdata.h,
	panorama/plugin/kipiplugin_panorama.desktop.cmake,
	panorama/plugin/panorama.cpp, panorama/plugin/panoramagui.desktop,
	panorama/plugin/plugin_panorama.cpp,
	panorama/plugin/plugin_panorama.h: add panorama icons

2013-02-06  Gilles Caulier <caulier.gilles@gmail.com>

	* photolayoutseditor/threads/CanvasLoadingThread.cpp,
	photolayoutseditor/threads/ImageLoadingThread.cpp,
	photolayoutseditor/widgets/canvas/RotationWidgetItem.cpp,
	photolayoutseditor/widgets/canvas/Scene.cpp,
	photolayoutseditor/widgets/dialogs/TemplatesView.cpp,
	photolayoutseditor/widgets/items/AbstractPhoto_p.cpp,
	photolayoutseditor/widgets/items/PhotoItem.cpp,
	photolayoutseditor/widgets/tools/ToolsDockWidget.cpp: Coverity
	Reports fixes

2013-02-06  Gilles Caulier <caulier.gilles@gmail.com>

	* photolayoutseditor/effectplugins/blur/BlurPhotoEffect.h: Coverity
	Report fixes

2013-02-06  Gilles Caulier <caulier.gilles@gmail.com>

	* photolayoutseditor/borders/BordersGroup.cpp,
	photolayoutseditor/threads/ImageLoadingThread.cpp,
	photolayoutseditor/widgets/dialogs/TemplatesModel.cpp: Coverity
	Reports fixes

2013-02-06  Gilles Caulier <caulier.gilles@gmail.com>

	* photolayoutseditor/widgets/dialogs/GridSetupDialog.cpp: Coverity
	Reports fixes

2013-02-06  Gilles Caulier <caulier.gilles@gmail.com>

	* photolayoutseditor/widgets/canvas/Scene.cpp,
	photolayoutseditor/widgets/canvas/Scene.h: Coverity Reports fixes

2013-02-06  Gilles Caulier <caulier.gilles@gmail.com>

	* dlnaexport/finalpage.cpp, dlnaexport/minidlnamediaserver.cpp,
	dlnaexport/welcomepage.cpp, dlnaexport/welcomepage.h,
	dlnaexport/wizard.cpp: constify and polish

2013-02-06  Gilles Caulier <caulier.gilles@gmail.com>

	* imgurexport/imgurtalkerauth.cpp, imgurexport/imgurtalkerauth.h,
	imgurexport/imguruploadinformation.cpp,
	imgurexport/imguruploadinformation.h, imgurexport/imgurwidget.cpp,
	imgurexport/imgurwidget.h, imgurexport/imgurwindow.cpp,
	imgurexport/imgurwindow.h, imgurexport/mpform.cpp,
	imgurexport/mpform.h, imgurexport/plugin_imgurexport.cpp,
	imgurexport/plugin_imgurexport.h: constify and polish

2013-02-06  Gilles Caulier <caulier.gilles@gmail.com>

	* imgurexport/imgurimageslist.cpp, imgurexport/imgurimageslist.h,
	imgurexport/imgurtalker.cpp, imgurexport/imgurtalker.h,
	imgurexport/imgurtalker_common.h: Coverity Reports fixes. Constify
	and polish

2013-02-06  Gilles Caulier <caulier.gilles@gmail.com>

	* vkontakte/authinfowidget.cpp, vkontakte/authinfowidget.h,
	vkontakte/vkapi.cpp, vkontakte/vkapi.h, vkontakte/vkwindow.cpp,
	vkontakte/vkwindow.h: Coverity Reports fixes. Constify and polish

2013-02-06  Gilles Caulier <caulier.gilles@gmail.com>

	* vkontakte/albumchooserwidget.cpp, vkontakte/albumchooserwidget.h,
	vkontakte/vkalbumdialog.cpp: constify and polish

2013-02-06  Gilles Caulier <caulier.gilles@gmail.com>

	* removeredeyes/libcvblobs/BlobResult.cpp: Coverity Report fixes

2013-02-06  Gilles Caulier <caulier.gilles@gmail.com>

	* vkontakte/albumchooserwidget.cpp, vkontakte/albumchooserwidget.h: 
	Coverity Reports fixes. Constify and polish

2013-02-06  Script Kiddy <scripty@kde.org>

	* htmlexport/themes/details/details.desktop,
	kmlexport/kipiplugin_kmlexport.desktop.cmake,
	photolayoutseditor/plugin/photolayoutseditor.desktop,
	videoslideshow/plugin/kipiplugin_videoslideshow.desktop.cmake: 
	SVN_SILENT made messages (.desktop file)

2013-02-05  Gilles Caulier <caulier.gilles@gmail.com>

	* rajceexport/mpform.cpp, rajceexport/mpform.h,
	rajceexport/newalbumdialog.cpp, rajceexport/newalbumdialog.h,
	rajceexport/plugin_rajceexport.h, rajceexport/rajcelogindialog.cpp,
	rajceexport/rajcelogindialog.h, rajceexport/rajcesession.cpp,
	rajceexport/rajcesession.h, rajceexport/rajcewidget.cpp,
	rajceexport/rajcewidget.h, rajceexport/rajcewindow.cpp,
	rajceexport/sessionstate.cpp, rajceexport/sessionstate.h: Coverity
	reports fixed. Constify and polish

2013-02-05  Gilles Caulier <caulier.gilles@gmail.com>

	* flickrexport/flickrtalker.cpp, galleryexport/gallerytalker.cpp: 
	polish

2013-02-05  Gilles Caulier <caulier.gilles@gmail.com>

	* gpssync/gpsdataparser_p.h, gpssync/gpsimagedetails.cpp,
	gpssync/gpsimagedetails.h, gpssync/gpsreversegeocodingwidget.cpp,
	gpssync/gpsreversegeocodingwidget.h, gpssync/kipiimageitem.cpp,
	gpssync/kipiimageitem.h, gpssync/kipiimagelist.cpp,
	gpssync/kipiimagelist.h, gpssync/parseTagString.h: constify and
	polish

2013-02-05  Andrew Goodbody <ajg02@elfringham.co.uk>

	* : commit 49133b936c895c999dc6d5959bf70b143f802a59 Author: Andrew
	Goodbody <ajg02@elfringham.co.uk> Date:   Tue Feb 5 15:44:14 2013
	+0000

2013-02-05  Gilles Caulier <caulier.gilles@gmail.com>

	*
	removeredeyes/detection/locators/haarclassifier/haarclassifierlocat
	or.cpp,
	removeredeyes/detection/locators/haarclassifier/haarclassifierlocat
	or.h,
	removeredeyes/detection/locators/haarclassifier/widgets/advancedset
	tings.cpp,
	removeredeyes/detection/locators/haarclassifier/widgets/advancedset
	tings.h,
	removeredeyes/detection/locators/haarclassifier/widgets/blobsetting
	sbox.cpp,
	removeredeyes/detection/locators/haarclassifier/widgets/blobsetting
	sbox.h,
	removeredeyes/detection/locators/haarclassifier/widgets/classifiers
	ettingsbox.cpp,
	removeredeyes/detection/locators/haarclassifier/widgets/classifiers
	ettingsbox.h,
	removeredeyes/detection/locators/haarclassifier/widgets/haarsetting
	swidget.cpp,
	removeredeyes/detection/locators/haarclassifier/widgets/haarsetting
	swidget.h,
	removeredeyes/detection/locators/haarclassifier/widgets/simplesetti
	ngs.cpp,
	removeredeyes/detection/locators/haarclassifier/widgets/simplesetti
	ngs.h: constify and polish

2013-02-05  Gilles Caulier <caulier.gilles@gmail.com>

	* removeredeyes/plugin/plugin_removeredeyes.cpp,
	removeredeyes/plugin/removeredeyeswindow.cpp,
	removeredeyes/plugin/removeredeyeswindow.h,
	removeredeyes/plugin/workerthread.cpp,
	removeredeyes/plugin/workerthread.h,
	removeredeyes/widgets/controlwidget.cpp,
	removeredeyes/widgets/controlwidget.h,
	removeredeyes/widgets/infomessagewidget.cpp,
	removeredeyes/widgets/infomessagewidget.h,
	removeredeyes/widgets/myimageslist.cpp,
	removeredeyes/widgets/previewwidget.cpp,
	removeredeyes/widgets/previewwidget.h,
	removeredeyes/widgets/storagesettingsbox.cpp,
	removeredeyes/widgets/storagesettingsbox.h,
	removeredeyes/widgets/unprocessedsettingsbox.cpp,
	removeredeyes/widgets/unprocessedsettingsbox.h: Coverity Reports
	fixes. Constify and polish

2013-02-05  Gilles Caulier <caulier.gilles@gmail.com>

	* printimages/wizard/wizard.cpp, printimages/wizard/wizard.h: 
	constify, polish, and fix coding style

2013-02-05  Gilles Caulier <caulier.gilles@gmail.com>

	* piwigoexport/piwigotalker.cpp: polish

2013-02-05  Gilles Caulier <caulier.gilles@gmail.com>

	* printimages/plugin/plugin_printimages.cpp,
	printimages/tools/atkinspagelayout.cpp,
	printimages/tools/atkinspagelayout.h,
	printimages/tools/layouttree.cpp, printimages/tools/layouttree.h,
	printimages/tools/signalblocker.h,
	printimages/tools/templateicon.cpp, printimages/tools/tphoto.cpp,
	printimages/tools/tphoto.h, printimages/tools/utils.cpp,
	printimages/tools/utils.h, printimages/wizard/cropframe.cpp,
	printimages/wizard/cropframe.h, printimages/wizard/customdlg.cpp,
	printimages/wizard/customdlg.h, printimages/wizard/printhelper.cpp,
	printimages/wizard/printhelper.h,
	printimages/wizard/printoptionspage.cpp,
	printimages/wizard/printoptionspage.h,
	printimages/wizard/wizard.cpp: constify, polish, fix coding style

2013-02-04  Angelo Naselli <anaselli@linux.it>

	* printimages/wizard/cropframe.cpp: polish

2013-02-04  Gilles Caulier <caulier.gilles@gmail.com>

	* piwigoexport/piwigoconfig.cpp, piwigoexport/piwigoconfig.h,
	piwigoexport/piwigoitem.h, piwigoexport/piwigos.cpp,
	piwigoexport/piwigos.h, piwigoexport/piwigotalker.cpp,
	piwigoexport/piwigotalker.h, piwigoexport/piwigowindow.cpp,
	piwigoexport/piwigowindow.h, piwigoexport/plugin_piwigoexport.cpp,
	piwigoexport/plugin_piwigoexport.h: Coverity Reports fixes. Constify
	and polish

2013-02-04  Gilles Caulier <caulier.gilles@gmail.com>

	* videoslideshow/manager/encoderdecoder.cpp,
	videoslideshow/manager/encoderdecoder.h: polish

2013-02-04  Gilles Caulier <caulier.gilles@gmail.com>

	* videoslideshow/magickiface/processimage.cpp: inverse logic

2013-02-04  Gilles Caulier <caulier.gilles@gmail.com>

	* videoslideshow/dialogs/exportdialog.cpp,
	videoslideshow/dialogs/myimagelist.cpp,
	videoslideshow/dialogs/myimagelist.h,
	videoslideshow/dialogs/slideshowsettingswidget.cpp,
	videoslideshow/magickiface/magickiface.cpp,
	videoslideshow/magickiface/magickiface.h,
	videoslideshow/magickiface/processimage.cpp,
	videoslideshow/magickiface/processimage.h,
	videoslideshow/magickiface/test/testmagickiface.cpp,
	videoslideshow/magickiface/test/testmagickiface.h,
	videoslideshow/manager/actionthread.cpp,
	videoslideshow/plugin/plugin_videoslideshow.cpp: Coverity Reports
	fixes. Constify and polish

2013-02-03  Angelo Naselli <anaselli@linux.it>

	* printimages/wizard/cropframe.cpp: Fixed UNINIT_CTOR

2013-02-03  Angelo Naselli <anaselli@linux.it>

	* printimages/tools/layouttree.cpp: Protect computeDivision access

2013-02-03  Angelo Naselli <anaselli@linux.it>

	* printimages/tools/templateicon.cpp: Fixed UNINIT_CTOR

2013-02-03  Gilles Caulier <caulier.gilles@gmail.com>

	* flickrexport/flickrlist.cpp, flickrexport/flickrwidget.cpp,
	flickrexport/flickrwidget.h: Coverity Reports fixes.  Constify and
	polish

2013-02-03  Gilles Caulier <caulier.gilles@gmail.com>

	* flickrexport/comboboxdelegate.cpp,
	flickrexport/comboboxintermediate.cpp,
	flickrexport/comboboxintermediate.h,
	flickrexport/flickrnewphotosetdialog.h,
	flickrexport/flickrtalker.cpp, flickrexport/flickrtalker.h,
	flickrexport/flickrviewitem.cpp, flickrexport/flickrviewitem.h,
	flickrexport/flickrwindow.cpp, flickrexport/flickrwindow.h,
	flickrexport/login.cpp, flickrexport/login.h,
	flickrexport/plugin_flickrexport.cpp,
	flickrexport/plugin_flickrexport.h: Coverity Reports fixes. Remove
	unsed Qt3support classes. Constify and polish

2013-02-03  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 35d6f2cef16637276c5198980e392ae5b242a83d Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Sun Feb 3 19:23:56 2013
	+0100

2013-02-03  Benjamin Girault <benjamin.girault@gmail.com>

	* expoblending/blendingdlg/bracketstack.cpp,
	expoblending/blendingdlg/enfusesettings.h,
	expoblending/blendingdlg/enfusestack.cpp,
	expoblending/importwizard/preprocessingpage.cpp,
	expoblending/manager/actions.h,
	expoblending/manager/actionthread.cpp: Expoblending: coverty report
	bug fixes

2013-02-03  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-02-03  Gilles Caulier <caulier.gilles@gmail.com>

	* gpssync/searchbackend.cpp: compile

2013-02-03  Gilles Caulier <caulier.gilles@gmail.com>

	* gpssync/parseTagString.h: polish

2013-02-03  Gilles Caulier <caulier.gilles@gmail.com>

	* gpssync/backend-geonames-rg.cpp, gpssync/backend-geonames-rg.h,
	gpssync/backend-geonamesUS-rg.cpp, gpssync/backend-geonamesUS-rg.h,
	gpssync/backend-osm-rg.cpp, gpssync/backend-osm-rg.h,
	gpssync/backend-rg.cpp, gpssync/backend-rg.h,
	gpssync/gpsdatacontainer.h,
	gpssync/gpsimagelistdragdrophandler.cpp,
	gpssync/gpsimagelistdragdrophandler.h, gpssync/gpssync_common.h,
	gpssync/gpsundocommand.cpp, gpssync/gpsundocommand.h,
	gpssync/inputboxnocancel.cpp, gpssync/inputboxnocancel.h,
	gpssync/mapdragdrophandler.cpp, gpssync/mapdragdrophandler.h,
	gpssync/plugin_gpssync.cpp, gpssync/plugin_gpssync.h,
	gpssync/searchbackend.cpp, gpssync/searchbackend.h: polish

2013-02-03  Benjamin Girault <benjamin.girault@gmail.com>

	* NEWS: update

2013-02-03  Benjamin Girault <benjamin.girault@gmail.com>

	* panorama/importwizard/previewpage.cpp,
	panorama/ptoparser/tparsergetters.c: Panorama: bugfix BUG:314244 FIXED-IN: 3.0.0

2013-02-02  Gilles Caulier <caulier.gilles@gmail.com>

	* gpssync/gpssyncdialog.cpp, gpssync/gpssyncdialog.h: Coverity
	reports fixes. Constify and polish

2013-02-02  Gilles Caulier <caulier.gilles@gmail.com>

	* gpssync/gpsreversegeocodingwidget.cpp,
	gpssync/gpsreversegeocodingwidget.h: Coverity Reports fixes.
	Constifya and polish

2013-02-02  Gilles Caulier <caulier.gilles@gmail.com>

	* gpssync/gpslistviewcontextmenu.cpp,
	gpssync/gpslistviewcontextmenu.h: Coverity Reports fixes. Constify
	and polish

2013-02-02  Gilles Caulier <caulier.gilles@gmail.com>

	* gpssync/searchwidget.cpp, gpssync/searchwidget.h: Coverity Reports
	fixes. Constify and polish

2013-02-02  Gilles Caulier <caulier.gilles@gmail.com>

	* gpssync/gpsbookmarkowner.cpp, gpssync/gpsbookmarkowner.h,
	gpssync/setup.cpp, gpssync/setup.h, gpssync/setup_general.cpp,
	gpssync/setup_general.h: Coverity Reports fixes. Constify and polish

2013-02-02  Gilles Caulier <caulier.gilles@gmail.com>

	* gpssync/gpscorrelatorwidget.cpp, gpssync/gpscorrelatorwidget.h,
	gpssync/gpsdataparser.cpp, gpssync/gpsdataparser.h: Coverity reports
	fixes. Constify and polish

2013-02-01  Gilles Caulier <caulier.gilles@gmail.com>

	* gpssync/kipiimagemodel.cpp, gpssync/kipiimagemodel.h: Coverity
	Report fixes. Constify and polish

2013-02-01  Gilles Caulier <caulier.gilles@gmail.com>

	* gpssync/rgtagmodel.cpp, gpssync/rgtagmodel.h: Coverity Reports
	fixes. Constify and polish

2013-02-01  Gilles Caulier <caulier.gilles@gmail.com>

	* dngconverter/dnginfo/dnginfo.cpp,
	dngconverter/dngwriter/dngwriter.cpp,
	dngconverter/dngwriter/dngwriter.h,
	dngconverter/dngwriter/dngwriter_p.cpp,
	dngconverter/dngwriter/dngwriter_p.h,
	dngconverter/dngwriter/dngwriterhost.cpp,
	dngconverter/dngwriter/dngwriterhost.h,
	dngconverter/plugin/aboutdata.h, dngconverter/plugin/actions.h,
	dngconverter/plugin/actionthread.cpp,
	dngconverter/plugin/actionthread.h,
	dngconverter/plugin/batchdialog.cpp,
	dngconverter/plugin/batchdialog.h,
	dngconverter/plugin/dngconverter.cpp,
	dngconverter/plugin/myimagelist.cpp,
	dngconverter/plugin/myimagelist.h,
	dngconverter/plugin/plugin_dngconverter.cpp,
	dngconverter/plugin/plugin_dngconverter.h,
	dngconverter/plugin/settingswidget.cpp,
	dngconverter/plugin/settingswidget.h, dngconverter/plugin/task.cpp,
	dngconverter/plugin/task.h, dngconverter/test/raw2dng.cpp: COverity
	Reports fixes. Constify and polish

2013-02-01  Gilles Caulier <caulier.gilles@gmail.com>

	* rawconverter/dialogs/batchdialog.cpp,
	rawconverter/dialogs/batchdialog.h,
	rawconverter/dialogs/myimagelist.cpp,
	rawconverter/dialogs/myimagelist.h,
	rawconverter/dialogs/singledialog.cpp,
	rawconverter/dialogs/singledialog.h,
	rawconverter/manager/actions.h,
	rawconverter/manager/actionthread.cpp,
	rawconverter/manager/actionthread.h,
	rawconverter/manager/rawdecodingiface.cpp,
	rawconverter/manager/rawdecodingiface.h,
	rawconverter/manager/task.cpp, rawconverter/manager/task.h,
	rawconverter/plugin/plugin_rawconverter.cpp,
	rawconverter/plugin/plugin_rawconverter.h: Coverity reports fixes.
	Constify and polish

2013-02-01  Gilles Caulier <caulier.gilles@gmail.com>

	* jpeglossless/plugin/actions.h,
	jpeglossless/plugin/actionthread.cpp,
	jpeglossless/plugin/actionthread.h,
	jpeglossless/plugin/plugin_jpeglossless.cpp,
	jpeglossless/plugin/plugin_jpeglossless.h,
	jpeglossless/plugin/utils.cpp, jpeglossless/plugin/utils.h,
	jpeglossless/transform/convert2grayscale.cpp,
	jpeglossless/transform/convert2grayscale.h,
	jpeglossless/transform/imageflip.cpp,
	jpeglossless/transform/imageflip.h,
	jpeglossless/transform/imagerotate.cpp,
	jpeglossless/transform/imagerotate.h,
	jpeglossless/transform/jpegtransform.cpp,
	jpeglossless/transform/jpegtransform.h: Coverity reports fixes.
	Constify and polish

2013-02-01  Gilles Caulier <caulier.gilles@gmail.com>

	* ipodexport/ipodheader.cpp, ipodexport/ipodheader.h,
	ipodexport/ipodlistitem.h, ipodexport/plugin_ipodexport.cpp,
	ipodexport/plugin_ipodexport.h, ipodexport/uploaddialog.cpp,
	ipodexport/uploaddialog.h: Coverity reports fixes. Constify and
	polish

2013-02-01  Gilles Caulier <caulier.gilles@gmail.com>

	* advancedslideshow/dialogs/advanceddialog.cpp,
	advancedslideshow/dialogs/advanceddialog.h,
	advancedslideshow/dialogs/captiondialog.cpp,
	advancedslideshow/dialogs/captiondialog.h,
	advancedslideshow/dialogs/slideshowconfig.cpp,
	advancedslideshow/dialogs/slideshowconfig.h,
	advancedslideshow/plugin/commoncontainer.cpp,
	advancedslideshow/plugin/commoncontainer.h,
	advancedslideshow/plugin/plugin_advancedslideshow.cpp,
	advancedslideshow/plugin/plugin_advancedslideshow.h,
	advancedslideshow/plugin/screenproperties.cpp,
	advancedslideshow/plugin/screenproperties.h,
	advancedslideshow/plugin/slideshowloader.cpp,
	advancedslideshow/plugin/slideshowloader.h,
	advancedslideshow/widgets/listsounditems.cpp,
	advancedslideshow/widgets/listsounditems.h,
	advancedslideshow/widgets/slideplaybackwidget.cpp,
	advancedslideshow/widgets/slideplaybackwidget.h,
	advancedslideshow/widgets/slideshow.cpp,
	advancedslideshow/widgets/slideshow.h,
	advancedslideshow/widgets/slideshowgl.cpp,
	advancedslideshow/widgets/slideshowgl.h: constify and polish

2013-02-01  Gilles Caulier <caulier.gilles@gmail.com>

	* advancedslideshow/dialogs/maindialog.cpp,
	advancedslideshow/dialogs/maindialog.h,
	advancedslideshow/widgets/playbackwidget.cpp: Coverity reports
	fixes. Constify and polish

2013-02-01  Gilles Caulier <caulier.gilles@gmail.com>

	* advancedslideshow/plugin/imageloadthread.cpp,
	advancedslideshow/plugin/imageloadthread.h: Coverity reports fixes.
	Constify and polish

2013-02-01  Gilles Caulier <caulier.gilles@gmail.com>

	* advancedslideshow/plugin/kbeffect.cpp,
	advancedslideshow/plugin/kbeffect.h: Coverity reports fixes.
	Constify and polish

2013-02-01  Gilles Caulier <caulier.gilles@gmail.com>

	* advancedslideshow/widgets/slideshowkb.cpp,
	advancedslideshow/widgets/slideshowkb.h: Coverity reports fixes.
	Constify and polish

2013-02-01  Script Kiddy <scripty@kde.org>

	* debianscreenshots/kipiplugin_debianscreenshots.desktop.cmake,
	dlnaexport/kipiplugin_dlnaexport.desktop.cmake,
	imageshackexport/kipiplugin_imageshackexport.desktop.cmake,
	imgurexport/kipiplugin_imgurexport.desktop.cmake,
	kmlexport/kipiplugin_kmlexport.desktop.cmake,
	kopete/kipiplugin_kopete.desktop.cmake,
	mediawiki/kipiplugin_wikimedia.desktop.cmake,
	panorama/plugin/kipiplugin_panorama.desktop.cmake,
	panorama/plugin/panoramagui.desktop,
	photivointegration/kipiplugin_photivointegration.desktop.cmake,
	photolayoutseditor/borders/photolayoutseditorborderplugin.desktop,
	photolayoutseditor/effects/photolayoutseditoreffectplugin.desktop,
	photolayoutseditor/plugin/kipiplugin_photolayoutseditor.desktop.cma
	ke, photolayoutseditor/plugin/photolayoutseditor.desktop,
	picasawebexport/kipiplugin_picasawebexport.desktop.cmake,
	printimages/templates/6_photos_3.5x4.5cm.desktop,
	rajceexport/kipiplugin_rajceexport.desktop.cmake,
	videoslideshow/plugin/kipiplugin_videoslideshow.desktop.cmake,
	vkontakte/kipiplugin_vkontakte.desktop.cmake,
	yandexfotki/kipiplugin_yandexfotki.desktop.cmake: SVN_SILENT made
	messages (.desktop file)

2013-01-31  Gilles Caulier <caulier.gilles@gmail.com>

	* advancedslideshow/widgets/playbackwidget.cpp,
	advancedslideshow/widgets/playbackwidget.h: Coverty Reports fixes.
	Constify and polish

2013-01-31  Gilles Caulier <caulier.gilles@gmail.com>

	* advancedslideshow/dialogs/soundtrackdialog.cpp,
	advancedslideshow/dialogs/soundtrackdialog.h: Coverty Reports fixes.
	Consfify and polish

2013-01-31  Gilles Caulier <caulier.gilles@gmail.com>

	* imageviewer/global.h, imageviewer/helpdialog.cpp,
	imageviewer/helpdialog.h, imageviewer/plugin_viewer.cpp,
	imageviewer/plugin_viewer.h, imageviewer/texture.cpp,
	imageviewer/texture.h, imageviewer/timer.cpp, imageviewer/timer.h,
	imageviewer/viewerwidget.cpp, imageviewer/viewerwidget.h,
	kmlexport/plugin_kmlexport.h: Coverty Report fixes. Constify and
	Polish

2013-01-31  Gilles Caulier <caulier.gilles@gmail.com>

	* kmlexport/gpsdatacontainer.h, kmlexport/gpsdataparser.cpp,
	kmlexport/gpsdataparser.h, kmlexport/gpsdataparser_time.h,
	kmlexport/kmlexport.cpp, kmlexport/kmlexport.h,
	kmlexport/kmlexportconfig.cpp, kmlexport/kmlexportconfig.h,
	kmlexport/kmlgpsdataparser.cpp, kmlexport/kmlgpsdataparser.h,
	kmlexport/plugin_kmlexport.cpp: Coverty Reports Fixes. Constify and
	polish

2013-01-31  Gilles Caulier <caulier.gilles@gmail.com>

	* calendar/plugin/plugin_calendar.h, calendar/print/calpainter.cpp,
	calendar/print/calprinter.cpp, calendar/print/calprinter.h,
	calendar/print/calsettings.cpp, calendar/print/calsettings.h,
	calendar/wizard/caltemplate.cpp, calendar/wizard/caltemplate.h,
	calendar/wizard/calwidget.cpp, calendar/wizard/calwidget.h,
	calendar/wizard/calwizard.cpp, calendar/wizard/calwizard.h,
	calendar/wizard/monthwidget.cpp, calendar/wizard/monthwidget.h: 
	Covert Report fixes. Constify and polish

2013-01-31  Gilles Caulier <caulier.gilles@gmail.com>

	* picasawebexport/newalbumdialog.h: file not used

2013-01-31  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 38454f52cbeea5d2f80b986f13044ce36af69407 Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Thu Jan 31 13:34:52 2013
	+0100

2013-01-31  Script Kiddy <scripty@kde.org>

	* debianscreenshots/kipiplugin_debianscreenshots.desktop.cmake,
	dlnaexport/kipiplugin_dlnaexport.desktop.cmake,
	expoblending/plugin/expoblending.desktop,
	expoblending/plugin/kipiplugin_expoblending.desktop.cmake,
	facebook/kipiplugin_facebook.desktop.cmake,
	flashexport/kipiplugin_flashexport.desktop.cmake,
	galleryexport/kipiplugin_galleryexport.desktop.cmake,
	imageshackexport/kipiplugin_imageshackexport.desktop.cmake,
	imageviewer/kipiplugin_imageviewer.desktop.cmake,
	imgurexport/kipiplugin_imgurexport.desktop.cmake,
	kopete/kipiplugin_kopete.desktop.cmake,
	mediawiki/kipiplugin_wikimedia.desktop.cmake,
	photivointegration/kipiplugin_photivointegration.desktop.cmake,
	photolayoutseditor/borders/photolayoutseditorborderplugin.desktop,
	photolayoutseditor/effects/photolayoutseditoreffectplugin.desktop,
	photolayoutseditor/plugin/kipiplugin_photolayoutseditor.desktop.cma
	ke, photolayoutseditor/plugin/photolayoutseditor.desktop,
	picasawebexport/kipiplugin_picasawebexport.desktop.cmake,
	piwigoexport/kipiplugin_piwigoexport.desktop.cmake,
	printimages/templates/4_photos_4.5x5cm.desktop,
	printimages/templates/6_photos_3.5x4.5cm.desktop,
	removeredeyes/plugin/kipiplugin_removeredeyes.desktop.cmake,
	shwup/kipiplugin_shwup.desktop.cmake,
	smug/kipiplugin_smug.desktop.cmake,
	videoslideshow/plugin/kipiplugin_videoslideshow.desktop.cmake: 
	SVN_SILENT made messages (.desktop file)

2013-01-31  Gilles Caulier <caulier.gilles@gmail.com>

	* metadataedit/exif/exifdevice.cpp, metadataedit/exif/exifdevice.h,
	metadataedit/iptc/iptcorigin.cpp, metadataedit/iptc/iptcorigin.h,
	metadataedit/iptc/iptcproperties.cpp,
	metadataedit/iptc/iptcproperties.h,
	metadataedit/plugin/metadataedit.cpp,
	metadataedit/plugin/metadataedit.h,
	metadataedit/xmp/xmpcontent.cpp, metadataedit/xmp/xmpcontent.h,
	metadataedit/xmp/xmpcredits.cpp, metadataedit/xmp/xmpcredits.h,
	metadataedit/xmp/xmporigin.cpp, metadataedit/xmp/xmporigin.h: 
	Coverty Reports fixes. Constify and polish

2013-01-31  Gilles Caulier <caulier.gilles@gmail.com>

	* htmlexport/theme.cpp, htmlexport/theme.h: Coverty report fixed.
	Constify and polish

2013-01-31  Gilles Caulier <caulier.gilles@gmail.com>

	* yandexfotki/logindialog.cpp, yandexfotki/logindialog.h,
	yandexfotki/yandexauth.cpp, yandexfotki/yandexauth.h,
	yandexfotki/yfalbumdialog.cpp, yandexfotki/yfalbumdialog.h,
	yandexfotki/yftalker.cpp, yandexfotki/yftalker.h: Coverty Reports
	fixes. Constify and polish

2013-01-31  Gilles Caulier <caulier.gilles@gmail.com>

	* yandexfotki/yfwindow.cpp, yandexfotki/yfwindow.h: coverty report
	fix : missing break Constify and polish

2013-01-31  Gilles Caulier <caulier.gilles@gmail.com>

	* yandexfotki/yandexrsa.cpp, yandexfotki/yandexrsa.h: Coverty Report
	fix : we cannot accept to allocation negative lenght

2013-01-31  Gilles Caulier <caulier.gilles@gmail.com>

	* facebook/facebookjob.cpp, facebook/facebookjob.h,
	facebook/fbalbum.cpp, facebook/fbalbum.h, facebook/fbtalker.cpp,
	facebook/fbtalker.h, facebook/fbwidget.cpp, facebook/fbwidget.h,
	facebook/mpform.cpp, facebook/mpform.h,
	facebook/plugin_facebook.cpp, facebook/plugin_facebook.h: Coverty
	Report fixes. Constify and polish

2013-01-31  Gilles Caulier <caulier.gilles@gmail.com>

	* debianscreenshots/dsjob.cpp, debianscreenshots/dsjob.h,
	debianscreenshots/dstalker.cpp, debianscreenshots/dstalker.h,
	debianscreenshots/dswidget.cpp, debianscreenshots/dswidget.h,
	debianscreenshots/dswindow.cpp,
	debianscreenshots/kclickableimagelabel.cpp,
	debianscreenshots/kclickableimagelabel.h,
	debianscreenshots/mpform.cpp, debianscreenshots/mpform.h,
	debianscreenshots/packagedelegate.cpp,
	debianscreenshots/packagedelegate.h: Coverty Reports fixes. Constify
	and polish

2013-01-31  Gilles Caulier <caulier.gilles@gmail.com>

	* shwup/plugin_shwup.cpp, shwup/plugin_shwup.h, shwup/swalbum.cpp,
	shwup/swalbum.h, shwup/swconnector.cpp, shwup/swconnector.h,
	shwup/switem.h, shwup/swlogin.cpp, shwup/swlogin.h,
	shwup/swwidget.cpp, shwup/swwidget.h, shwup/swwindow.cpp,
	shwup/swwindow.h: Coverty Report fixes. Constify and polish

2013-01-31  Gilles Caulier <caulier.gilles@gmail.com>

	* imgurexport/imgurwindow.cpp, imgurexport/imgurwindow.h: fix
	warnings use const ref constify and polish

2013-01-31  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/dialogs/kpbatchprogressdialog.cpp,
	common/libkipiplugins/dialogs/kpbatchprogressdialog.h,
	common/libkipiplugins/dialogs/kpimagedialog.cpp,
	common/libkipiplugins/dialogs/kpimagedialog.h,
	common/libkipiplugins/dialogs/kpoutputdialog.cpp,
	common/libkipiplugins/dialogs/kpoutputdialog.h,
	common/libkipiplugins/dialogs/kptooldialog.cpp,
	common/libkipiplugins/dialogs/kptooldialog.h,
	common/libkipiplugins/dialogs/kpwizardpage.cpp,
	common/libkipiplugins/dialogs/kpwizardpage.h,
	common/libkipiplugins/tools/imageio/kpwriteimage.cpp,
	common/libkipiplugins/tools/imageio/kpwriteimage.h,
	common/libkipiplugins/tools/kpaboutdata.cpp,
	common/libkipiplugins/tools/kpaboutdata.h,
	common/libkipiplugins/tools/kpbinaryiface.cpp,
	common/libkipiplugins/tools/kpbinaryiface.h,
	common/libkipiplugins/tools/kphostsettings.cpp,
	common/libkipiplugins/tools/kphostsettings.h,
	common/libkipiplugins/tools/kpimageinfo.cpp,
	common/libkipiplugins/tools/kpimageinfo.h,
	common/libkipiplugins/tools/kpmetadata.cpp,
	common/libkipiplugins/tools/kpmetadata.h,
	common/libkipiplugins/tools/kpmetasettings.cpp,
	common/libkipiplugins/tools/kpmetasettings.h,
	common/libkipiplugins/tools/kprawthumbthread.cpp,
	common/libkipiplugins/tools/kprawthumbthread.h,
	common/libkipiplugins/tools/kpversion.h.cmake,
	common/libkipiplugins/widgets/kpbinarysearch.cpp,
	common/libkipiplugins/widgets/kpbinarysearch.h,
	common/libkipiplugins/widgets/kpimageslist.cpp,
	common/libkipiplugins/widgets/kpimageslist.h,
	common/libkipiplugins/widgets/kppreviewimage.cpp,
	common/libkipiplugins/widgets/kppreviewimage.h,
	common/libkipiplugins/widgets/kppreviewmanager.cpp,
	common/libkipiplugins/widgets/kppreviewmanager.h,
	common/libkipiplugins/widgets/kpprogresswidget.cpp,
	common/libkipiplugins/widgets/kpprogresswidget.h,
	common/libkipiplugins/widgets/kpsavesettingswidget.cpp,
	common/libkipiplugins/widgets/kpsavesettingswidget.h: constify and
	polish

2013-01-31  Benjamin Girault <benjamin.girault@gmail.com>

	* common/libkipiplugins/tools/kpbinaryiface.cpp,
	common/libkipiplugins/widgets/kppreviewimage.cpp: libkipiplugins:
	Coverty bugfixes

2013-01-30  Gilles Caulier <caulier.gilles@gmail.com>

	* sendimages/emailsettings.h, sendimages/imageresize.cpp,
	sendimages/imageresize.h, sendimages/myimagelist.cpp,
	sendimages/myimagelist.h, sendimages/plugin_sendimages.cpp,
	sendimages/plugin_sendimages.h, sendimages/sendimages.cpp,
	sendimages/sendimages.h, sendimages/sendimagesdialog.cpp,
	sendimages/sendimagesdialog.h, sendimages/settingswidget.cpp,
	sendimages/settingswidget.h: coverty reports fixes. Constify and
	polish

2013-01-30  Gilles Caulier <caulier.gilles@gmail.com>

	* acquireimages/aboutdata.h,
	acquireimages/plugin_acquireimages.cpp,
	acquireimages/plugin_acquireimages.h,
	acquireimages/saveimgthread.cpp, acquireimages/saveimgthread.h,
	acquireimages/scandialog.cpp, acquireimages/scandialog.h,
	acquireimages/scangui.cpp: coverty reports fixes. Constify and
	polish

2013-01-30  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-01-30  Kåre Särs <kare.sars@iki.fi>

	* acquireimages/scandialog.cpp, acquireimages/scandialog.h: Make
	sure the scanner device is closed when the dialog is closed BUG: 314117

2013-01-30  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-01-30  Gilles Caulier <caulier.gilles@gmail.com>

	* smug/smugitem.h, smug/smugtalker.cpp, smug/smugtalker.h: Coverty
	Report fixes

2013-01-30  Gilles Caulier <caulier.gilles@gmail.com>

	* kioexportimport/KioExportWidget.cpp: Coverty Report fixes

2013-01-29  Veaceslav Munteanu <slavuttici@gmail.com>

	* flashexport/flashmanager.cpp,
	flashexport/importWizard/importwizarddlg.cpp,
	flashexport/importWizard/lookpage.cpp,
	flashexport/importWizard/selectionpage.cpp,
	flashexport/simpleviewer.cpp,
	flashexport/simpleviewersettingscontainer.h: Fix FlashExport errors
	reported by Coverty Tool

2013-01-28  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt: update release date

2013-01-28  Victor Dodon <dodonvictor@gmail.com>

	* acquireimages/kipiplugin_acquireimages.desktop.cmake,
	advancedslideshow/plugin/kipiplugin_advancedslideshow.desktop.cmake
	,
	batchprocessimages/plugin/kipiplugin_batchprocessimages.desktop.cma
	ke, calendar/plugin/kipiplugin_calendar.desktop.cmake,
	debianscreenshots/kipiplugin_debianscreenshots.desktop.cmake,
	dlnaexport/kipiplugin_dlnaexport.desktop.cmake,
	dngconverter/plugin/kipiplugin_dngconverter.desktop.cmake,
	expoblending/plugin/kipiplugin_expoblending.desktop.cmake,
	facebook/kipiplugin_facebook.desktop.cmake,
	flashexport/kipiplugin_flashexport.desktop.cmake,
	flickrexport/kipiplugin_flickrexport.desktop.cmake,
	galleryexport/kipiplugin_galleryexport.desktop.cmake,
	gpssync/kipiplugin_gpssync.desktop.cmake,
	htmlexport/kipiplugin_htmlexport.desktop.cmake,
	imageshackexport/kipiplugin_imageshackexport.desktop.cmake,
	imageviewer/kipiplugin_imageviewer.desktop.cmake,
	imgurexport/kipiplugin_imgurexport.desktop.cmake,
	ipodexport/kipiplugin_ipodexport.desktop.cmake,
	jpeglossless/plugin/kipiplugin_jpeglossless.desktop.cmake,
	kioexportimport/kipiplugin_kioexportimport.desktop.cmake,
	kmlexport/kipiplugin_kmlexport.desktop.cmake,
	kopete/kipiplugin_kopete.desktop.cmake,
	mediawiki/kipiplugin_wikimedia.desktop.cmake,
	metadataedit/plugin/kipiplugin_metadataedit.desktop.cmake,
	panorama/plugin/kipiplugin_panorama.desktop.cmake,
	photivointegration/kipiplugin_photivointegration.desktop.cmake,
	photolayoutseditor/plugin/kipiplugin_photolayoutseditor.desktop.cma
	ke, picasawebexport/kipiplugin_picasawebexport.desktop.cmake,
	piwigoexport/kipiplugin_piwigoexport.desktop.cmake,
	printimages/plugin/kipiplugin_printimages.desktop.cmake,
	rajceexport/kipiplugin_rajceexport.desktop.cmake,
	rawconverter/plugin/kipiplugin_rawconverter.desktop.cmake,
	removeredeyes/plugin/kipiplugin_removeredeyes.desktop.cmake,
	sendimages/kipiplugin_sendimages.desktop.cmake,
	shwup/kipiplugin_shwup.desktop.cmake,
	smug/kipiplugin_smug.desktop.cmake,
	timeadjust/kipiplugin_timeadjust.desktop.cmake,
	videoslideshow/plugin/kipiplugin_videoslideshow.desktop.cmake,
	vkontakte/kipiplugin_vkontakte.desktop.cmake,
	wallpaper/kipiplugin_wallpaper.desktop.cmake,
	yandexfotki/kipiplugin_yandexfotki.desktop.cmake: Added
	UntranslatedGenericName property to all desktop files

2013-01-28  Script Kiddy <scripty@kde.org>

	* htmlexport/themes/details/details.desktop,
	photivointegration/kipiplugin_photivointegration.desktop.cmake: 
	SVN_SILENT made messages (.desktop file)

2013-01-26  Benjamin Girault <benjamin.girault@gmail.com>

	* panorama/importwizard/lastpage.cpp,
	panorama/importwizard/optimizepage.cpp,
	panorama/importwizard/preprocessingpage.cpp,
	panorama/importwizard/previewpage.cpp, panorama/manager/actions.h,
	panorama/manager/actionthread.cpp: Panorama: code polish For the Coverity Report...

2013-01-26  Victor Dodon <dodonvictor@gmail.com>

	* imageshackexport/imageshacktalker.cpp,
	imageshackexport/imageshackwidget.cpp,
	imageshackexport/imageshackwidget.h: Initialize all class members in
	ctors in ImagesHack export plugin

2013-01-26  Script Kiddy <scripty@kde.org>

	* htmlexport/themes/dateframes/dateframes.desktop,
	printimages/templates/6_photos_3.5x4.5cm.desktop: SVN_SILENT made
	messages (.desktop file)

2013-01-22  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-01-22  Gilles Caulier <caulier.gilles@gmail.com>

	* picasawebexport/picasawebwidget.cpp,
	picasawebexport/picasawebwidget.h: Fix invalid signal/slogt
	connection Code polish BUGS: 313672

2013-01-17  Script Kiddy <scripty@kde.org>

	* acquireimages/kipiplugin_acquireimages.desktop.cmake,
	acquireimages/scangui.desktop,
	dlnaexport/kipiplugin_dlnaexport.desktop.cmake,
	imageshackexport/kipiplugin_imageshackexport.desktop.cmake,
	mediawiki/kipiplugin_wikimedia.desktop.cmake,
	photivointegration/kipiplugin_photivointegration.desktop.cmake,
	videoslideshow/plugin/kipiplugin_videoslideshow.desktop.cmake: 
	SVN_SILENT made messages (.desktop file)

2013-01-16  Benjamin Girault <benjamin.girault@gmail.com>

	* CMakeLists.txt: Bugfix: change order of detection in
	CMakeLists.txt For MacOS (thanks to brad) where detection of Flex must happen
	before KdepimLibs

2013-01-13  André Marcelo Alvarenga <alvarenga@kde.org>

	* metadataedit/exif/exiflight.cpp: Remove extra spaces

2013-01-12  Ananta Palani <anantapalani@gmail.com>

	* acquireimages/CMakeLists.txt: Fix ScanGUI missing icon in
	Windows/MacOS

2013-01-11  Benjamin Girault <benjamin.girault@gmail.com>

	* panorama/ptoparser/panoParser.y, panorama/ptoparser/tparser.h: 
	Panorama: various bugfixes Thanks to Ananta Palani for the bug report

2013-01-11  Gilles Caulier <caulier.gilles@gmail.com>

	*
	dlnaexport/extra/hupnp/src/devicehosting/devicehost/hpresence_annou
	ncer_p.h,
	dlnaexport/extra/hupnp/src/devicemodel/client/hclientadapterop.h: 
	compile under MACOSX with Macports Smit, this fixes must be reported
	back to HUpnp library author.  CCMAIL: smit.meh@gmail.com

2013-01-11  Yuri Chornoivan <yurchor@ukr.net>

	* imageshackexport/imageshacktalker.cpp: Fix typos

2013-01-11  Victor Dodon <dodonvictor@gmail.com>

	* imageshackexport/TODO, imageshackexport/imageshacktalker.cpp,
	imageshackexport/imageshacktalker.h,
	imageshackexport/imageshackwidget.cpp,
	imageshackexport/imageshackwidget.h,
	imageshackexport/imageshackwindow.cpp,
	imageshackexport/imageshackwindow.h: Implement infrastructure to
	upload to galleries in Imageshack Due to some issues with the api, currently, the uploads to galleries
	are disabled.  Improved the ui and solved some minor bugs.  Fetch
	the list of user galleries.  Remove videos from the KPImagesList,
	even video uploads are supported.

2013-01-10  Burkhard Lück <lueck@hube-lueck.de>

	* videoslideshow/Messages.sh: add missing Messages.sh to extract
	strings for translation

2013-01-10  Burkhard Lück <lueck@hube-lueck.de>

	* imageshackexport/Messages.sh: add missing Messages.sh to extract
	strings for translation

2013-01-10  Gilles Caulier <caulier.gilles@gmail.com>

	* imgurexport/imgurwidget.cpp, imgurexport/plugin_imgurexport.cpp,
	imgurexport/plugin_imgurexport.h: Fix warnings reported by Ananta
	under Windows.  Remove obsolete method to declare plugin through
	libkipi

2013-01-09  Benjamin Girault <benjamin.girault@gmail.com>

	* NEWS: Update

2013-01-08  Benjamin Girault <benjamin.girault@gmail.com>

	* panorama/ptoparser/tparserprivate.c: Panorama: Bugfix for Windows
	build + comment

2013-01-07  Benjamin Girault <benjamin.girault@gmail.com>

	* panorama/ptoparser/tparserprivate.c,
	panorama/ptoparser/tparserprivate.h: Panorama: warning removal

2013-01-07  Gilles Caulier <caulier.gilles@gmail.com>

	* panorama/ptoparser/tparserprivate.c: silently compilation about
	unused arguments. Same way that Q_UNUSED qt macro

2013-01-07  Benjamin Girault <benjamin.girault@gmail.com>

	* panorama/ptoparser/ptofile.cpp, panorama/ptoparser/tparser.c,
	panorama/ptoparser/tparsergetters.c,
	panorama/ptoparser/tparserprivate.c: Panorama: Various bugfixes for
	Windows build Many thanks to Ananta Palani for his help to debug the Windows build

2013-01-07  Benjamin Girault <benjamin.girault@gmail.com>

	* NEWS: NEWS: Latest updates in Panorama

2013-01-07  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit a461256a9eb26d3c1c770305938fd8d9dbd18398 Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Mon Jan 7 07:17:51 2013
	+0100

2013-01-06  Benjamin Girault <benjamin.girault@gmail.com>

	* CMakeLists.txt: Boost not used anymore Thanks to Christoph Feck for pointing this to me.

2013-01-06  Benjamin Girault <benjamin.girault@gmail.com>

	* panorama/importwizard/optimizepage.cpp: Panorama: Option label
	modification to be more accurate

2013-01-06  Benjamin Girault <benjamin.girault@gmail.com>

	* panorama/importwizard/previewpage.cpp: Panorama: New label in the
	preview page

2013-01-06  Benjamin Girault <benjamin.girault@gmail.com>

	* CMakeLists.txt: Panorama: bugfix in the main CMakeLists.txt

2013-01-06  Benjamin Girault <benjamin.girault@gmail.com>

	* panorama/ptoparser/precompiled/panoParser.c,
	panorama/ptoparser/precompiled/panoParser.h,
	panorama/ptoparser/precompiled/panoScanner.c: Panorama: useless
	files

2013-01-06  Benjamin Girault <benjamin.girault@gmail.com>

	* CMakeLists.txt, panorama/CMakeLists.txt,
	panorama/ptoparser/panoParser.y, panorama/ptoparser/tparser.h: 
	Panorama: Bufixes for Windows  - CMakeLists.txt cleanup (KDE Windows includes Flex & Bison)  - Variable declarations in C should be in the beginning of a block

2013-01-04  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-01-02  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2013-01-02  Script Kiddy <scripty@kde.org>

	* mediawiki/kipiplugin_wikimedia.desktop.cmake: SVN_SILENT made
	messages (.desktop file)

2012-12-31  Smit Mehta <smit.meh@gmail.com>

	* timeadjust/CMakeLists.txt, timeadjust/actionthread.cpp,
	timeadjust/actionthread.h, timeadjust/task.cpp, timeadjust/task.h: 
	moved private data from actionthread to task, and hence stopped the
	sharing of private object.\nShifted task to another file for better
	readibility.

2012-12-31  Script Kiddy <scripty@kde.org>

	* dlnaexport/kipiplugin_dlnaexport.desktop.cmake,
	imageshackexport/kipiplugin_imageshackexport.desktop.cmake,
	mediawiki/kipiplugin_wikimedia.desktop.cmake,
	photivointegration/kipiplugin_photivointegration.desktop.cmake,
	videoslideshow/plugin/kipiplugin_videoslideshow.desktop.cmake: 
	SVN_SILENT made messages (.desktop file)

2012-12-29  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt, NEWS: final release date

2012-12-28  Smit Mehta <smit.meh@gmail.com>

	* timeadjust/actionthread.cpp, timeadjust/actionthread.h,
	timeadjust/timeadjustdialog.cpp, timeadjust/timeadjustdialog.h: 
	Shifted progresswidget counter from actionthread to timeadjustdialog

2012-12-26  Script Kiddy <scripty@kde.org>

	* calendar/plugin/kipiplugin_calendar.desktop.cmake: SVN_SILENT made
	messages (.desktop file)

2012-12-26  Smit Mehta <smit.meh@gmail.com>

	* dngconverter/plugin/task.cpp: polish

2012-12-25  Smit Mehta <smit.meh@gmail.com>

	* NEWS: update

2012-12-25  Smit Mehta <smit.meh@gmail.com>

	* dngconverter/CMakeLists.txt,
	dngconverter/plugin/actionthread.cpp,
	dngconverter/plugin/actionthread.h, dngconverter/plugin/task.cpp,
	dngconverter/plugin/task.h: Moved all private items from
	ActionThread to Task and hence stopped sharing ActionThread::Private
	with Task.  Separated ActionThread and Task for better visibility
	BUGS:303980

2012-12-24  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-12-24  Script Kiddy <scripty@kde.org>

	* acquireimages/kipiplugin_acquireimages.desktop.cmake,
	acquireimages/scangui.desktop,
	advancedslideshow/plugin/kipiplugin_advancedslideshow.desktop.cmake
	,
	batchprocessimages/plugin/kipiplugin_batchprocessimages.desktop.cma
	ke, calendar/plugin/kipiplugin_calendar.desktop.cmake,
	common/libkipiplugins/kipiplugins.desktop.cmake,
	debianscreenshots/kipiplugin_debianscreenshots.desktop.cmake,
	dngconverter/plugin/dngconverter.desktop,
	dngconverter/plugin/kipiplugin_dngconverter.desktop.cmake,
	expoblending/plugin/expoblending.desktop,
	expoblending/plugin/kipiplugin_expoblending.desktop.cmake,
	facebook/kipiplugin_facebook.desktop.cmake,
	flashexport/kipiplugin_flashexport.desktop.cmake,
	flickrexport/kipiplugin_flickrexport.desktop.cmake,
	galleryexport/kipiplugin_galleryexport.desktop.cmake,
	gpssync/kipiplugin_gpssync.desktop.cmake,
	htmlexport/kipiplugin_htmlexport.desktop.cmake,
	htmlexport/themes/classic/classic.desktop,
	htmlexport/themes/cleanframes/cleanframes.desktop,
	htmlexport/themes/dateframes/dateframes.desktop,
	htmlexport/themes/details/details.desktop,
	htmlexport/themes/floating_cards/floating_cards.desktop,
	htmlexport/themes/frames/frames.desktop,
	htmlexport/themes/matrix/matrix.desktop,
	htmlexport/themes/s0/s0.desktop,
	htmlexport/themes/simple/simple.desktop,
	htmlexport/themes/snow/snow.desktop,
	imageviewer/kipiplugin_imageviewer.desktop.cmake,
	ipodexport/kipiplugin_ipodexport.desktop.cmake,
	jpeglossless/plugin/kipiplugin_jpeglossless.desktop.cmake,
	kioexportimport/kipiplugin_kioexportimport.desktop.cmake,
	kmlexport/kipiplugin_kmlexport.desktop.cmake,
	kopete/kipiplugin_kopete.desktop.cmake,
	metadataedit/plugin/kipiplugin_metadataedit.desktop.cmake,
	picasawebexport/kipiplugin_picasawebexport.desktop.cmake,
	piwigoexport/kipiplugin_piwigoexport.desktop.cmake,
	printimages/plugin/kipiplugin_printimages.desktop.cmake,
	printimages/templates/1_photo_10.5x14.8cm.desktop,
	printimages/templates/1_photo_10x15cm.desktop,
	printimages/templates/1_photo_20x25cm.desktop,
	printimages/templates/1_photo_8x10.desktop,
	printimages/templates/1_photo_9x13cm.desktop,
	printimages/templates/2_photos_13x18cm.desktop,
	printimages/templates/2_photos_5x7.desktop,
	printimages/templates/3_photos_10x15cm.desktop,
	printimages/templates/3_photos_4x6.desktop,
	printimages/templates/4_photos_10x13.33cm.desktop,
	printimages/templates/4_photos_3.5x5.desktop,
	printimages/templates/4_photos_4.5x5cm.desktop,
	printimages/templates/4_photos_9x13cm.desktop,
	printimages/templates/4x6Album.desktop,
	printimages/templates/6_photos_3.5x4cm.desktop,
	printimages/templates/8_photos_6x9cm.desktop,
	printimages/templates/Album-Collage.desktop,
	printimages/templates/Album-Collage1.desktop,
	printimages/templates/Album_10x15cm.desktop,
	printimages/templates/Album_11.5x15cm.desktop,
	printimages/templates/FullPage.desktop,
	printimages/templates/Photoframe.desktop,
	printimages/templates/Thumbnails_5x4.desktop,
	printimages/templates/Thumbnails_6x5.desktop,
	rajceexport/kipiplugin_rajceexport.desktop.cmake,
	rawconverter/plugin/kipiplugin_rawconverter.desktop.cmake,
	removeredeyes/plugin/kipiplugin_removeredeyes.desktop.cmake,
	sendimages/kipiplugin_sendimages.desktop.cmake,
	shwup/kipiplugin_shwup.desktop.cmake,
	smug/kipiplugin_smug.desktop.cmake,
	timeadjust/kipiplugin_timeadjust.desktop.cmake,
	wallpaper/kipiplugin_wallpaper.desktop.cmake,
	yandexfotki/kipiplugin_yandexfotki.desktop.cmake: SVN_SILENT made
	messages (.desktop file)

2012-12-23  Script Kiddy <scripty@kde.org>

	* acquireimages/kipiplugin_acquireimages.desktop.cmake,
	acquireimages/scangui.desktop,
	advancedslideshow/plugin/kipiplugin_advancedslideshow.desktop.cmake
	,
	batchprocessimages/plugin/kipiplugin_batchprocessimages.desktop.cma
	ke, calendar/plugin/kipiplugin_calendar.desktop.cmake,
	common/libkipiplugins/kipiplugins.desktop.cmake,
	debianscreenshots/kipiplugin_debianscreenshots.desktop.cmake,
	dngconverter/plugin/dngconverter.desktop,
	dngconverter/plugin/kipiplugin_dngconverter.desktop.cmake,
	expoblending/plugin/expoblending.desktop,
	expoblending/plugin/kipiplugin_expoblending.desktop.cmake,
	facebook/kipiplugin_facebook.desktop.cmake,
	flashexport/kipiplugin_flashexport.desktop.cmake,
	flickrexport/kipiplugin_flickrexport.desktop.cmake,
	galleryexport/kipiplugin_galleryexport.desktop.cmake,
	gpssync/kipiplugin_gpssync.desktop.cmake,
	htmlexport/kipiplugin_htmlexport.desktop.cmake,
	htmlexport/themes/classic/classic.desktop,
	htmlexport/themes/cleanframes/cleanframes.desktop,
	htmlexport/themes/dateframes/dateframes.desktop,
	htmlexport/themes/details/details.desktop,
	htmlexport/themes/floating_cards/floating_cards.desktop,
	htmlexport/themes/frames/frames.desktop,
	htmlexport/themes/matrix/matrix.desktop,
	htmlexport/themes/s0/s0.desktop,
	htmlexport/themes/simple/simple.desktop,
	htmlexport/themes/snow/snow.desktop,
	imageviewer/kipiplugin_imageviewer.desktop.cmake,
	ipodexport/kipiplugin_ipodexport.desktop.cmake,
	jpeglossless/plugin/kipiplugin_jpeglossless.desktop.cmake,
	kioexportimport/kipiplugin_kioexportimport.desktop.cmake,
	kmlexport/kipiplugin_kmlexport.desktop.cmake,
	kopete/kipiplugin_kopete.desktop.cmake,
	metadataedit/plugin/kipiplugin_metadataedit.desktop.cmake,
	picasawebexport/kipiplugin_picasawebexport.desktop.cmake,
	piwigoexport/kipiplugin_piwigoexport.desktop.cmake,
	printimages/plugin/kipiplugin_printimages.desktop.cmake,
	printimages/templates/1_photo_10.5x14.8cm.desktop,
	printimages/templates/1_photo_10x15cm.desktop,
	printimages/templates/1_photo_20x25cm.desktop,
	printimages/templates/1_photo_8x10.desktop,
	printimages/templates/1_photo_9x13cm.desktop,
	printimages/templates/2_photos_13x18cm.desktop,
	printimages/templates/2_photos_5x7.desktop,
	printimages/templates/3_photos_10x15cm.desktop,
	printimages/templates/3_photos_4x6.desktop,
	printimages/templates/4_photos_10x13.33cm.desktop,
	printimages/templates/4_photos_3.5x5.desktop,
	printimages/templates/4_photos_4.5x5cm.desktop,
	printimages/templates/4_photos_9x13cm.desktop,
	printimages/templates/4x6Album.desktop,
	printimages/templates/6_photos_3.5x4cm.desktop,
	printimages/templates/8_photos_6x9cm.desktop,
	printimages/templates/Album-Collage.desktop,
	printimages/templates/Album-Collage1.desktop,
	printimages/templates/Album_10x15cm.desktop,
	printimages/templates/Album_11.5x15cm.desktop,
	printimages/templates/FullPage.desktop,
	printimages/templates/Photoframe.desktop,
	printimages/templates/Thumbnails_5x4.desktop,
	printimages/templates/Thumbnails_6x5.desktop,
	rajceexport/kipiplugin_rajceexport.desktop.cmake,
	rawconverter/plugin/kipiplugin_rawconverter.desktop.cmake,
	removeredeyes/plugin/kipiplugin_removeredeyes.desktop.cmake,
	sendimages/kipiplugin_sendimages.desktop.cmake,
	shwup/kipiplugin_shwup.desktop.cmake,
	smug/kipiplugin_smug.desktop.cmake,
	timeadjust/kipiplugin_timeadjust.desktop.cmake,
	wallpaper/kipiplugin_wallpaper.desktop.cmake,
	yandexfotki/kipiplugin_yandexfotki.desktop.cmake: SVN_SILENT made
	messages (.desktop file)

2012-12-21  Gilles Caulier <caulier.gilles@gmail.com>

	* rawconverter/CMakeLists.txt,
	rawconverter/manager/actionthread.cpp,
	rawconverter/manager/actionthread.h, rawconverter/manager/task.cpp,
	rawconverter/manager/task.h: for a better visibilty, separate
	ActionThread and Task class iomplementation CCMAIL:
	smit.meh@gmail.com CCBUGS: 303980

2012-12-21  Gilles Caulier <caulier.gilles@gmail.com>

	* rawconverter/dialogs/batchdialog.cpp,
	rawconverter/dialogs/singledialog.cpp,
	rawconverter/manager/actionthread.cpp,
	rawconverter/manager/actionthread.h: To preserve re-entrancy with
	RawDecodingIface, move all private items from ActionThread to Task.
	Do not share ActionThread::Private with Task.  Code is very similar
	than digiKam BQM core, and same fixes must be applied to
	DNGConverter.  CCBUGS: 303980 CCMAIL: smit.meh@gmail.com

2012-12-21  Gilles Caulier <caulier.gilles@gmail.com>

	* rawconverter/manager/actionthread.cpp,
	rawconverter/manager/actionthread.h: use d private internal
	container

2012-12-21  Gilles Caulier <caulier.gilles@gmail.com>

	* rawconverter/manager/actionthread.cpp,
	rawconverter/manager/actionthread.h: use const ref

2012-12-18  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-12-18  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt: apply patch #75892 from Johannes Zarl CCBUGS:
	311310

2012-12-15  Script Kiddy <scripty@kde.org>

	*
	photolayoutseditor/plugin/kipiplugin_photolayoutseditor.desktop.cma
	ke, photolayoutseditor/plugin/photolayoutseditor.desktop: SVN_SILENT
	made messages (.desktop file)

2012-12-07  Pino Toscano <pino@kde.org>

	* debianscreenshots/CMakeLists.txt, facebook/CMakeLists.txt,
	imgurexport/CMakeLists.txt: cmake: include the qjson include dir
	where needed

2012-12-07  Benjamin Girault <benjamin.girault@gmail.com>

	* panorama/CMakeLists.txt, panorama/importwizard/lastpage.cpp,
	panorama/importwizard/optimizepage.cpp,
	panorama/importwizard/preprocessingpage.cpp,
	panorama/importwizard/previewpage.cpp, panorama/manager/actions.h,
	panorama/manager/actionthread.cpp, panorama/manager/actionthread.h,
	panorama/manager/manager.cpp, panorama/manager/manager.h,
	panorama/ptotype/ptotype.cpp,
	panorama/tasks/createfinalptotask.cpp,
	panorama/tasks/createfinalptotask.h, panorama/tasks/tasks.h: 
	Panorama: Manual cropping

2012-12-04  Benjamin Girault <benjamin.girault@gmail.com>

	* panorama/ptoparser/precompiled/panoParser.c: Panorama: Precompiled
	parser update

2012-12-04  Benjamin Girault <benjamin.girault@gmail.com>

	* panorama/ptoparser/panoParser.y,
	panorama/ptoparser/tparserprivate.c,
	panorama/ptoparser/tparserprivate.h: Panorama: Parser bugfixes

2012-12-04  Benjamin Girault <benjamin.girault@gmail.com>

	* panorama/plugin/plugin_panorama.cpp: Panorama: Memory leak bug fix

2012-12-04  Benjamin Girault <benjamin.girault@gmail.com>

	* common/libkipiplugins/widgets/kppreviewimage.cpp,
	panorama/importwizard/intropage.cpp, panorama/manager/manager.cpp,
	panorama/plugin/panorama.cpp, panorama/ptoparser/ptofile.cpp,
	panorama/ptoparser/tparser.c, panorama/ptoparser/tparsergetters.c: 
	Bugfixes  - Valgrind memory leaks detection bug fixes  - Panorama: parser API bug fixes

2012-12-03  Benjamin Girault <benjamin.girault@gmail.com>

	* common/libkipiplugins/widgets/kppreviewimage.cpp,
	common/libkipiplugins/widgets/kppreviewimage.h,
	common/libkipiplugins/widgets/kppreviewmanager.cpp,
	common/libkipiplugins/widgets/kppreviewmanager.h: KP Preview:
	selection retrieval

2012-12-03  Benjamin Girault <benjamin.girault@gmail.com>

	* panorama/importwizard/lastpage.cpp,
	panorama/importwizard/optimizepage.cpp,
	panorama/importwizard/preprocessingpage.cpp,
	panorama/importwizard/previewpage.cpp,
	panorama/manager/actionthread.cpp, panorama/manager/actionthread.h,
	panorama/manager/manager.cpp, panorama/manager/manager.h: Panorama:
	Cleanup and preparation for pto parsing

2012-12-06  Script Kiddy <scripty@kde.org>

	* dlnaexport/kipiplugin_dlnaexport.desktop.cmake: SVN_SILENT made
	messages (.desktop file)

2012-12-05  Script Kiddy <scripty@kde.org>

	* imageshackexport/kipiplugin_imageshackexport.desktop.cmake,
	mediawiki/kipiplugin_wikimedia.desktop.cmake: SVN_SILENT made
	messages (.desktop file)

2012-12-03  Script Kiddy <scripty@kde.org>

	* dlnaexport/kipiplugin_dlnaexport.desktop.cmake,
	imgurexport/kipiplugin_imgurexport.desktop.cmake,
	mediawiki/kipiplugin_wikimedia.desktop.cmake,
	videoslideshow/plugin/kipiplugin_videoslideshow.desktop.cmake: 
	SVN_SILENT made messages (.desktop file)

2012-12-02  Benjamin Girault <benjamin.girault@gmail.com>

	* panorama/README: Panorama: README update

2012-12-02  Benjamin Girault <benjamin.girault@gmail.com>

	* panorama/tasks/createpreviewtask.cpp,
	panorama/tasks/createptotask.cpp: Panorama: First use cases of the
	parser

2012-12-02  Benjamin Girault <benjamin.girault@gmail.com>

	* panorama/ptotype/ptotype.cpp, panorama/ptotype/ptotype.h: 
	Panorama: PTO Type update & bugfixes

2012-12-02  Benjamin Girault <benjamin.girault@gmail.com>

	* panorama/ptoparser/panoParser.y,
	panorama/ptoparser/panoScanner.l,
	panorama/ptoparser/precompiled/panoParser.c,
	panorama/ptoparser/precompiled/panoParser.h,
	panorama/ptoparser/precompiled/panoScanner.c,
	panorama/ptoparser/ptofile.cpp, panorama/ptoparser/tparserprivate.c: 
	Panorama: Parser Update & Bugfixes

2012-11-19  Benjamin Girault <benjamin.girault@gmail.com>

	* panorama/ptoparser/panoParser.y,
	panorama/ptoparser/panoScanner.l, panorama/ptoparser/ptofile.cpp,
	panorama/ptoparser/ptofile.h, panorama/ptoparser/tparser.c,
	panorama/ptoparser/tparser.h, panorama/ptoparser/tparsergetters.c,
	panorama/ptoparser/tparsergetters.h,
	panorama/ptoparser/tparserprivate.c,
	panorama/ptotype/boost_adapt.h, panorama/ptotype/ptotype.cpp,
	panorama/ptotype/ptotype.h: Panorama: parser update Various bugfixes and API implementation

2012-12-02  Script Kiddy <scripty@kde.org>

	* dlnaexport/kipiplugin_dlnaexport.desktop.cmake,
	imageshackexport/kipiplugin_imageshackexport.desktop.cmake,
	imgurexport/kipiplugin_imgurexport.desktop.cmake,
	mediawiki/kipiplugin_wikimedia.desktop.cmake: SVN_SILENT made
	messages (.desktop file)

2012-11-24  Script Kiddy <scripty@kde.org>

	* dlnaexport/kipiplugin_dlnaexport.desktop.cmake,
	imageshackexport/kipiplugin_imageshackexport.desktop.cmake,
	imageviewer/kipiplugin_imageviewer.desktop.cmake,
	mediawiki/kipiplugin_wikimedia.desktop.cmake,
	photivointegration/kipiplugin_photivointegration.desktop.cmake,
	videoslideshow/plugin/kipiplugin_videoslideshow.desktop.cmake: 
	SVN_SILENT made messages (.desktop file)

2012-11-16  Script Kiddy <scripty@kde.org>

	* ipodexport/kipiplugin_ipodexport.desktop.cmake: SVN_SILENT made
	messages (.desktop file)

2012-11-15  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-11-15  Gilles Caulier <caulier.gilles@gmail.com>

	* dlnaexport/CMakeLists.txt, dlnaexport/extra/hupnp/CMakeLists.txt,
	dlnaexport/extra/hupnp_av/CMakeLists.txt,
	dlnaexport/extra/qtsoap/CMakeLists.txt: do not install hupnp,
	hupnp_av, and qtsoap libs which are only used locally to link DLNA
	export tool when depencies are not solved with host system.  BUGS:
	309997

2012-11-10  Benjamin Girault <benjamin.girault@gmail.com>

	* : commit cc15f4a81f7beb9727892e3f173e2fa1ac1049dd Author: Nicolas
	Lécureuil <neoclust.kde@free.fr> Date:   Tue Nov 6 10:34:33 2012
	+0100

2012-10-28  Marius Orcsik <marius@habarnam.ro>

	* README: Adding kqoauth to the README file

2012-10-27  Marius Orcsik <marius@habarnam.ro>

	* CMakeLists.txt, cmake/modules/FindQtKOAuth.cmake,
	imgurexport/CMakeLists.txt, imgurexport/imgurtalkerauth.cpp,
	imgurexport/imgurtalkerauth.h, imgurexport/imgurwidget.cpp: Adding a
	cmake module to find the kQOAuth library Changes to allow better separation between Imgur Authenticated and
	Anonymous APIs

2012-10-28  Script Kiddy <scripty@kde.org>

	* acquireimages/kipiplugin_acquireimages.desktop.cmake,
	acquireimages/scangui.desktop,
	mediawiki/kipiplugin_wikimedia.desktop.cmake: SVN_SILENT made
	messages (.desktop file)

2012-10-27  Benjamin Girault <benjamin.girault@gmail.com>

	* panorama/ptoparser/panoParser.y,
	panorama/ptoparser/precompiled/panoParser.c,
	panorama/ptoparser/precompiled/panoParser.h,
	panorama/ptoparser/precompiled/panoScanner.c: Panorama: parser
	bugfix

2012-10-27  Benjamin Girault <benjamin.girault@gmail.com>

	* panorama/ptoparser/panoParser.y,
	panorama/ptoparser/panoScanner.l, panorama/ptoparser/tparser.c,
	panorama/ptoparser/tparser.h, panorama/ptoparser/tparserdebug.h,
	panorama/ptoparser/tparsergetters.c,
	panorama/ptoparser/tparsergetters.h,
	panorama/ptoparser/tparserprivate.c,
	panorama/ptoparser/tparserprivate.h: Panorama: License header fix

2012-10-23  Gilles Caulier <caulier.gilles@gmail.com>

	* advancedslideshow/plugin/imageloadthread.cpp,
	advancedslideshow/plugin/slideshowloader.cpp,
	calendar/print/calpainter.cpp,
	common/libkipiplugins/tools/kprawthumbthread.cpp,
	common/libkipiplugins/widgets/kppreviewimage.cpp,
	debianscreenshots/dswindow.cpp, facebook/fbwindow.cpp,
	flashexport/simpleviewer.cpp, flickrexport/flickrtalker.cpp,
	galleryexport/gallerytalker.cpp,
	htmlexport/imagegenerationfunctor.cpp, imageviewer/texture.cpp,
	picasawebexport/picasawebwindow.cpp, piwigoexport/piwigotalker.cpp,
	printimages/tools/tphoto.cpp, rajceexport/rajcesession.cpp,
	rawconverter/manager/actionthread.cpp,
	rawconverter/manager/rawdecodingiface.cpp,
	rawconverter/manager/rawdecodingiface.h,
	sendimages/imageresize.cpp, shwup/swwindow.cpp,
	smug/smugwindow.cpp, yandexfotki/yfwindow.cpp: fix libkdcraw API
	calls

2012-10-23  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-10-23  Gilles Caulier <caulier.gilles@gmail.com>

	* gpssync/kipiimageitem.cpp: show date with seconds following
	desktop settings.  BUGS: 308834 FIXED-IN: 3.0.0

2012-10-23  Gilles Caulier <caulier.gilles@gmail.com>

	* advancedslideshow/plugin/imageloadthread.cpp,
	advancedslideshow/plugin/slideshowloader.cpp,
	calendar/print/calpainter.cpp,
	common/libkipiplugins/tools/kprawthumbthread.cpp,
	common/libkipiplugins/widgets/kppreviewimage.cpp,
	debianscreenshots/dswindow.cpp, facebook/fbwindow.cpp,
	flashexport/simpleviewer.cpp, flickrexport/flickrtalker.cpp,
	galleryexport/gallerytalker.cpp,
	htmlexport/imagegenerationfunctor.cpp, imageviewer/texture.cpp,
	picasawebexport/picasawebwindow.cpp, piwigoexport/piwigotalker.cpp,
	printimages/tools/tphoto.cpp, rajceexport/rajcesession.cpp,
	rawconverter/manager/actionthread.cpp,
	rawconverter/manager/rawdecodingiface.cpp,
	rawconverter/manager/rawdecodingiface.h,
	sendimages/imageresize.cpp, shwup/swwindow.cpp,
	smug/smugwindow.cpp, yandexfotki/yfwindow.cpp: fix libkdcraw API
	calls

2012-10-23  Benjamin Girault <benjamin.girault@gmail.com>

	* panorama/ptoparser/precompiled/panoParser.c,
	panorama/ptoparser/precompiled/panoParser.h,
	panorama/ptoparser/precompiled/panoScanner.c: Panorama: precompiled
	parser update

2012-10-23  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-10-23  Gilles Caulier <caulier.gilles@gmail.com>

	* gpssync/kipiimageitem.cpp: show date with seconds following
	desktop settings.  BUGS: 308834 FIXED-IN: 3.0.0

2012-09-25  Benjamin Girault <benjamin.girault@gmail.com>

	* CMakeLists.txt, panorama/CMakeLists.txt,
	panorama/importwizard/preprocessingpage.cpp,
	panorama/manager/actions.h, panorama/manager/actionthread.cpp,
	panorama/manager/actionthread.h, panorama/manager/manager.cpp,
	panorama/manager/manager.h, panorama/ptoparser/common.cpp,
	panorama/ptoparser/common.h, panorama/ptoparser/common_def.h,
	panorama/ptoparser/controlpointline.cpp,
	panorama/ptoparser/controlpointline.h,
	panorama/ptoparser/controlpointline_def.h,
	panorama/ptoparser/imageline.cpp, panorama/ptoparser/imageline.h,
	panorama/ptoparser/imageline_def.h,
	panorama/ptoparser/optimisationline.cpp,
	panorama/ptoparser/optimisationline.h,
	panorama/ptoparser/optimisationline_def.h,
	panorama/ptoparser/panoParser.y, panorama/ptoparser/panoScanner.l,
	panorama/ptoparser/precompiled/panoParser.c,
	panorama/ptoparser/precompiled/panoParser.h,
	panorama/ptoparser/precompiled/panoScanner.c,
	panorama/ptoparser/projectline.cpp,
	panorama/ptoparser/projectline.h,
	panorama/ptoparser/projectline_def.h,
	panorama/ptoparser/ptofile.cpp, panorama/ptoparser/ptofile.h,
	panorama/ptoparser/ptoparser.cpp, panorama/ptoparser/ptoparser.h,
	panorama/ptoparser/tparser.c, panorama/ptoparser/tparser.h,
	panorama/ptoparser/tparserdebug.h,
	panorama/ptoparser/tparsergetters.c,
	panorama/ptoparser/tparsergetters.h,
	panorama/ptoparser/tparserprivate.c,
	panorama/ptoparser/tparserprivate.h,
	panorama/ptoparser/variousgrammar.cpp,
	panorama/ptoparser/variousgrammar.h,
	panorama/ptoparser/variousgrammar_def.h,
	panorama/tasks/cpcleantask.cpp, panorama/tasks/cpcleantask.h: 
	Panorama: new parser Based on the GNU tools Flex (lexer) and Bison (parser) instead of
	boost::spirit

2012-10-21  Victor Dodon <dodonvictor@gmail.com>

	* imageviewer/plugin_viewer.cpp: Enable OpenGL image viewer action
	if interface is not null

2012-10-20  Script Kiddy <scripty@kde.org>

	* mediawiki/kipiplugin_wikimedia.desktop.cmake: SVN_SILENT made
	messages (.desktop file)

2012-10-17  Marius Orcsik <marius@habarnam.ro>

	* : commit a95d040b409d1ccea870d5fa0ecfbf11998ac2ff Author: Marius
	Orcsik <marius@habarnam.ro> Date:   Wed Oct 17 01:08:33 2012 +0300

2012-10-16  Smit Mehta <smit.meh@gmail.com>

	* NEWS, timeadjust/actionthread.cpp: Fix for changing file
	modification timestamp with files having non ASCII characters
	BUGS:308465

2012-10-16  Marius Orcsik <marius@habarnam.ro>

	* imgurexport/CMakeLists.txt, imgurexport/imgurimageslist.cpp,
	imgurexport/imgurtalker.cpp, imgurexport/imgurtalker.h,
	imgurexport/imgurtalker_common.h, imgurexport/imgurtalkerauth.cpp,
	imgurexport/imgurtalkerauth.h,
	imgurexport/imguruploadinformation.cpp,
	imgurexport/imguruploadinformation.h, imgurexport/imgurwidget.cpp,
	imgurexport/imgurwidget.h, imgurexport/imgurwindow.cpp,
	imgurexport/imgurwindow.h, imgurexport/plugin_imgurexport.cpp,
	imgurexport/plugin_imgurexport.h: Adding access to the authenticated
	API of imgur.com Adding OAuth authentication for the Imgur API using kqtoauth

2012-10-15  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-10-14  Script Kiddy <scripty@kde.org>

	* dlnaexport/kipiplugin_dlnaexport.desktop.cmake,
	imageshackexport/kipiplugin_imageshackexport.desktop.cmake,
	mediawiki/kipiplugin_wikimedia.desktop.cmake,
	photivointegration/kipiplugin_photivointegration.desktop.cmake,
	videoslideshow/plugin/kipiplugin_videoslideshow.desktop.cmake: 
	SVN_SILENT made messages (.desktop file)

2012-10-12  Script Kiddy <scripty@kde.org>

	* galleryexport/kipiplugin_galleryexport.desktop.cmake: SVN_SILENT
	made messages (.desktop file)

2012-10-11  Script Kiddy <scripty@kde.org>

	* mediawiki/kipiplugin_wikimedia.desktop.cmake: SVN_SILENT made
	messages (.desktop file)

2012-10-10  Script Kiddy <scripty@kde.org>

	* dlnaexport/kipiplugin_dlnaexport.desktop.cmake,
	imageshackexport/kipiplugin_imageshackexport.desktop.cmake,
	mediawiki/kipiplugin_wikimedia.desktop.cmake,
	photivointegration/kipiplugin_photivointegration.desktop.cmake,
	videoslideshow/plugin/kipiplugin_videoslideshow.desktop.cmake: 
	SVN_SILENT made messages (.desktop file)

2012-10-09  Nicolas Lécureuil <neoclust.kde@free.fr>

	* CMakeLists.txt, NEWS: Open for beta3

2012-10-09  Smit Mehta <smit.meh@gmail.com>

	* NEWS: update

2012-10-08  Smit Mehta <smit.meh@gmail.com>

	* NEWS: update

2012-10-07  Smit Mehta <smit.meh@gmail.com>

	* NEWS: update

2012-10-07  Smit Mehta <smit.meh@gmail.com>

	* NEWS: update

2012-10-07  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit eb84eb0c53dbe525ed7d007acfe05b4a471cc3a4 Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Sun Oct 7 14:51:33 2012
	+0200

2012-10-07  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-10-07  Gilles Caulier <caulier.gilles@gmail.com>

	* dlnaexport/extra/hupnp/src/devicemodel/hdevice_p.h: compile under
	MSVC

2012-10-07  Gilles Caulier <caulier.gilles@gmail.com>

	* dlnaexport/extra/hupnp/CMakeLists.txt: try to fix compilation
	under MSVC

2012-10-07  Victor Dodon <dodonvictor@gmail.com>

	* advancedslideshow/plugin/kipiplugin_advancedslideshowui.rc: Action
	will appear directly in the View menu. CCBUGS: 307467

2012-10-06  Script Kiddy <scripty@kde.org>

	* mediawiki/kipiplugin_wikimedia.desktop.cmake,
	photivointegration/kipiplugin_photivointegration.desktop.cmake,
	videoslideshow/plugin/kipiplugin_videoslideshow.desktop.cmake: 
	SVN_SILENT made messages (.desktop file)

2012-10-03  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-10-03  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt: photivo tool is not yet ready for production

2012-10-03  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-10-03  Gilles Caulier <caulier.gilles@gmail.com>

	* : fix icons size BUGS: 307709 FIXED-IN: 3.0.0

2012-10-03  Gilles Caulier <caulier.gilles@gmail.com>

	* : rename file with right image size (48 => 64) CCBUGS: 307709

2012-09-30  Andi Clemens <andi.clemens@googlemail.com>

	* batchprocessimages/plugin/plugin_batchprocessimages.h,
	dlnaexport/extra/hupnp/src/dataelements/hresourcetype.h,
	dlnaexport/extra/hupnp/src/devicehosting/controlpoint/hevent_subscr
	iptionmanager_p.h,
	dlnaexport/extra/hupnp/src/devicemodel/client/hclientaction_p.h,
	dlnaexport/extra/hupnp/src/devicemodel/client/hclientactionop.h,
	dlnaexport/extra/hupnp/src/general/hupnp_global.h,
	dlnaexport/extra/hupnp/src/ssdp/hssdp.h,
	dlnaexport/extra/hupnp_av/src/controlpoint/hav_controlpoint_configu
	ration.h,
	dlnaexport/extra/hupnp_av/src/mediabrowser/hcds_lastchange_info.h: 
	fix compile warnings (pedantic)

2012-09-30  Script Kiddy <scripty@kde.org>

	* mediawiki/kipiplugin_wikimedia.desktop.cmake: SVN_SILENT made
	messages (.desktop file)

2012-09-29  Script Kiddy <scripty@kde.org>

	* mediawiki/kipiplugin_wikimedia.desktop.cmake: SVN_SILENT made
	messages (.desktop file)

2012-09-28  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt: pas required libkipi version as argument

2012-09-27  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 624a69b5e635675cc6a79620f7d40041f7aeaef3 Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Thu Sep 27 19:36:07 2012
	+0200

2012-09-27  Frédéric Coiffier <fcoiffie@gmail.com>

	* piwigoexport/piwigotalker.cpp: piwigoexport : Detect already
	existing photos in 2.4.x Previous versions of Piwigo returned a bad XML to the
	'pwg.images.exist' request. The correction of Piwigo had broken the
	workaround : this new code works with all Piwigo versions.

2012-09-27  Script Kiddy <scripty@kde.org>

	* htmlexport/themes/details/details.desktop,
	mediawiki/kipiplugin_wikimedia.desktop.cmake: SVN_SILENT made
	messages (.desktop file)

2012-09-27  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/tools/threads/ractionthreadbase_p.h: polish

2012-09-27  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/CMakeLists.txt,
	common/libkipiplugins/tools/threads/kpactionthreadbase.cpp,
	common/libkipiplugins/tools/threads/kpactionthreadbase.h,
	common/libkipiplugins/tools/threads/kpactionthreadbase_p.cpp,
	common/libkipiplugins/tools/threads/kpactionthreadbase_p.h,
	common/libkipiplugins/tools/threads/ractionthreadbase.cpp,
	common/libkipiplugins/tools/threads/ractionthreadbase.h,
	common/libkipiplugins/tools/threads/ractionthreadbase_p.cpp,
	common/libkipiplugins/tools/threads/ractionthreadbase_p.h,
	dngconverter/plugin/actionthread.cpp,
	dngconverter/plugin/actionthread.h,
	jpeglossless/plugin/actionthread.cpp,
	jpeglossless/plugin/actionthread.h,
	panorama/manager/actionthread.cpp, panorama/manager/actionthread.h,
	rawconverter/manager/actionthread.cpp,
	rawconverter/manager/actionthread.h,
	removeredeyes/plugin/workerthread.cpp,
	removeredeyes/plugin/workerthread.h, sendimages/imageresize.cpp,
	sendimages/imageresize.h, timeadjust/actionthread.cpp,
	timeadjust/actionthread.h: rename action thread calss for future
	integration to libkdcraw

2012-09-26  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt: pass libkipi min version to check

2012-09-26  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 1d92ec7204789e3ae0b60bef39e4ebde2e1b60d8 Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Wed Sep 26 06:33:28 2012
	+0200

2012-09-25  Script Kiddy <scripty@kde.org>

	* mediawiki/kipiplugin_wikimedia.desktop.cmake: SVN_SILENT made
	messages (.desktop file)

2012-09-25  Yuri Chornoivan <yurchor@ukr.net>

	* mediawiki/wmwidget.cpp: Fix typo: choosen->chosen.

2012-09-25  Gilles Caulier <caulier.gilles@gmail.com>

	* jpeglossless/plugin/utils.cpp: polish

2012-09-25  Smit Mehta <smit.meh@gmail.com>

	* jpeglossless/plugin/utils.cpp: Adding .MPO file as an exception.
	Its a 3D extension of JPEG which is not supposed to be rotated.
	CCBUG:307277

2012-09-25  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/tools/threads/kpactionthreadbase.cpp,
	common/libkipiplugins/tools/threads/kpactionthreadbase.h,
	dngconverter/plugin/actionthread.h,
	jpeglossless/plugin/actionthread.h,
	rawconverter/manager/actionthread.cpp,
	rawconverter/manager/actionthread.h,
	removeredeyes/plugin/workerthread.cpp,
	removeredeyes/plugin/workerthread.h, sendimages/imageresize.h,
	timeadjust/actionthread.h: more private internal class to manage
	thread

2012-09-24  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-09-24  Gilles Caulier <caulier.gilles@gmail.com>

	* mediawiki/kipiplugin_wikimedia.desktop.cmake,
	mediawiki/wmwidget.cpp, mediawiki/wmwidget.h,
	mediawiki/wmwindow.cpp: apply patch #74126 from Peter Potrowl BUGS:
	307291

2012-09-23  Gilles Caulier <caulier.gilles@gmail.com>

	* photivointegration/CMakeLists.txt,
	photivointegration/piwidget.cpp, photivointegration/piwidget.h,
	photivointegration/piwindow.cpp, photivointegration/piwindow.h,
	photivointegration/plugin_photivointegration.cpp,
	photivointegration/xmpmm.h: compile under MSVC 2010. Do not use yet
	C++0x extension

2012-09-22  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-09-21  Script Kiddy <scripty@kde.org>

	* dlnaexport/kipiplugin_dlnaexport.desktop.cmake,
	imageshackexport/kipiplugin_imageshackexport.desktop.cmake,
	photivointegration/kipiplugin_photivointegration.desktop.cmake,
	videoslideshow/plugin/kipiplugin_videoslideshow.desktop.cmake: 
	SVN_SILENT made messages (.desktop file)

2012-09-21  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-09-21  Gilles Caulier <caulier.gilles@gmail.com>

	* galleryexport/galleries.cpp, galleryexport/galleries.h,
	galleryexport/galleryconfig.cpp, galleryexport/galleryconfig.h,
	galleryexport/galleryitem.h, galleryexport/gallerympform.cpp,
	galleryexport/gallerympform.h, galleryexport/gallerytalker.cpp,
	galleryexport/gallerytalker.h: polish

2012-09-21  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-09-21  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-09-21  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 9cb32d320a9c9cd9c8074154bd6cfa5e22b09c27 Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Fri Sep 21 09:43:29 2012
	+0200

2012-09-20  Script Kiddy <scripty@kde.org>

	* dlnaexport/kipiplugin_dlnaexport.desktop.cmake,
	imageshackexport/kipiplugin_imageshackexport.desktop.cmake,
	photivointegration/kipiplugin_photivointegration.desktop.cmake,
	videoslideshow/plugin/kipiplugin_videoslideshow.desktop.cmake: 
	SVN_SILENT made messages (.desktop file)

2012-09-18  Gilles Caulier <caulier.gilles@gmail.com>

	* galleryexport/kipiplugin_galleryexport.desktop.cmake,
	gpssync/kipiplugin_gpssync.desktop.cmake,
	htmlexport/kipiplugin_htmlexport.desktop.cmake,
	imageshackexport/kipiplugin_imageshackexport.desktop.cmake,
	imageviewer/kipiplugin_imageviewer.desktop.cmake,
	imgurexport/kipiplugin_imgurexport.desktop.cmake,
	ipodexport/kipiplugin_ipodexport.desktop.cmake,
	jpeglossless/plugin/kipiplugin_jpeglossless.desktop.cmake,
	kioexportimport/kipiplugin_kioexportimport.desktop.cmake,
	kmlexport/kipiplugin_kmlexport.desktop.cmake,
	kopete/kipiplugin_kopete.desktop.cmake,
	mediawiki/kipiplugin_wikimedia.desktop.cmake,
	metadataedit/plugin/kipiplugin_metadataedit.desktop.cmake,
	panorama/plugin/kipiplugin_panorama.desktop.cmake,
	photivointegration/kipiplugin_photivointegration.desktop.cmake,
	photolayoutseditor/plugin/kipiplugin_photolayoutseditor.desktop.cma
	ke, picasawebexport/kipiplugin_picasawebexport.desktop.cmake,
	piwigoexport/kipiplugin_piwigoexport.desktop.cmake,
	printimages/plugin/kipiplugin_printimages.desktop.cmake,
	rajceexport/kipiplugin_rajceexport.desktop.cmake,
	rawconverter/plugin/kipiplugin_rawconverter.desktop.cmake,
	removeredeyes/plugin/kipiplugin_removeredeyes.desktop.cmake,
	sendimages/kipiplugin_sendimages.desktop.cmake,
	shwup/kipiplugin_shwup.desktop.cmake,
	smug/kipiplugin_smug.desktop.cmake,
	timeadjust/kipiplugin_timeadjust.desktop.cmake,
	videoslideshow/plugin/kipiplugin_videoslideshow.desktop.cmake,
	vkontakte/kipiplugin_vkontakte.desktop.cmake,
	wallpaper/kipiplugin_wallpaper.desktop.cmake,
	yandexfotki/kipiplugin_yandexfotki.desktop.cmake: another commits
	which are not handle by git last Sunday before 3.0.0-beta1 release.
	This commit must be include to beta1 tarball as well.  CCMAIL:
	neoclust.kde@free.fr

2012-09-17  Gilles Caulier <caulier.gilles@gmail.com>

	* galleryexport/CMakeLists.txt, gpssync/CMakeLists.txt,
	htmlexport/CMakeLists.txt, imageshackexport/CMakeLists.txt,
	imageviewer/CMakeLists.txt, imgurexport/CMakeLists.txt,
	ipodexport/CMakeLists.txt, jpeglossless/CMakeLists.txt,
	kioexportimport/CMakeLists.txt, kmlexport/CMakeLists.txt,
	kopete/CMakeLists.txt, mediawiki/CMakeLists.txt,
	metadataedit/CMakeLists.txt, panorama/CMakeLists.txt,
	photivointegration/CMakeLists.txt,
	photolayoutseditor/CMakeLists.txt, picasawebexport/CMakeLists.txt,
	piwigoexport/CMakeLists.txt, printimages/CMakeLists.txt,
	rajceexport/CMakeLists.txt, rawconverter/CMakeLists.txt,
	removeredeyes/CMakeLists.txt, sendimages/CMakeLists.txt,
	shwup/CMakeLists.txt, smug/CMakeLists.txt,
	timeadjust/CMakeLists.txt, videoslideshow/CMakeLists.txt,
	vkontakte/CMakeLists.txt, wallpaper/CMakeLists.txt,
	yandexfotki/CMakeLists.txt: fix .desktop file configure and install.
	Git has missing to include this changes Sunday. Why ? This patch
	must be included to 3.0.0-beta1

2012-09-16  Nicolas Lécureuil <neoclust.kde@free.fr>

	* CMakeLists.txt, NEWS: Open beta2

2012-09-16  Gilles Caulier <caulier.gilles@gmail.com>

	* yandexfotki/kipiplugin_yandexfotki.desktop,
	yandexfotki/kipiplugin_yandexfotki.desktop.cmake: so version to
	desktop file

2012-09-16  Gilles Caulier <caulier.gilles@gmail.com>

	* wallpaper/kipiplugin_wallpaper.desktop,
	wallpaper/kipiplugin_wallpaper.desktop.cmake: so version to desktop
	file

2012-09-16  Gilles Caulier <caulier.gilles@gmail.com>

	* vkontakte/kipiplugin_vkontakte.desktop,
	vkontakte/kipiplugin_vkontakte.desktop.cmake: so version to desktop
	file

2012-09-16  Gilles Caulier <caulier.gilles@gmail.com>

	* videoslideshow/plugin/kipiplugin_videoslideshow.desktop,
	videoslideshow/plugin/kipiplugin_videoslideshow.desktop.cmake: so
	version to desktop file

2012-09-16  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/kipiplugin_timeadjust.desktop,
	timeadjust/kipiplugin_timeadjust.desktop.cmake: so version to
	desktop file

2012-09-16  Gilles Caulier <caulier.gilles@gmail.com>

	* smug/kipiplugin_smug.desktop, smug/kipiplugin_smug.desktop.cmake: 
	so version to desktop file

2012-09-16  Gilles Caulier <caulier.gilles@gmail.com>

	* shwup/kipiplugin_shwup.desktop,
	shwup/kipiplugin_shwup.desktop.cmake: so version to desktop file

2012-09-15  Gilles Caulier <caulier.gilles@gmail.com>

	* sendimages/kipiplugin_sendimages.desktop,
	sendimages/kipiplugin_sendimages.desktop.cmake: so version to
	desktop file

2012-09-15  Gilles Caulier <caulier.gilles@gmail.com>

	* removeredeyes/plugin/kipiplugin_removeredeyes.desktop,
	removeredeyes/plugin/kipiplugin_removeredeyes.desktop.cmake: so
	version to desktop file

2012-09-15  Gilles Caulier <caulier.gilles@gmail.com>

	* rawconverter/plugin/kipiplugin_rawconverter.desktop,
	rawconverter/plugin/kipiplugin_rawconverter.desktop.cmake: so
	version to desktop file

2012-09-15  Gilles Caulier <caulier.gilles@gmail.com>

	* rajceexport/kipiplugin_rajceexport.desktop,
	rajceexport/kipiplugin_rajceexport.desktop.cmake: so version to
	desktop file

2012-09-15  Gilles Caulier <caulier.gilles@gmail.com>

	* printimages/plugin/kipiplugin_printimages.desktop,
	printimages/plugin/kipiplugin_printimages.desktop.cmake: so version
	to desktop file

2012-09-15  Gilles Caulier <caulier.gilles@gmail.com>

	* piwigoexport/kipiplugin_piwigoexport.desktop,
	piwigoexport/kipiplugin_piwigoexport.desktop.cmake: so version to
	desktop file

2012-09-15  Gilles Caulier <caulier.gilles@gmail.com>

	* picasawebexport/kipiplugin_picasawebexport.desktop,
	picasawebexport/kipiplugin_picasawebexport.desktop.cmake: so version
	to desktop file

2012-09-15  Gilles Caulier <caulier.gilles@gmail.com>

	* photolayoutseditor/plugin/kipiplugin_photolayoutseditor.desktop,
	photolayoutseditor/plugin/kipiplugin_photolayoutseditor.desktop.cma
	ke: so version to desktop file

2012-09-15  Gilles Caulier <caulier.gilles@gmail.com>

	* photivointegration/kipiplugin_photivointegration.desktop,
	photivointegration/kipiplugin_photivointegration.desktop.cmake: so
	version to desktop file

2012-09-15  Gilles Caulier <caulier.gilles@gmail.com>

	* panorama/plugin/kipiplugin_panorama.desktop,
	panorama/plugin/kipiplugin_panorama.desktop.cmake: so version to
	desktop file

2012-09-15  Gilles Caulier <caulier.gilles@gmail.com>

	* metadataedit/plugin/kipiplugin_metadataedit.desktop,
	metadataedit/plugin/kipiplugin_metadataedit.desktop.cmake: so
	version to desktop file

2012-09-15  Gilles Caulier <caulier.gilles@gmail.com>

	* mediawiki/kipiplugin_wikimedia.desktop,
	mediawiki/kipiplugin_wikimedia.desktop.cmake: so version to desktop
	file

2012-09-15  Gilles Caulier <caulier.gilles@gmail.com>

	* kopete/kipiplugin_kopete.desktop,
	kopete/kipiplugin_kopete.desktop.cmake: so version to desktop file

2012-09-15  Gilles Caulier <caulier.gilles@gmail.com>

	* kmlexport/kipiplugin_kmlexport.desktop,
	kmlexport/kipiplugin_kmlexport.desktop.cmake: so version to desktop
	file

2012-09-15  Gilles Caulier <caulier.gilles@gmail.com>

	* kioexportimport/kipiplugin_kioexportimport.desktop,
	kioexportimport/kipiplugin_kioexportimport.desktop.cmake: so version
	to desktop file

2012-09-15  Gilles Caulier <caulier.gilles@gmail.com>

	* jpeglossless/plugin/kipiplugin_jpeglossless.desktop,
	jpeglossless/plugin/kipiplugin_jpeglossless.desktop.cmake: so
	version to desktop file

2012-09-15  Gilles Caulier <caulier.gilles@gmail.com>

	* ipodexport/kipiplugin_ipodexport.desktop,
	ipodexport/kipiplugin_ipodexport.desktop.cmake: so version to
	desktop file

2012-09-15  Gilles Caulier <caulier.gilles@gmail.com>

	* imgurexport/kipiplugin_imgurexport.desktop,
	imgurexport/kipiplugin_imgurexport.desktop.cmake: so version to
	desktop file

2012-09-15  Gilles Caulier <caulier.gilles@gmail.com>

	* imageviewer/kipiplugin_imageviewer.desktop,
	imageviewer/kipiplugin_imageviewer.desktop.cmake: so version to
	desktop file

2012-09-15  Gilles Caulier <caulier.gilles@gmail.com>

	* imageshackexport/kipiplugin_imageshackexport.desktop,
	imageshackexport/kipiplugin_imageshackexport.desktop.cmake: so
	version to desktop file

2012-09-15  Gilles Caulier <caulier.gilles@gmail.com>

	* htmlexport/kipiplugin_htmlexport.desktop,
	htmlexport/kipiplugin_htmlexport.desktop.cmake: so version to
	desktop file

2012-09-15  Gilles Caulier <caulier.gilles@gmail.com>

	* gpssync/kipiplugin_gpssync.desktop,
	gpssync/kipiplugin_gpssync.desktop.cmake: so version to desktop file

2012-09-15  Gilles Caulier <caulier.gilles@gmail.com>

	* galleryexport/kipiplugin_galleryexport.desktop,
	galleryexport/kipiplugin_galleryexport.desktop.cmake: so version to
	desktop file

2012-09-15  Gilles Caulier <caulier.gilles@gmail.com>

	* flickrexport/CMakeLists.txt,
	flickrexport/kipiplugin_flickrexport.desktop,
	flickrexport/kipiplugin_flickrexport.desktop.cmake: so version to
	desktop file

2012-09-15  Gilles Caulier <caulier.gilles@gmail.com>

	* flashexport/CMakeLists.txt,
	flashexport/kipiplugin_flashexport.desktop,
	flashexport/kipiplugin_flashexport.desktop.cmake: so version to
	desktop file

2012-09-15  Gilles Caulier <caulier.gilles@gmail.com>

	* facebook/CMakeLists.txt, facebook/kipiplugin_facebook.desktop,
	facebook/kipiplugin_facebook.desktop.cmake: so version to desktop
	file

2012-09-15  Gilles Caulier <caulier.gilles@gmail.com>

	* expoblending/CMakeLists.txt,
	expoblending/plugin/kipiplugin_expoblending.desktop,
	expoblending/plugin/kipiplugin_expoblending.desktop.cmake: so
	version to desktop file

2012-09-15  Gilles Caulier <caulier.gilles@gmail.com>

	* acquireimages/CMakeLists.txt,
	acquireimages/kipiplugin_acquireimages.desktop,
	acquireimages/kipiplugin_acquireimages.desktop.cmake,
	advancedslideshow/CMakeLists.txt,
	advancedslideshow/plugin/kipiplugin_advancedslideshow.desktop,
	advancedslideshow/plugin/kipiplugin_advancedslideshow.desktop.cmake
	, batchprocessimages/CMakeLists.txt,
	batchprocessimages/plugin/kipiplugin_batchprocessimages.desktop,
	batchprocessimages/plugin/kipiplugin_batchprocessimages.desktop.cma
	ke, calendar/CMakeLists.txt,
	calendar/plugin/kipiplugin_calendar.desktop,
	calendar/plugin/kipiplugin_calendar.desktop.cmake,
	debianscreenshots/CMakeLists.txt,
	debianscreenshots/kipiplugin_debianscreenshots.desktop,
	debianscreenshots/kipiplugin_debianscreenshots.desktop.cmake,
	dlnaexport/CMakeLists.txt,
	dlnaexport/kipiplugin_dlnaexport.desktop,
	dlnaexport/kipiplugin_dlnaexport.desktop.cmake,
	dngconverter/plugin/CMakeLists.txt,
	dngconverter/plugin/kipiplugin_dngconverter.desktop,
	dngconverter/plugin/kipiplugin_dngconverter.desktop.cmake: Start to
	patch some plugins desktop files to register libkipi so version used
	at compilation time.  Not all plugins are yet patched.

2012-09-14  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-09-13  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-09-13  Script Kiddy <scripty@kde.org>

	* dlnaexport/kipiplugin_dlnaexport.desktop,
	imageshackexport/kipiplugin_imageshackexport.desktop,
	photivointegration/kipiplugin_photivointegration.desktop,
	videoslideshow/plugin/kipiplugin_videoslideshow.desktop: SVN_SILENT
	made messages (.desktop file)

2012-09-13  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt: fix 3.0.0-beta1 release date to 16 september

2012-09-10  Script Kiddy <scripty@kde.org>

	* dlnaexport/kipiplugin_dlnaexport.desktop,
	imageshackexport/kipiplugin_imageshackexport.desktop,
	photivointegration/kipiplugin_photivointegration.desktop,
	videoslideshow/plugin/kipiplugin_videoslideshow.desktop: SVN_SILENT
	made messages (.desktop file)

2012-09-09  Script Kiddy <scripty@kde.org>

	* dlnaexport/kipiplugin_dlnaexport.desktop,
	imageshackexport/kipiplugin_imageshackexport.desktop,
	photivointegration/kipiplugin_photivointegration.desktop,
	videoslideshow/plugin/kipiplugin_videoslideshow.desktop: SVN_SILENT
	made messages (.desktop file)

2012-09-07  Script Kiddy <scripty@kde.org>

	* dlnaexport/kipiplugin_dlnaexport.desktop,
	imageshackexport/kipiplugin_imageshackexport.desktop: SVN_SILENT
	made messages (.desktop file)

2012-09-06  Script Kiddy <scripty@kde.org>

	* dlnaexport/kipiplugin_dlnaexport.desktop,
	imageshackexport/kipiplugin_imageshackexport.desktop,
	photivointegration/kipiplugin_photivointegration.desktop,
	videoslideshow/plugin/kipiplugin_videoslideshow.desktop: SVN_SILENT
	made messages (.desktop file)

2012-09-05  Script Kiddy <scripty@kde.org>

	* dlnaexport/kipiplugin_dlnaexport.desktop,
	imageshackexport/kipiplugin_imageshackexport.desktop,
	photivointegration/kipiplugin_photivointegration.desktop,
	videoslideshow/plugin/kipiplugin_videoslideshow.desktop: SVN_SILENT
	made messages (.desktop file)

2012-09-05  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 63db3c0bff70e57219376bb3f854372a8d5e3597 Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Wed Sep 5 13:41:00 2012
	+0200

2012-09-05  Smit Mehta <smit.meh@gmail.com>

	* dlnaexport/finalpage.cpp: deleting objects instead of calling
	destructors to stop servers

2012-09-05  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-09-05  Script Kiddy <scripty@kde.org>

	* imageshackexport/kipiplugin_imageshackexport.desktop,
	photivointegration/kipiplugin_photivointegration.desktop: SVN_SILENT
	made messages (.desktop file)

2012-09-04  Pino Toscano <pino@kde.org>

	* dlnaexport/extra/avtest/mediarenderer_connectionwindow.ui: 
	fixuifiles

2012-09-03  Victor Dodon <dodonvictor@gmail.com>

	* : commit 97b661b2f8346a7f80dc58ccd0d412cb310a52f1 Merge: e6970f4
	fa923d2 Author: Gilles Caulier <caulier.gilles@gmail.com> Date:
	Mon Sep 3 15:17:57 2012 +0200

2012-09-03  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/kipiplugins.desktop.cmake: use X- prefix
	with customized kipiplugins group of desktop file BUGS: 306193
	FIXED-IN: 3.0.0

2012-09-03  Victor Dodon <dodonvictor@gmail.com>

	* metadataedit/plugin/kipiplugin_metadataeditui.rc: Fix typo

2012-09-02  Smit Mehta <smit.meh@gmail.com>

	* timeadjust/actionthread.cpp, timeadjust/timeadjustdialog.cpp: 
	KPImageInfo code moved to actionthread.cpp as now it is threadsafe.

2012-09-02  Nicolas Lécureuil <neoclust.kde@free.fr>

	* ChangeLog, project/NEWS.2.9.0: Prepare 2.9.0 Release

2.9.0 2012-09-02

2012-08-30  Smit Mehta <smit.meh@gmail.com>

	* timeadjust/timeadjustdialog.cpp: Clearing itemsUpdatedMap when
	adding images.  CCBUG:304246

2012-08-25  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-08-22  Gilles Caulier <caulier.gilles@gmail.com>

	* galleryexport/plugin_galleryexport.cpp: fix memory leak

2012-08-20  Alexander Potashev <aspotashev@gmail.com>

	* vkontakte/vkwindow.cpp: Fix crash when no existing valid
	authentication token for VK.com was found in the KIPI configuration
	file The App ID wasn't passed to VkAPI, because of this the assertion
	statement Q_ASSERT(!d->appId.isEmpty()); failed in
	AuthenticationDialog::start() in the LibKVkontakte library.

2012-08-09  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-08-08  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 83197e10fe6de93d636d86148ee90f618fd48918 Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Wed Aug 8 15:39:18 2012
	+0200

2012-08-08  Smit Mehta <smit.meh@gmail.com>

	* dngconverter/plugin/actionthread.cpp: Temporary fix : Added a
	mutex lock.  Not a problem with actiontread.cpp and batchdialog.cpp
	TODO : figure out why multi-threading does unexpected stuff in
	dngprocessor.  CCBUG:303980

2012-08-08  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/CMakeLists.txt,
	common/libkipiplugins/kipiplugins.desktop,
	common/libkipiplugins/kipiplugins.desktop.cmake: configure
	kipiplugins.desktop file with kipi-plugins version string through
	Cmake

2012-08-06  Nicolas Lécureuil <neoclust.kde@free.fr>

	* CMakeLists.txt, NEWS: Open for digikam 2.9.0

2012-08-06  Nicolas Lécureuil <neoclust.kde@free.fr>

	* ChangeLog, project/NEWS.2.8.0: Prepare for version 2.8.0

2.8.0 2012-08-06

2012-08-04  Script Kiddy <scripty@kde.org>

	* htmlexport/themes/snow/snow.desktop,
	wallpaper/kipiplugin_wallpaper.desktop: SVN_SILENT made messages
	(.desktop file)

2012-08-03  Script Kiddy <scripty@kde.org>

	* htmlexport/themes/matrix/matrix.desktop,
	photolayoutseditor/plugin/photolayoutseditor.desktop: SVN_SILENT
	made messages (.desktop file)

2012-08-02  Script Kiddy <scripty@kde.org>

	* flickrexport/kipiplugin_flickrexport.desktop: SVN_SILENT made
	messages (.desktop file)

2012-07-30  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-07-30  Gilles Caulier <caulier.gilles@gmail.com>

	* dngconverter/dngwriter/dngwriter.cpp,
	dngconverter/dngwriter/dngwriter.h, dngconverter/plugin/actions.h,
	dngconverter/plugin/actionthread.cpp,
	dngconverter/plugin/actionthread.h,
	dngconverter/plugin/batchdialog.cpp,
	dngconverter/plugin/batchdialog.h: If Color matrix is not supported
	by libraw to process RAW file to DNG, report an error and cancel
	processing.  Report error string to listview.  BUGS: 304242
	FIXED-IN: 2.8.0

2012-07-30  Gilles Caulier <caulier.gilles@gmail.com>

	* dngconverter/dngwriter/dngwriter.cpp,
	dngconverter/dngwriter/dngwriter.h,
	dngconverter/dngwriter/dngwriter_p.cpp,
	dngconverter/dngwriter/dngwriter_p.h,
	dngconverter/dngwriter/dngwriterhost.cpp,
	dngconverter/dngwriter/dngwriterhost.h: move enum to private
	container polish

2012-07-29  Gilles Caulier <caulier.gilles@gmail.com>

	* panorama/plugin/plugin_panorama.cpp: fix a problem to render
	preview between sessions of pano tool runing in same kipi host
	application session. Previous render need to be cleaned...

2012-07-29  Script Kiddy <scripty@kde.org>

	* acquireimages/kipiplugin_acquireimages.desktop,
	acquireimages/scangui.desktop,
	advancedslideshow/plugin/kipiplugin_advancedslideshow.desktop,
	batchprocessimages/plugin/kipiplugin_batchprocessimages.desktop,
	calendar/plugin/kipiplugin_calendar.desktop,
	common/libkipiplugins/kipiplugins.desktop,
	debianscreenshots/kipiplugin_debianscreenshots.desktop,
	dngconverter/plugin/dngconverter.desktop,
	dngconverter/plugin/kipiplugin_dngconverter.desktop,
	facebook/kipiplugin_facebook.desktop,
	flashexport/kipiplugin_flashexport.desktop,
	flickrexport/kipiplugin_flickrexport.desktop,
	galleryexport/kipiplugin_galleryexport.desktop,
	gpssync/kipiplugin_gpssync.desktop,
	htmlexport/kipiplugin_htmlexport.desktop,
	htmlexport/themes/classic/classic.desktop,
	htmlexport/themes/cleanframes/cleanframes.desktop,
	htmlexport/themes/dateframes/dateframes.desktop,
	htmlexport/themes/details/details.desktop,
	htmlexport/themes/floating_cards/floating_cards.desktop,
	htmlexport/themes/frames/frames.desktop,
	htmlexport/themes/matrix/matrix.desktop,
	htmlexport/themes/s0/s0.desktop,
	htmlexport/themes/snow/snow.desktop,
	imageshackexport/kipiplugin_imageshackexport.desktop,
	imageviewer/kipiplugin_imageviewer.desktop,
	imgurexport/kipiplugin_imgurexport.desktop,
	ipodexport/kipiplugin_ipodexport.desktop,
	jpeglossless/plugin/kipiplugin_jpeglossless.desktop,
	kioexportimport/kipiplugin_kioexportimport.desktop,
	kmlexport/kipiplugin_kmlexport.desktop,
	kopete/kipiplugin_kopete.desktop,
	mediawiki/kipiplugin_wikimedia.desktop,
	metadataedit/plugin/kipiplugin_metadataedit.desktop,
	panorama/plugin/kipiplugin_panorama.desktop,
	panorama/plugin/panoramagui.desktop,
	photolayoutseditor/borders/photolayoutseditorborderplugin.desktop,
	photolayoutseditor/effects/photolayoutseditoreffectplugin.desktop,
	printimages/templates/1_photo_10.5x14.8cm.desktop,
	printimages/templates/2_photos_13x18cm.desktop,
	printimages/templates/4_photos_10x13.33cm.desktop,
	printimages/templates/4_photos_3.5x5.desktop,
	printimages/templates/4_photos_4.5x5cm.desktop,
	printimages/templates/6_photos_3.5x4.5cm.desktop,
	printimages/templates/6_photos_3.5x4cm.desktop,
	printimages/templates/Album-Collage.desktop,
	printimages/templates/Album-Collage1.desktop,
	printimages/templates/Album_11.5x15cm.desktop,
	printimages/templates/Photoframe.desktop,
	rajceexport/kipiplugin_rajceexport.desktop,
	rawconverter/plugin/kipiplugin_rawconverter.desktop,
	sendimages/kipiplugin_sendimages.desktop,
	smug/kipiplugin_smug.desktop,
	timeadjust/kipiplugin_timeadjust.desktop,
	vkontakte/kipiplugin_vkontakte.desktop,
	wallpaper/kipiplugin_wallpaper.desktop: SVN_SILENT made messages
	(.desktop file)

2012-07-27  Gilles Caulier <caulier.gilles@gmail.com>

	* panorama/tasks/cpcleantask.cpp: comment code to hack make parser
	using boost lib. This code crash here under Mageia 2.0 In fact this
	code is not yet used. Plugin work great without this code...

2012-07-25  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-07-20  Script Kiddy <scripty@kde.org>

	* imageshackexport/kipiplugin_imageshackexport.desktop,
	tests/helloworld/kipiplugin_helloworld.desktop: SVN_SILENT made
	messages (.desktop file)

2012-07-19  Script Kiddy <scripty@kde.org>

	* acquireimages/kipiplugin_acquireimages.desktop,
	acquireimages/scangui.desktop,
	advancedslideshow/plugin/kipiplugin_advancedslideshow.desktop,
	calendar/plugin/kipiplugin_calendar.desktop,
	dngconverter/plugin/dngconverter.desktop,
	dngconverter/plugin/kipiplugin_dngconverter.desktop,
	flashexport/kipiplugin_flashexport.desktop,
	flickrexport/kipiplugin_flickrexport.desktop,
	galleryexport/kipiplugin_galleryexport.desktop,
	htmlexport/kipiplugin_htmlexport.desktop,
	htmlexport/themes/classic/classic.desktop,
	htmlexport/themes/details/details.desktop,
	htmlexport/themes/floating_cards/floating_cards.desktop,
	printimages/templates/1_photo_10.5x14.8cm.desktop,
	printimages/templates/1_photo_10x15cm.desktop,
	printimages/templates/1_photo_20x25cm.desktop,
	printimages/templates/1_photo_8x10.desktop,
	printimages/templates/1_photo_9x13cm.desktop,
	printimages/templates/2_photos_13x18cm.desktop,
	printimages/templates/2_photos_5x7.desktop,
	printimages/templates/3_photos_10x15cm.desktop,
	printimages/templates/3_photos_4x6.desktop,
	printimages/templates/4_photos_10x13.33cm.desktop,
	printimages/templates/4_photos_3.5x5.desktop,
	printimages/templates/4_photos_4.5x5cm.desktop,
	printimages/templates/4_photos_9x13cm.desktop,
	printimages/templates/6_photos_3.5x4.5cm.desktop,
	printimages/templates/6_photos_3.5x4cm.desktop,
	printimages/templates/Album-Collage.desktop,
	printimages/templates/Album-Collage1.desktop,
	printimages/templates/FullPage.desktop,
	printimages/templates/Photoframe.desktop,
	printimages/templates/Thumbnails_5x4.desktop,
	printimages/templates/Thumbnails_6x5.desktop,
	rajceexport/kipiplugin_rajceexport.desktop: SVN_SILENT made messages
	(.desktop file)

2012-07-17  Ananta Palani <anantapalani@gmail.com>

	* expoblending/CMakeLists.txt: Fix for Windows compilation problems
	due OpenMP_CXX_FLAGS leaking into resource compiler

2012-07-17  Smit Mehta <smit.meh@gmail.com>

	* NEWS: update

2012-07-17  Smit Mehta <smit.meh@gmail.com>

	* picasawebexport/picasawebtalker.cpp,
	picasawebexport/picasawebtalker.h,
	picasawebexport/picasawebwindow.cpp,
	picasawebexport/picasawebwindow.h: Added another parameter
	"userEmailId" for storing the name everywhere in picasaExport BUGS:
	298022

2012-07-16  Smit Mehta <smit.meh@gmail.com>

	* NEWS: update

2012-07-16  Smit Mehta <smit.meh@gmail.com>

	* .gitignore, mediawiki/TODO, mediawiki/plugin_wikimedia.cpp,
	mediawiki/plugin_wikimedia.h, mediawiki/wikimediajob.cpp,
	mediawiki/wmwidget.cpp, mediawiki/wmwidget.h,
	mediawiki/wmwindow.cpp: Applied patch by Peter Potrowl.  Usability
	improvements and fixing minor bugs in mediaWiki export BUGS:303464

2012-07-16  Script Kiddy <scripty@kde.org>

	* expoblending/plugin/expoblending.desktop,
	expoblending/plugin/kipiplugin_expoblending.desktop: SVN_SILENT made
	messages (.desktop file)

2012-07-09  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/actionthread.cpp, timeadjust/actionthread.h,
	timeadjust/clockphotodialog.cpp, timeadjust/clockphotodialog.h,
	timeadjust/plugin_timeadjust.cpp, timeadjust/plugin_timeadjust.h,
	timeadjust/settingswidget.cpp, timeadjust/settingswidget.h,
	timeadjust/timeadjustdialog.cpp, timeadjust/timeadjustdialog.h: use
	Private class name

2012-07-09  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-07-09  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/timeadjustdialog.cpp: backport commit
	892d44494fdf9bfcd4f7626f277d53275084c77a from 3.0.0 branch CCBUGS:
	303188

2012-07-09  Gilles Caulier <caulier.gilles@gmail.com>

	* mediawiki/wmwindow.cpp, mediawiki/wmwindow.h: use d private
	internal container CCBUGS: 302755

2012-07-09  Gilles Caulier <caulier.gilles@gmail.com>

	* mediawiki/wmwidget.cpp, mediawiki/wmwidget.h: use d private
	internal container CCBUGS: 302755

2012-07-09  Gilles Caulier <caulier.gilles@gmail.com>

	* mediawiki/wikimediajob.cpp, mediawiki/wikimediajob.h: use d
	private internal container constify CCBUGS: 302755

2012-07-09  Gilles Caulier <caulier.gilles@gmail.com>

	* mediawiki/plugin_wikimedia.cpp, mediawiki/plugin_wikimedia.h: use
	d private internal container CCBUGS: 302755

2012-07-09  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-07-09  Gilles Caulier <caulier.gilles@gmail.com>

	* mediawiki/wikimediajob.cpp, mediawiki/wikimediajob.h,
	mediawiki/wmwidget.cpp, mediawiki/wmwidget.h,
	mediawiki/wmwindow.cpp, mediawiki/wmwindow.h: Apply patch #72221
	from Peter Potrowl about MediaWiki Export tool GUI improvements plus
	new features.  Review code and polish coding style.  BUGS: 302755

2012-07-08  Gilles Caulier <caulier.gilles@gmail.com>

	* project/NEWS.2.7.0: polish

2012-07-08  Nicolas Lécureuil <neoclust.kde@free.fr>

	* CMakeLists.txt, NEWS: Open for 2.8.0

2012-07-08  Nicolas Lécureuil <neoclust.kde@free.fr>

	* ChangeLog, project/NEWS.2.7.0: Prepare for version 2.7.0

2012-07-05  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-07-04  Script Kiddy <scripty@kde.org>

	* imageshackexport/kipiplugin_imageshackexport.desktop,
	imgurexport/kipiplugin_imgurexport.desktop,
	kopete/kipiplugin_kopete.desktop,
	mediawiki/kipiplugin_wikimedia.desktop,
	metadataedit/plugin/kipiplugin_metadataedit.desktop,
	panorama/plugin/panoramagui.desktop,
	photolayoutseditor/plugin/kipiplugin_photolayoutseditor.desktop,
	photolayoutseditor/plugin/photolayoutseditor.desktop,
	picasawebexport/kipiplugin_picasawebexport.desktop,
	piwigoexport/kipiplugin_piwigoexport.desktop,
	printimages/plugin/kipiplugin_printimages.desktop,
	printimages/templates/6_photos_3.5x4.5cm.desktop,
	printimages/templates/FullPage.desktop,
	printimages/templates/Thumbnails_5x4.desktop,
	printimages/templates/Thumbnails_6x5.desktop,
	rajceexport/kipiplugin_rajceexport.desktop,
	rawconverter/plugin/kipiplugin_rawconverter.desktop,
	removeredeyes/plugin/kipiplugin_removeredeyes.desktop,
	sendimages/kipiplugin_sendimages.desktop,
	shwup/kipiplugin_shwup.desktop, smug/kipiplugin_smug.desktop,
	tests/helloworld/kipiplugin_helloworld.desktop,
	vkontakte/kipiplugin_vkontakte.desktop,
	wallpaper/kipiplugin_wallpaper.desktop,
	yandexfotki/kipiplugin_yandexfotki.desktop: SVN_SILENT made messages
	(.desktop file)

2012-06-28  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/tools/kpimageinfo.cpp: be more restictive to
	check if attribute exist to prevent crash if QMap is empty.
	Simplify and factorize code.  Please check if this patch fix crash
	indeep Qt4.  CCBUGS: 302306 CCBUGS: 302714

2012-06-28  Jekyll Wu <adaptee@gmail.com>

	* acquireimages/kipiplugin_acquireimages.desktop,
	advancedslideshow/plugin/kipiplugin_advancedslideshow.desktop,
	batchprocessimages/plugin/kipiplugin_batchprocessimages.desktop,
	calendar/plugin/kipiplugin_calendar.desktop,
	common/libkipiplugins/kipiplugins.desktop,
	debianscreenshots/kipiplugin_debianscreenshots.desktop,
	dngconverter/plugin/kipiplugin_dngconverter.desktop,
	expoblending/plugin/kipiplugin_expoblending.desktop,
	facebook/kipiplugin_facebook.desktop,
	flashexport/kipiplugin_flashexport.desktop,
	flickrexport/kipiplugin_flickrexport.desktop,
	galleryexport/kipiplugin_galleryexport.desktop,
	gpssync/kipiplugin_gpssync.desktop,
	htmlexport/kipiplugin_htmlexport.desktop,
	imageshackexport/kipiplugin_imageshackexport.desktop,
	imageviewer/kipiplugin_imageviewer.desktop,
	imgurexport/kipiplugin_imgurexport.desktop,
	ipodexport/kipiplugin_ipodexport.desktop,
	jpeglossless/plugin/kipiplugin_jpeglossless.desktop,
	kioexportimport/kipiplugin_kioexportimport.desktop,
	kmlexport/kipiplugin_kmlexport.desktop,
	kopete/kipiplugin_kopete.desktop,
	mediawiki/kipiplugin_wikimedia.desktop,
	metadataedit/plugin/kipiplugin_metadataedit.desktop,
	panorama/plugin/kipiplugin_panorama.desktop,
	photolayoutseditor/borders/photolayoutseditorborderplugin.desktop,
	photolayoutseditor/effects/photolayoutseditoreffectplugin.desktop,
	photolayoutseditor/plugin/kipiplugin_photolayoutseditor.desktop,
	picasawebexport/kipiplugin_picasawebexport.desktop,
	piwigoexport/kipiplugin_piwigoexport.desktop,
	printimages/plugin/kipiplugin_printimages.desktop,
	rajceexport/kipiplugin_rajceexport.desktop,
	rawconverter/plugin/kipiplugin_rawconverter.desktop,
	removeredeyes/plugin/kipiplugin_removeredeyes.desktop,
	sendimages/kipiplugin_sendimages.desktop,
	shwup/kipiplugin_shwup.desktop, smug/kipiplugin_smug.desktop,
	tests/helloworld/kipiplugin_helloworld.desktop,
	timeadjust/kipiplugin_timeadjust.desktop,
	vkontakte/kipiplugin_vkontakte.desktop,
	wallpaper/kipiplugin_wallpaper.desktop,
	yandexfotki/kipiplugin_yandexfotki.desktop: Remove deprecated
	"Encoding" key from dekstop entry

2012-06-26  Gilles Caulier <caulier.gilles@gmail.com>

	* picasawebexport/picasawebwindow.cpp: polish

2012-06-26  Gilles Caulier <caulier.gilles@gmail.com>

	* picasawebexport/picasawebitem.h: polish

2012-06-26  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-06-26  Gilles Caulier <caulier.gilles@gmail.com>

	* picasawebexport/picasawebtalker.cpp,
	picasawebexport/picasawebtalker.h,
	picasawebexport/picasawebwidget.cpp,
	picasawebexport/picasawebwidget.h,
	picasawebexport/picasawebwindow.cpp: show login name in main dialog,
	not internal Google user name taken from token.  BUGS: 291951 BUGS:
	285831

2012-06-25  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-06-25  Gilles Caulier <caulier.gilles@gmail.com>

	* dngconverter/plugin/myimagelist.cpp,
	dngconverter/plugin/myimagelist.h: permit to process back DNG files
	for recompression conversion, as Adobe tool.  BUGS: 302447

2012-06-24  Script Kiddy <scripty@kde.org>

	* imageshackexport/kipiplugin_imageshackexport.desktop,
	imgurexport/kipiplugin_imgurexport.desktop,
	panorama/plugin/kipiplugin_panorama.desktop,
	panorama/plugin/panoramagui.desktop,
	photolayoutseditor/borders/photolayoutseditorborderplugin.desktop,
	photolayoutseditor/effects/photolayoutseditoreffectplugin.desktop,
	photolayoutseditor/plugin/kipiplugin_photolayoutseditor.desktop,
	photolayoutseditor/plugin/photolayoutseditor.desktop,
	printimages/templates/6_photos_3.5x4.5cm.desktop,
	tests/helloworld/kipiplugin_helloworld.desktop,
	vkontakte/kipiplugin_vkontakte.desktop: SVN_SILENT made messages
	(.desktop file)

2012-06-23  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-06-21  Script Kiddy <scripty@kde.org>

	* dngconverter/plugin/dngconverter.desktop: SVN_SILENT made messages
	(.desktop file)

2012-06-13  Gilles Caulier <caulier.gilles@gmail.com>

	* Messages.sh: backport from 3.0.0 branch

2012-06-13  Gilles Caulier <caulier.gilles@gmail.com>

	* photolayoutseditor/CMakeLists.txt,
	photolayoutseditor/extra/KEditFactory.cpp,
	photolayoutseditor/extra/KEditFactory.h,
	photolayoutseditor/extra/PLEConfigSkeleton.cpp,
	photolayoutseditor/extra/PLEConfigSkeleton.h,
	photolayoutseditor/extra/SavingThread.cpp,
	photolayoutseditor/extra/SavingThread.h,
	photolayoutseditor/extra/global.cpp,
	photolayoutseditor/extra/global.h,
	photolayoutseditor/extra/qtpropertybrowser/CMakeLists.txt,
	photolayoutseditor/extra/qtpropertybrowser/README.TXT,
	photolayoutseditor/extra/qtpropertybrowser/src/QtAbstractEditorFact
	oryBase,
	photolayoutseditor/extra/qtpropertybrowser/src/QtAbstractPropertyBr
	owser,
	photolayoutseditor/extra/qtpropertybrowser/src/QtAbstractPropertyMa
	nager,
	photolayoutseditor/extra/qtpropertybrowser/src/QtBoolPropertyManage
	r, photolayoutseditor/extra/qtpropertybrowser/src/QtBrowserItem,
	photolayoutseditor/extra/qtpropertybrowser/src/QtButtonPropertyBrow
	ser,
	photolayoutseditor/extra/qtpropertybrowser/src/QtCharEditorFactory,
	photolayoutseditor/extra/qtpropertybrowser/src/QtCharPropertyManage
	r,
	photolayoutseditor/extra/qtpropertybrowser/src/QtCheckBoxFactory,
	photolayoutseditor/extra/qtpropertybrowser/src/QtColorEditorFactory
	,
	photolayoutseditor/extra/qtpropertybrowser/src/QtColorPropertyManag
	er,
	photolayoutseditor/extra/qtpropertybrowser/src/QtCursorEditorFactor
	y,
	photolayoutseditor/extra/qtpropertybrowser/src/QtCursorPropertyMana
	ger,
	photolayoutseditor/extra/qtpropertybrowser/src/QtDateEditFactory,
	photolayoutseditor/extra/qtpropertybrowser/src/QtDatePropertyManage
	r,
	photolayoutseditor/extra/qtpropertybrowser/src/QtDateTimeEditFactor
	y,
	photolayoutseditor/extra/qtpropertybrowser/src/QtDateTimePropertyMa
	nager,
	photolayoutseditor/extra/qtpropertybrowser/src/QtDoublePropertyMana
	ger,
	photolayoutseditor/extra/qtpropertybrowser/src/QtDoubleSpinBoxFacto
	ry,
	photolayoutseditor/extra/qtpropertybrowser/src/QtEnumEditorFactory,
	photolayoutseditor/extra/qtpropertybrowser/src/QtEnumPropertyManage
	r,
	photolayoutseditor/extra/qtpropertybrowser/src/QtFlagPropertyManage
	r,
	photolayoutseditor/extra/qtpropertybrowser/src/QtFontEditorFactory,
	photolayoutseditor/extra/qtpropertybrowser/src/QtFontPropertyManage
	r,
	photolayoutseditor/extra/qtpropertybrowser/src/QtGroupBoxPropertyBr
	owser,
	photolayoutseditor/extra/qtpropertybrowser/src/QtGroupPropertyManag
	er,
	photolayoutseditor/extra/qtpropertybrowser/src/QtIntPropertyManager
	,
	photolayoutseditor/extra/qtpropertybrowser/src/QtKeySequenceEditorF
	actory,
	photolayoutseditor/extra/qtpropertybrowser/src/QtKeySequencePropert
	yManager,
	photolayoutseditor/extra/qtpropertybrowser/src/QtLineEditFactory,
	photolayoutseditor/extra/qtpropertybrowser/src/QtLocalePropertyMana
	ger,
	photolayoutseditor/extra/qtpropertybrowser/src/QtPointFPropertyMana
	ger,
	photolayoutseditor/extra/qtpropertybrowser/src/QtPointPropertyManag
	er, photolayoutseditor/extra/qtpropertybrowser/src/QtProperty,
	photolayoutseditor/extra/qtpropertybrowser/src/QtRectFPropertyManag
	er,
	photolayoutseditor/extra/qtpropertybrowser/src/QtRectPropertyManage
	r,
	photolayoutseditor/extra/qtpropertybrowser/src/QtScrollBarFactory,
	photolayoutseditor/extra/qtpropertybrowser/src/QtSizeFPropertyManag
	er,
	photolayoutseditor/extra/qtpropertybrowser/src/QtSizePolicyProperty
	Manager,
	photolayoutseditor/extra/qtpropertybrowser/src/QtSizePropertyManage
	r, photolayoutseditor/extra/qtpropertybrowser/src/QtSliderFactory,
	photolayoutseditor/extra/qtpropertybrowser/src/QtSpinBoxFactory,
	photolayoutseditor/extra/qtpropertybrowser/src/QtStringPropertyMana
	ger,
	photolayoutseditor/extra/qtpropertybrowser/src/QtTimeEditFactory,
	photolayoutseditor/extra/qtpropertybrowser/src/QtTimePropertyManage
	r,
	photolayoutseditor/extra/qtpropertybrowser/src/QtTreePropertyBrowse
	r,
	photolayoutseditor/extra/qtpropertybrowser/src/QtVariantEditorFacto
	ry,
	photolayoutseditor/extra/qtpropertybrowser/src/QtVariantProperty,
	photolayoutseditor/extra/qtpropertybrowser/src/QtVariantPropertyMan
	ager,
	photolayoutseditor/extra/qtpropertybrowser/src/qtbuttonpropertybrow
	ser.cpp,
	photolayoutseditor/extra/qtpropertybrowser/src/qtbuttonpropertybrow
	ser.h,
	photolayoutseditor/extra/qtpropertybrowser/src/qteditorfactory.cpp,
	photolayoutseditor/extra/qtpropertybrowser/src/qteditorfactory.h,
	photolayoutseditor/extra/qtpropertybrowser/src/qtgroupboxpropertybr
	owser.cpp,
	photolayoutseditor/extra/qtpropertybrowser/src/qtgroupboxpropertybr
	owser.h,
	photolayoutseditor/extra/qtpropertybrowser/src/qtpropertybrowser.cp
	p,
	photolayoutseditor/extra/qtpropertybrowser/src/qtpropertybrowser.h,
	photolayoutseditor/extra/qtpropertybrowser/src/qtpropertybrowser.pr
	i,
	photolayoutseditor/extra/qtpropertybrowser/src/qtpropertybrowser.qr
	c,
	photolayoutseditor/extra/qtpropertybrowser/src/qtpropertybrowseruti
	ls.cpp,
	photolayoutseditor/extra/qtpropertybrowser/src/qtpropertybrowseruti
	ls_p.h,
	photolayoutseditor/extra/qtpropertybrowser/src/qtpropertymanager.cp
	p,
	photolayoutseditor/extra/qtpropertybrowser/src/qtpropertymanager.h,
	photolayoutseditor/extra/qtpropertybrowser/src/qttreepropertybrowse
	r.cpp,
	photolayoutseditor/extra/qtpropertybrowser/src/qttreepropertybrowse
	r.h,
	photolayoutseditor/extra/qtpropertybrowser/src/qtvariantproperty.cp
	p,
	photolayoutseditor/extra/qtpropertybrowser/src/qtvariantproperty.h,
	photolayoutseditor/utils/KEditFactory.cpp,
	photolayoutseditor/utils/KEditFactory.h,
	photolayoutseditor/utils/PLEConfigSkeleton.cpp,
	photolayoutseditor/utils/PLEConfigSkeleton.h,
	photolayoutseditor/utils/SavingThread.cpp,
	photolayoutseditor/utils/SavingThread.h,
	photolayoutseditor/utils/global.cpp,
	photolayoutseditor/utils/global.h,
	photolayoutseditor/utils/qtpropertybrowser/CMakeLists.txt,
	photolayoutseditor/utils/qtpropertybrowser/README.TXT,
	photolayoutseditor/utils/qtpropertybrowser/src/QtAbstractEditorFact
	oryBase,
	photolayoutseditor/utils/qtpropertybrowser/src/QtAbstractPropertyBr
	owser,
	photolayoutseditor/utils/qtpropertybrowser/src/QtAbstractPropertyMa
	nager,
	photolayoutseditor/utils/qtpropertybrowser/src/QtBoolPropertyManage
	r, photolayoutseditor/utils/qtpropertybrowser/src/QtBrowserItem,
	photolayoutseditor/utils/qtpropertybrowser/src/QtButtonPropertyBrow
	ser,
	photolayoutseditor/utils/qtpropertybrowser/src/QtCharEditorFactory,
	photolayoutseditor/utils/qtpropertybrowser/src/QtCharPropertyManage
	r,
	photolayoutseditor/utils/qtpropertybrowser/src/QtCheckBoxFactory,
	photolayoutseditor/utils/qtpropertybrowser/src/QtColorEditorFactory
	,
	photolayoutseditor/utils/qtpropertybrowser/src/QtColorPropertyManag
	er,
	photolayoutseditor/utils/qtpropertybrowser/src/QtCursorEditorFactor
	y,
	photolayoutseditor/utils/qtpropertybrowser/src/QtCursorPropertyMana
	ger,
	photolayoutseditor/utils/qtpropertybrowser/src/QtDateEditFactory,
	photolayoutseditor/utils/qtpropertybrowser/src/QtDatePropertyManage
	r,
	photolayoutseditor/utils/qtpropertybrowser/src/QtDateTimeEditFactor
	y,
	photolayoutseditor/utils/qtpropertybrowser/src/QtDateTimePropertyMa
	nager,
	photolayoutseditor/utils/qtpropertybrowser/src/QtDoublePropertyMana
	ger,
	photolayoutseditor/utils/qtpropertybrowser/src/QtDoubleSpinBoxFacto
	ry,
	photolayoutseditor/utils/qtpropertybrowser/src/QtEnumEditorFactory,
	photolayoutseditor/utils/qtpropertybrowser/src/QtEnumPropertyManage
	r,
	photolayoutseditor/utils/qtpropertybrowser/src/QtFlagPropertyManage
	r,
	photolayoutseditor/utils/qtpropertybrowser/src/QtFontEditorFactory,
	photolayoutseditor/utils/qtpropertybrowser/src/QtFontPropertyManage
	r,
	photolayoutseditor/utils/qtpropertybrowser/src/QtGroupBoxPropertyBr
	owser,
	photolayoutseditor/utils/qtpropertybrowser/src/QtGroupPropertyManag
	er,
	photolayoutseditor/utils/qtpropertybrowser/src/QtIntPropertyManager
	,
	photolayoutseditor/utils/qtpropertybrowser/src/QtKeySequenceEditorF
	actory,
	photolayoutseditor/utils/qtpropertybrowser/src/QtKeySequencePropert
	yManager,
	photolayoutseditor/utils/qtpropertybrowser/src/QtLineEditFactory,
	photolayoutseditor/utils/qtpropertybrowser/src/QtLocalePropertyMana
	ger,
	photolayoutseditor/utils/qtpropertybrowser/src/QtPointFPropertyMana
	ger,
	photolayoutseditor/utils/qtpropertybrowser/src/QtPointPropertyManag
	er, photolayoutseditor/utils/qtpropertybrowser/src/QtProperty,
	photolayoutseditor/utils/qtpropertybrowser/src/QtRectFPropertyManag
	er,
	photolayoutseditor/utils/qtpropertybrowser/src/QtRectPropertyManage
	r,
	photolayoutseditor/utils/qtpropertybrowser/src/QtScrollBarFactory,
	photolayoutseditor/utils/qtpropertybrowser/src/QtSizeFPropertyManag
	er,
	photolayoutseditor/utils/qtpropertybrowser/src/QtSizePolicyProperty
	Manager,
	photolayoutseditor/utils/qtpropertybrowser/src/QtSizePropertyManage
	r, photolayoutseditor/utils/qtpropertybrowser/src/QtSliderFactory,
	photolayoutseditor/utils/qtpropertybrowser/src/QtSpinBoxFactory,
	photolayoutseditor/utils/qtpropertybrowser/src/QtStringPropertyMana
	ger,
	photolayoutseditor/utils/qtpropertybrowser/src/QtTimeEditFactory,
	photolayoutseditor/utils/qtpropertybrowser/src/QtTimePropertyManage
	r,
	photolayoutseditor/utils/qtpropertybrowser/src/QtTreePropertyBrowse
	r,
	photolayoutseditor/utils/qtpropertybrowser/src/QtVariantEditorFacto
	ry,
	photolayoutseditor/utils/qtpropertybrowser/src/QtVariantProperty,
	photolayoutseditor/utils/qtpropertybrowser/src/QtVariantPropertyMan
	ager,
	photolayoutseditor/utils/qtpropertybrowser/src/qtbuttonpropertybrow
	ser.cpp,
	photolayoutseditor/utils/qtpropertybrowser/src/qtbuttonpropertybrow
	ser.h,
	photolayoutseditor/utils/qtpropertybrowser/src/qteditorfactory.cpp,
	photolayoutseditor/utils/qtpropertybrowser/src/qteditorfactory.h,
	photolayoutseditor/utils/qtpropertybrowser/src/qtgroupboxpropertybr
	owser.cpp,
	photolayoutseditor/utils/qtpropertybrowser/src/qtgroupboxpropertybr
	owser.h,
	photolayoutseditor/utils/qtpropertybrowser/src/qtpropertybrowser.cp
	p,
	photolayoutseditor/utils/qtpropertybrowser/src/qtpropertybrowser.h,
	photolayoutseditor/utils/qtpropertybrowser/src/qtpropertybrowser.pr
	i,
	photolayoutseditor/utils/qtpropertybrowser/src/qtpropertybrowser.qr
	c,
	photolayoutseditor/utils/qtpropertybrowser/src/qtpropertybrowseruti
	ls.cpp,
	photolayoutseditor/utils/qtpropertybrowser/src/qtpropertybrowseruti
	ls_p.h,
	photolayoutseditor/utils/qtpropertybrowser/src/qtpropertymanager.cp
	p,
	photolayoutseditor/utils/qtpropertybrowser/src/qtpropertymanager.h,
	photolayoutseditor/utils/qtpropertybrowser/src/qttreepropertybrowse
	r.cpp,
	photolayoutseditor/utils/qtpropertybrowser/src/qttreepropertybrowse
	r.h,
	photolayoutseditor/utils/qtpropertybrowser/src/qtvariantproperty.cp
	p,
	photolayoutseditor/utils/qtpropertybrowser/src/qtvariantproperty.h: 
	utils => extra

2012-06-13  Gilles Caulier <caulier.gilles@gmail.com>

	* : these files are already in top level dir

2012-06-12  Gilles Caulier <caulier.gilles@gmail.com>

	* common/data/CMakeLists.txt: missing file

2012-06-12  Gilles Caulier <caulier.gilles@gmail.com>

	* Messages.sh, common/CMakeLists.txt, common/data/tips, tips: move
	kipiplugins tips to common/data.  extract i18n accordingly install
	tips file

2012-06-10  Jaime Torres <jtamate@gmail.com>

	* panorama/tasks/copyfilestask.cpp: replace + with << to get the
	desired effect adding 'QFile::FileError' to a string does not append to the string

2012-06-08  Gilles Caulier <caulier.gilles@gmail.com>

	* mediawiki/wmwidget.cpp: add tooltips

2012-06-07  Script Kiddy <scripty@kde.org>

	* acquireimages/kipiplugin_acquireimages.desktop,
	acquireimages/scangui.desktop,
	advancedslideshow/plugin/kipiplugin_advancedslideshow.desktop,
	batchprocessimages/plugin/kipiplugin_batchprocessimages.desktop,
	calendar/plugin/kipiplugin_calendar.desktop,
	common/libkipiplugins/kipiplugins.desktop,
	debianscreenshots/kipiplugin_debianscreenshots.desktop,
	dngconverter/plugin/dngconverter.desktop,
	dngconverter/plugin/kipiplugin_dngconverter.desktop,
	expoblending/plugin/expoblending.desktop,
	expoblending/plugin/kipiplugin_expoblending.desktop,
	facebook/kipiplugin_facebook.desktop,
	flashexport/kipiplugin_flashexport.desktop,
	flickrexport/kipiplugin_flickrexport.desktop,
	galleryexport/kipiplugin_galleryexport.desktop,
	gpssync/kipiplugin_gpssync.desktop,
	htmlexport/kipiplugin_htmlexport.desktop,
	htmlexport/themes/classic/classic.desktop,
	htmlexport/themes/cleanframes/cleanframes.desktop,
	htmlexport/themes/dateframes/dateframes.desktop,
	htmlexport/themes/details/details.desktop,
	htmlexport/themes/floating_cards/floating_cards.desktop,
	htmlexport/themes/frames/frames.desktop,
	htmlexport/themes/matrix/matrix.desktop,
	htmlexport/themes/s0/s0.desktop,
	htmlexport/themes/simple/simple.desktop,
	htmlexport/themes/snow/snow.desktop,
	imageshackexport/kipiplugin_imageshackexport.desktop,
	imageviewer/kipiplugin_imageviewer.desktop,
	imgurexport/kipiplugin_imgurexport.desktop,
	ipodexport/kipiplugin_ipodexport.desktop,
	jpeglossless/plugin/kipiplugin_jpeglossless.desktop,
	kioexportimport/kipiplugin_kioexportimport.desktop,
	kmlexport/kipiplugin_kmlexport.desktop,
	kopete/kipiplugin_kopete.desktop,
	mediawiki/kipiplugin_wikimedia.desktop,
	metadataedit/plugin/kipiplugin_metadataedit.desktop,
	panorama/plugin/kipiplugin_panorama.desktop,
	panorama/plugin/panoramagui.desktop,
	photolayoutseditor/borders/photolayoutseditorborderplugin.desktop,
	photolayoutseditor/effects/photolayoutseditoreffectplugin.desktop,
	photolayoutseditor/plugin/kipiplugin_photolayoutseditor.desktop,
	photolayoutseditor/plugin/photolayoutseditor.desktop,
	picasawebexport/kipiplugin_picasawebexport.desktop,
	piwigoexport/kipiplugin_piwigoexport.desktop,
	printimages/plugin/kipiplugin_printimages.desktop,
	printimages/templates/1_photo_10.5x14.8cm.desktop,
	printimages/templates/1_photo_10x15cm.desktop,
	printimages/templates/1_photo_20x25cm.desktop,
	printimages/templates/1_photo_8x10.desktop,
	printimages/templates/1_photo_9x13cm.desktop,
	printimages/templates/2_photos_13x18cm.desktop,
	printimages/templates/2_photos_5x7.desktop,
	printimages/templates/3_photos_10x15cm.desktop,
	printimages/templates/3_photos_4x6.desktop,
	printimages/templates/4_photos_10x13.33cm.desktop,
	printimages/templates/4_photos_3.5x5.desktop,
	printimages/templates/4_photos_4.5x5cm.desktop,
	printimages/templates/4_photos_9x13cm.desktop,
	printimages/templates/4x6Album.desktop,
	printimages/templates/6_photos_3.5x4.5cm.desktop,
	printimages/templates/6_photos_3.5x4cm.desktop,
	printimages/templates/8_photos_6x9cm.desktop,
	printimages/templates/Album-Collage.desktop,
	printimages/templates/Album-Collage1.desktop,
	printimages/templates/Album_10x15cm.desktop,
	printimages/templates/Album_11.5x15cm.desktop,
	printimages/templates/FullPage.desktop,
	printimages/templates/Photoframe.desktop,
	printimages/templates/Thumbnails_5x4.desktop,
	printimages/templates/Thumbnails_6x5.desktop,
	rajceexport/kipiplugin_rajceexport.desktop,
	rawconverter/plugin/kipiplugin_rawconverter.desktop,
	removeredeyes/plugin/kipiplugin_removeredeyes.desktop,
	sendimages/kipiplugin_sendimages.desktop,
	shwup/kipiplugin_shwup.desktop, smug/kipiplugin_smug.desktop,
	tests/helloworld/kipiplugin_helloworld.desktop,
	timeadjust/kipiplugin_timeadjust.desktop,
	vkontakte/kipiplugin_vkontakte.desktop,
	wallpaper/kipiplugin_wallpaper.desktop,
	yandexfotki/kipiplugin_yandexfotki.desktop: SVN_SILENT made messages
	(.desktop file)

2012-06-07  Andi Clemens <andi.clemens@googlemail.com>

	* photolayoutseditor/models/LayersModel.cpp: fix pedantic compile
	warnings

2012-06-05  Script Kiddy <scripty@kde.org>

	*
	photolayoutseditor/borders/photolayoutseditorborderplugin.desktop,
	photolayoutseditor/effects/photolayoutseditoreffectplugin.desktop,
	photolayoutseditor/plugin/kipiplugin_photolayoutseditor.desktop,
	photolayoutseditor/plugin/photolayoutseditor.desktop: SVN_SILENT
	made messages (.desktop file)

2012-06-04  Nicolas Lécureuil <neoclust.kde@free.fr>

	* CMakeLists.txt, NEWS: Open for digikam 2.7.0

2012-06-04  Nicolas Lécureuil <neoclust.kde@free.fr>

	* ChangeLog, project/NEWS.2.6.0: New version 2.6.0

2012-06-03  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-06-02  Andrew Goodbody <ajg02@elfringham.co.uk>

	* NEWS: Update NEWS for previous commit Add bug fixed to NEWS file from last commit.

2012-06-02  Andrew Goodbody <ajg02@elfringham.co.uk>

	* dngconverter/dngwriter/extra/dng_sdk/dng_flags.h: Fix FTBFS on
	mips Add ability to detect byte order from __BYTE_ORDER__ macro if
	defined, fixes fail to build on MIPS.  BUG: 301027

2012-05-27  Gilles Caulier <caulier.gilles@gmail.com>

	* imgurexport/imgurimageslist.cpp, imgurexport/imgurimageslist.h,
	imgurexport/imgurtalker.cpp, imgurexport/imgurwindow.cpp: polish.
	Fix warnings from gcc

2012-05-27  Marius Orcsik <marius@habarnam.ro>

	* imgurexport/imgurimageslist.cpp, imgurexport/imgurtalker.cpp,
	imgurexport/imgurtalker.h, imgurexport/imgurwidget.cpp,
	imgurexport/imgurwidget.h, imgurexport/imgurwindow.cpp,
	imgurexport/imgurwindow.h: Fix for removing images from the upload
	queue   when removing them from the widget Small code polishes CCMAIL: caulier.gilles@gmail.com

2012-05-26  Gilles Caulier <caulier.gilles@gmail.com>

	* imgurexport/imgurtalker.cpp, imgurexport/imgurwindow.cpp: polish

2012-05-26  Marius Orcsik <marius@habarnam.ro>

	* imgurexport/imgurtalker.cpp, imgurexport/imgurtalker.h,
	imgurexport/imgurwindow.cpp, imgurexport/imgurwindow.h: Fixed the
	crash related to clicking the Upload button Moved the upload queue management in the web-service

2012-05-20  Alexander Potashev <aspotashev@gmail.com>

	* vkontakte/vkwindow.cpp, vkontakte/vkwindow.h: vkontakte: Activate
	the "Start Upload" button after authentication is complete

2012-05-20  Alexander Potashev <aspotashev@gmail.com>

	* vkontakte/vkwindow.cpp: remove unused includes

2012-05-19  Gilles Caulier <caulier.gilles@gmail.com>

	* imgurexport/imgurwindow.cpp, imgurexport/imgurwindow.h: read and
	save dialog size

2012-05-19  Gilles Caulier <caulier.gilles@gmail.com>

	* imgurexport/imgurwidget.cpp: fix layout

2012-05-19  Gilles Caulier <caulier.gilles@gmail.com>

	* imgurexport/imgurwindow.cpp, imgurexport/imgurwindow.h: fix broken
	signal/slot

2012-05-19  Gilles Caulier <caulier.gilles@gmail.com>

	* imgurexport/imgurwindow.cpp, imgurexport/imgurwindow.h: fix broken
	signal/slot

2012-05-19  Gilles Caulier <caulier.gilles@gmail.com>

	* imgurexport/imgurimageslist.cpp, imgurexport/imgurwidget.cpp: 
	polish

2012-05-19  Gilles Caulier <caulier.gilles@gmail.com>

	* imgurexport/imgurwindow.cpp: polish

2012-05-19  Gilles Caulier <caulier.gilles@gmail.com>

	* imgurexport/imgurimageslist.cpp, imgurexport/imgurimageslist.h,
	imgurexport/imgurwidget.cpp, imgurexport/imgurwidget.h,
	imgurexport/imgurwindow.cpp, imgurexport/imgurwindow.h,
	imgurexport/plugin_imgurexport.cpp: polish : use const ref as usual
	fix coding style and indent.

2012-05-19  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-05-19  Marius Orcsik <marius@habarnam.ro>

	* imgurexport/imgurimageslist.cpp, imgurexport/imgurimageslist.h: A
	misspell was preventing triggering the list items slot

2012-05-19  Marius Orcsik <marius@habarnam.ro>

	* : commit 8a0d3a6601b6e604049769d4588b0068f504d3f3 Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Wed May 16 18:34:14 2012
	+0200

2012-05-16  Gilles Caulier <caulier.gilles@gmail.com>

	* removeredeyes/opencv_tests/note_on_performance.txt,
	removeredeyes/opencv_tests/testForIPP.cpp,
	removeredeyes/test/note_on_performance.txt,
	removeredeyes/test/testForIPP.cpp: mv

2012-05-16  Gilles Caulier <caulier.gilles@gmail.com>

	* removeredeyes/CMakeLists.txt,
	removeredeyes/opencv_tests/testForIPP.cpp: use opencv wrapper

2012-05-16  Gilles Caulier <caulier.gilles@gmail.com>

	*
	removeredeyes/detection/locators/haarclassifier/haarclassifierlocat
	or.cpp,
	removeredeyes/detection/locators/haarclassifier/haarclassifierlocat
	or.h, removeredeyes/libcvblobs/libopencv.h,
	removeredeyes/plugin/libopencv.h: polish

2012-05-16  Gilles Caulier <caulier.gilles@gmail.com>

	* removeredeyes/libcvblobs/libopencv.h: poliosh

2012-05-16  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/tools/kpaboutdata.cpp,
	common/libkipiplugins/tools/kpaboutdata.h: restore copy constructor
	(require un OSX) add destructor

2012-05-16  Gilles Caulier <caulier.gilles@gmail.com>

	* photolayoutseditor/plugin/photolayoutseditor.cpp: polish

2012-05-15  Gilles Caulier <caulier.gilles@gmail.com>

	* vkontakte/vkapi.cpp, vkontakte/vkapi.h: use moc file

2012-05-15  Gilles Caulier <caulier.gilles@gmail.com>

	*
	photolayoutseditor/utils/qtpropertybrowser/src/qtbuttonpropertybrow
	ser.cpp,
	photolayoutseditor/utils/qtpropertybrowser/src/qtgroupboxpropertybr
	owser.cpp,
	photolayoutseditor/utils/qtpropertybrowser/src/qtpropertybrowser.cp
	p: fix warnings

2012-05-15  Gilles Caulier <caulier.gilles@gmail.com>

	* tests/main.cpp: use kDebug

2012-05-15  Gilles Caulier <caulier.gilles@gmail.com>

	* piwigoexport/piwigotalker.cpp: fix warnings

2012-05-14  Gilles Caulier <caulier.gilles@gmail.com>

	* picasawebexport/picasawebwindow.cpp: fix warnings

2012-05-14  Gilles Caulier <caulier.gilles@gmail.com>

	* kmlexport/kmlexportconfig.cpp: missing to use this variable

2012-05-14  Gilles Caulier <caulier.gilles@gmail.com>

	* ipodexport/uploaddialog.cpp: fix deprecated

2012-05-14  Gilles Caulier <caulier.gilles@gmail.com>

	* facebook/fbtalker.cpp,
	removeredeyes/libcvblobs/BlobExtraction.cpp: fix warnngs

2012-05-14  Gilles Caulier <caulier.gilles@gmail.com>

	* imgurexport/imgurtalker.cpp: fix warning

2012-05-14  Gilles Caulier <caulier.gilles@gmail.com>

	* imgurexport/imgurtalker.cpp: polish

2012-05-14  Gilles Caulier <caulier.gilles@gmail.com>

	* imageviewer/viewerwidget.cpp: not used

2012-05-14  Gilles Caulier <caulier.gilles@gmail.com>

	* dngconverter/dnginfo/dnginfo.cpp: not used

2012-05-13  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-05-13  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/dialogs/kpoutputdialog.cpp,
	common/libkipiplugins/dialogs/kpoutputdialog.h,
	common/libkipiplugins/tools/kpaboutdata.cpp,
	common/libkipiplugins/tools/kpaboutdata.h,
	expoblending/blendingdlg/expoblendingdlg.cpp,
	expoblending/blendingdlg/expoblendingdlg.h,
	expoblending/importwizard/importwizarddlg.cpp,
	expoblending/importwizard/importwizarddlg.h,
	expoblending/importwizard/preprocessingpage.cpp,
	expoblending/manager/manager.cpp, expoblending/manager/manager.h,
	expoblending/plugin/expoblending.cpp,
	expoblending/plugin/plugin_expoblending.cpp,
	panorama/importwizard/importwizarddlg.cpp,
	panorama/importwizard/optimizepage.cpp,
	panorama/importwizard/preprocessingpage.cpp,
	panorama/manager/manager.cpp, panorama/manager/manager.h,
	panorama/plugin/panorama.cpp, panorama/plugin/plugin_panorama.cpp: 
	facorization and make rules to prevent crash with about data
	deletion into Panorama and Expoblending tools BUGS: 299952

2012-05-13  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/dialogs/kptooldialog.cpp: polish

2012-05-12  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/actionthread.cpp, timeadjust/myimagelist.h,
	timeadjust/timeadjustdialog.cpp: under Windows/MSVC, NO_PROCESS
	cannot be used as well. We must use another constant name

2012-05-12  Gilles Caulier <caulier.gilles@gmail.com>

	* vkontakte/albumchooserwidget.cpp, vkontakte/authinfowidget.cpp: 
	use moc files

2012-05-12  Gilles Caulier <caulier.gilles@gmail.com>

	* removeredeyes/libcvblobs/libopencv.h: wrap opencv header as in
	libkface to prevent header warnings

2012-05-11  Alexander Potashev <aspotashev@gmail.com>

	* vkontakte/CMakeLists.txt, vkontakte/albumchooserwidget.h,
	vkontakte/authinfowidget.cpp, vkontakte/authinfowidget.h,
	vkontakte/vkapi.cpp, vkontakte/vkwindow.cpp, vkontakte/vkwindow.h: 
	vkontakte: Factorize account box into class AuthInfoWidget

2012-05-10  Gilles Caulier <caulier.gilles@gmail.com>

	* project/release/fetch_l10n.rb, project/release/kipi-pluginsrc,
	project/release/subdirs: this script is not used anymore. Top level
	digikam-SC dir is used instead

2012-05-10  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 5b056791f1fbe37304f7a2b053db93d53acae287 Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Thu May 10 10:25:53 2012
	+0200

2012-05-10  Script Kiddy <scripty@kde.org>

	* batchprocessimages/plugin/kipiplugin_batchprocessimages.desktop,
	common/libkipiplugins/kipiplugins.desktop,
	htmlexport/themes/classic/classic.desktop,
	kmlexport/kipiplugin_kmlexport.desktop,
	photolayoutseditor/borders/photolayoutseditorborderplugin.desktop,
	photolayoutseditor/effects/photolayoutseditoreffectplugin.desktop: 
	SVN_SILENT made messages (.desktop file)

2012-05-09  Nicolas Lécureuil <neoclust.kde@free.fr>

	* CMakeLists.txt, NEWS: Open for 2.6.0

2012-05-09  Gilles Caulier <caulier.gilles@gmail.com>

	* printimages/wizard/cropframe.cpp, printimages/wizard/cropframe.h: 
	fix MACOSX warnings

2012-05-09  Gilles Caulier <caulier.gilles@gmail.com>

	* picasawebexport/picasawebwindow.cpp: fix warnings under MACOSX

2012-05-09  Gilles Caulier <caulier.gilles@gmail.com>

	* sendimages/emailsettings.h: fix warnings under MACOS. Thanks Jobs

2012-05-09  Alexander Potashev <aspotashev@gmail.com>

	* vkontakte/albumchooserwidget.cpp: vkontakte: Tighten layout of
	AlbumChooserWidget

2012-05-09  Alexander Potashev <aspotashev@gmail.com>

	* vkontakte/vkwindow.cpp: vkontakte: Remove obsolete signal-slot
	connection

2012-05-09  Alexander Potashev <aspotashev@gmail.com>

	* vkontakte/vkwindow.cpp, vkontakte/vkwindow.h: vkontakte: Add
	function initAccountBox()

2012-05-09  Alexander Potashev <aspotashev@gmail.com>

	* vkontakte/vkwindow.cpp, vkontakte/vkwindow.h: vkontakte: Move
	pointer: settingsBox -> m_settingsBox

2012-05-09  Gilles Caulier <caulier.gilles@gmail.com>

	* removeredeyes/libcvblobs/BlobExtraction.cpp: fix warnings under
	macosx

2012-05-09  Gilles Caulier <caulier.gilles@gmail.com>

	*
	removeredeyes/detection/locators/haarclassifier/haarclassifierlocat
	or.h, removeredeyes/libcvblobs/Blob.cpp,
	removeredeyes/libcvblobs/BlobExtraction.h: fix compilation under
	MACOSX with OpenCV 2.3.0

2012-05-08  Alexander Potashev <aspotashev@gmail.com>

	* vkontakte/vkwindow.cpp: fix formatting

2012-05-07  Alexander Potashev <aspotashev@gmail.com>

	* vkontakte/CMakeLists.txt, vkontakte/albumchooserwidget.cpp,
	vkontakte/albumchooserwidget.h, vkontakte/vkwindow.cpp,
	vkontakte/vkwindow.h: vkontakte: Factorize album selection widget
	into class AlbumChooserWidget

2012-05-07  Alexander Potashev <aspotashev@gmail.com>

	* vkontakte/vkwindow.cpp, vkontakte/vkwindow.h: new approach to
	content updates

2012-05-07  Alexander Potashev <aspotashev@gmail.com>

	* vkontakte/CMakeLists.txt, vkontakte/vkapi.cpp, vkontakte/vkapi.h,
	vkontakte/vkwindow.cpp, vkontakte/vkwindow.h: vkontakte: Factorize
	authentication code into class VkAPI

2012-05-07  Alexander Potashev <aspotashev@gmail.com>

	* vkontakte/vkalbumdialog.cpp: Fix crash due to infinite recursion Guilty commit: 0e0318e5fed517f50a2d356fda88fa3ec3c7d90f "use
	dedicated namespace" CCMAIL: Gilles Caulier <caulier.gilles@gmail.com>

2012-05-06  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-05-06  Gilles Caulier <caulier.gilles@gmail.com>

	*
	removeredeyes/detection/locators/haarclassifier/haarclassifierlocat
	or.h: apply patch #66495 CCBUGS: 288462

2012-05-06  Script Kiddy <scripty@kde.org>

	* imageshackexport/kipiplugin_imageshackexport.desktop,
	imgurexport/kipiplugin_imgurexport.desktop,
	panorama/plugin/panoramagui.desktop,
	printimages/templates/6_photos_3.5x4.5cm.desktop,
	tests/helloworld/kipiplugin_helloworld.desktop: SVN_SILENT made
	messages (.desktop file)

2012-05-05  Gilles Caulier <caulier.gilles@gmail.com>

	* yandexfotki/plugin_yandexfotki.cpp, yandexfotki/yfwindow.cpp,
	yandexfotki/yfwindow.h: factoring

2012-05-05  Gilles Caulier <caulier.gilles@gmail.com>

	* vkontakte/plugin_vkontakte.cpp, vkontakte/vkwindow.cpp,
	vkontakte/vkwindow.h: factoring

2012-05-05  Gilles Caulier <caulier.gilles@gmail.com>

	* smug/plugin_smug.cpp, smug/smugwindow.cpp, smug/smugwindow.h: 
	factoring

2012-05-05  Gilles Caulier <caulier.gilles@gmail.com>

	* shwup/plugin_shwup.cpp, shwup/swwindow.cpp, shwup/swwindow.h: 
	factoring

2012-05-05  Gilles Caulier <caulier.gilles@gmail.com>

	* removeredeyes/plugin/plugin_removeredeyes.cpp,
	removeredeyes/plugin/removeredeyeswindow.cpp,
	removeredeyes/plugin/removeredeyeswindow.h: factoring

2012-05-05  Gilles Caulier <caulier.gilles@gmail.com>

	* rajceexport/plugin_rajceexport.cpp, rajceexport/rajcewindow.cpp,
	rajceexport/rajcewindow.h: factoring

2012-05-05  Gilles Caulier <caulier.gilles@gmail.com>

	* printimages/plugin/plugin_printimages.cpp,
	printimages/wizard/printhelper.cpp,
	printimages/wizard/printhelper.h, printimages/wizard/wizard.cpp,
	printimages/wizard/wizard.h: factoring

2012-05-05  Gilles Caulier <caulier.gilles@gmail.com>

	* piwigoexport/piwigowindow.cpp, piwigoexport/piwigowindow.h,
	piwigoexport/plugin_piwigoexport.cpp: factoring

2012-05-05  Gilles Caulier <caulier.gilles@gmail.com>

	* picasawebexport/picasawebwindow.cpp,
	picasawebexport/picasawebwindow.h,
	picasawebexport/plugin_picasawebexport.cpp: factoring

2012-05-05  Gilles Caulier <caulier.gilles@gmail.com>

	* metadataedit/plugin/metadataedit.cpp,
	metadataedit/plugin/metadataedit.h,
	metadataedit/plugin/plugin_metadataedit.cpp: factoring

2012-05-05  Gilles Caulier <caulier.gilles@gmail.com>

	* mediawiki/plugin_wikimedia.cpp, mediawiki/wmwindow.cpp,
	mediawiki/wmwindow.h: factoring

2012-05-05  Gilles Caulier <caulier.gilles@gmail.com>

	* kioexportimport/KioExportWindow.cpp,
	kioexportimport/KioExportWindow.h,
	kioexportimport/KioImportWindow.cpp,
	kioexportimport/KioImportWindow.h,
	kioexportimport/plugin_kioexportimport.cpp: factoring

2012-05-05  Gilles Caulier <caulier.gilles@gmail.com>

	* ipodexport/plugin_ipodexport.cpp, ipodexport/plugin_ipodexport.h,
	ipodexport/uploaddialog.cpp, ipodexport/uploaddialog.h: factoring

2012-05-05  Gilles Caulier <caulier.gilles@gmail.com>

	* imgurexport/imgurwindow.cpp, imgurexport/imgurwindow.h,
	imgurexport/plugin_imgurexport.cpp: factoring

2012-05-05  Gilles Caulier <caulier.gilles@gmail.com>

	* CMakeLists.txt: enable imgurexport tool for next RC release

2012-05-05  Gilles Caulier <caulier.gilles@gmail.com>

	* imageviewer/plugin_viewer.cpp, imageviewer/viewerwidget.cpp,
	imageviewer/viewerwidget.h: factoring

2012-05-05  Gilles Caulier <caulier.gilles@gmail.com>

	* imageshackexport/imageshackwindow.cpp,
	imageshackexport/imageshackwindow.h,
	imageshackexport/plugin_imageshackexport.cpp: factoring

2012-05-05  Gilles Caulier <caulier.gilles@gmail.com>

	* htmlexport/plugin_htmlexport.cpp, htmlexport/wizard.cpp,
	htmlexport/wizard.h: factoring

2012-05-05  Gilles Caulier <caulier.gilles@gmail.com>

	* gpssync/gpssyncdialog.cpp, gpssync/gpssyncdialog.h,
	gpssync/plugin_gpssync.cpp: factoring

2012-05-05  Gilles Caulier <caulier.gilles@gmail.com>

	* galleryexport/gallerywindow.cpp, galleryexport/gallerywindow.h,
	galleryexport/plugin_galleryexport.cpp: factoring

2012-05-05  Gilles Caulier <caulier.gilles@gmail.com>

	* flickrexport/flickrwindow.cpp, flickrexport/flickrwindow.h,
	flickrexport/plugin_flickrexport.cpp: factoring

2012-05-05  Gilles Caulier <caulier.gilles@gmail.com>

	* facebook/fbwindow.cpp, facebook/fbwindow.h,
	facebook/plugin_facebook.cpp: factoring

2012-05-05  Gilles Caulier <caulier.gilles@gmail.com>

	* debianscreenshots/dswindow.cpp, debianscreenshots/dswindow.h,
	debianscreenshots/plugin_debianscreenshots.cpp: no need to pass
	interface as dialog argument

2012-05-04  Gilles Caulier <caulier.gilles@gmail.com>

	* calendar/plugin/plugin_calendar.cpp,
	calendar/plugin/plugin_calendar.h, calendar/wizard/calwizard.cpp,
	calendar/wizard/calwizard.h: use new KPToolDialog API

2012-05-04  Gilles Caulier <caulier.gilles@gmail.com>

	* batchprocessimages/common/batchprocessimagesdialog.cpp,
	batchprocessimages/common/batchprocessimagesdialog.h,
	batchprocessimages/plugin/plugin_batchprocessimages.cpp,
	batchprocessimages/tools/borderimagesdialog.cpp,
	batchprocessimages/tools/borderimagesdialog.h,
	batchprocessimages/tools/colorimagesdialog.cpp,
	batchprocessimages/tools/colorimagesdialog.h,
	batchprocessimages/tools/convertimagesdialog.cpp,
	batchprocessimages/tools/convertimagesdialog.h,
	batchprocessimages/tools/effectimagesdialog.cpp,
	batchprocessimages/tools/effectimagesdialog.h,
	batchprocessimages/tools/filterimagesdialog.cpp,
	batchprocessimages/tools/filterimagesdialog.h,
	batchprocessimages/tools/recompressimagesdialog.cpp,
	batchprocessimages/tools/recompressimagesdialog.h,
	batchprocessimages/tools/renameimagesdialog.cpp,
	batchprocessimages/tools/renameimagesdialog.h,
	batchprocessimages/tools/resizeimagesdialog.cpp,
	batchprocessimages/tools/resizeimagesdialog.h: use new KPToolDialog
	API

2012-05-04  Gilles Caulier <caulier.gilles@gmail.com>

	* acquireimages/plugin_acquireimages.cpp,
	acquireimages/scandialog.cpp, acquireimages/scandialog.h,
	acquireimages/scangui.cpp: use new KPToolDialog API

2012-05-04  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/dialogs/kptooldialog.cpp,
	common/libkipiplugins/dialogs/kptooldialog.h: new method to get KIPI
	interface instance

2012-05-04  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/tools/imageio/kpwritehelp.cpp: polish

2012-05-04  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/tools/imageio/kpwriteimage.cpp,
	common/libkipiplugins/tools/imageio/kpwriteimage.h: constify

2012-05-04  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/dialogs/kptooldialog.cpp,
	common/libkipiplugins/dialogs/kptooldialog.h: use d private internal
	container

2012-05-04  Gilles Caulier <caulier.gilles@gmail.com>

	* acquireimages/aboutdata.h,
	advancedslideshow/dialogs/slideshowconfig.cpp,
	calendar/wizard/calwizard.cpp,
	common/libkipiplugins/CMakeLists.txt,
	common/libkipiplugins/dialogs/kptooldialog.cpp,
	common/libkipiplugins/dialogs/kptooldialog.h,
	common/libkipiplugins/dialogs/kptooldialog_p.cpp,
	common/libkipiplugins/dialogs/kptooldialog_p.h,
	common/libkipiplugins/tools/kpaboutdata.cpp,
	common/libkipiplugins/tools/kpaboutdata.h,
	debianscreenshots/dswindow.cpp, dngconverter/plugin/aboutdata.h,
	expoblending/plugin/aboutdata.h, facebook/fbwindow.cpp,
	flashexport/aboutdata.h, flickrexport/flickrwindow.cpp,
	galleryexport/gallerywindow.cpp, gpssync/gpssyncdialog.cpp,
	htmlexport/wizard.cpp, imageshackexport/imageshackwindow.cpp,
	imgurexport/imgurwindow.cpp, ipodexport/uploaddialog.cpp,
	kioexportimport/KioExportWindow.cpp,
	kioexportimport/KioImportWindow.cpp, kmlexport/kmlexportconfig.cpp,
	mediawiki/wmwindow.cpp, metadataedit/plugin/metadataedit.cpp,
	panorama/plugin/aboutdata.h, picasawebexport/picasawebwindow.cpp,
	piwigoexport/piwigowindow.cpp, printimages/wizard/wizard.cpp,
	rajceexport/rajcewindow.cpp, rawconverter/dialogs/batchdialog.cpp,
	rawconverter/dialogs/singledialog.cpp,
	removeredeyes/plugin/removeredeyeswindow.cpp,
	sendimages/sendimagesdialog.cpp, shwup/swwindow.cpp,
	smug/smugwindow.cpp, timeadjust/timeadjustdialog.cpp,
	vkontakte/vkwindow.cpp, yandexfotki/yfwindow.cpp: remove private
	KPDialog container.  Create KPDialogBase class instead set new
	method to pass hhandbook hanchor to KPAboutData

2012-05-04  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/dialogs/kptooldialog.cpp,
	common/libkipiplugins/dialogs/kptooldialog_p.cpp,
	common/libkipiplugins/dialogs/kptooldialog_p.h,
	common/libkipiplugins/tools/kpaboutdata.cpp,
	common/libkipiplugins/tools/kpaboutdata.h: move QObject data about
	handbook handling to KPAboutData container

2012-05-04  Gilles Caulier <caulier.gilles@gmail.com>

	* kioexportimport/CMakeLists.txt,
	kioexportimport/KioExportWidget.h,
	kioexportimport/KioExportWindow.cpp,
	kioexportimport/KioExportWindow.h,
	kioexportimport/KioImportWidget.cpp,
	kioexportimport/KioImportWidget.h,
	kioexportimport/KioImportWindow.cpp,
	kioexportimport/KioImportWindow.h,
	kioexportimport/plugin_kioexportimport.cpp: port to KPToolDialog

2012-05-03  Gilles Caulier <caulier.gilles@gmail.com>

	* AUTHORS, README: update

2012-05-03  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/tools/kpmetadata.cpp,
	common/libkipiplugins/tools/kpmetadata.h: Return true if no XMP
	sidecar exist. Only return false if sidecar moving failed.  API doc.

2012-05-03  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/clockphotodialog.cpp: polish

2012-05-03  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/clockphotodialog.cpp, timeadjust/clockphotodialog.h,
	timeadjust/settingswidget.cpp, timeadjust/timeadjustsettings.h: 
	polish

2012-05-03  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/clockphotodialog.cpp, timeadjust/clockphotodialog.h,
	timeadjust/settingswidget.cpp: polish

2012-05-03  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/widgets/kppreviewimage.cpp,
	common/libkipiplugins/widgets/kppreviewimage.h,
	common/libkipiplugins/widgets/kppreviewmanager.cpp,
	common/libkipiplugins/widgets/kppreviewmanager.h: manage raw file
	loading

2012-05-03  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/settingswidget.cpp, timeadjust/settingswidget.h,
	timeadjust/timeadjustdialog.cpp: use rexpander box to improve layout
	into settings widget

2012-05-02  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/CMakeLists.txt, timeadjust/settingswidget.cpp,
	timeadjust/settingswidget.h, timeadjust/timeadjustdialog.cpp,
	timeadjust/timeadjustdialog.h, timeadjust/timeadjustsettings.h: 
	separate settings widget from main dialog implementation, for better
	readability of code.  CCMAIL: smit.meh@gmail.com

2012-05-02  Burkhard Lück <lueck@hube-lueck.de>

	* sendimages/settingswidget.cpp: 'uncover' the Image quality label

2012-05-01  Marius Orcsik <marius@habarnam.ro>

	* : Merge remote-tracking branch 'origin/master'

2012-05-01  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-04-30  smit mehta <smit.meh@gmail.com>

	* rawconverter/manager/rawdecodingiface.cpp: temporary file fix for
	parallelization

2012-04-29  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-04-29  Marius Orcsik <marius@habarnam.ro>

	* : Merge remote-tracking branch 'origin/master'

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* panorama/importwizard/importwizarddlg.cpp,
	panorama/importwizard/importwizarddlg.h,
	panorama/plugin/aboutdata.h: port to KPWizardDialog

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* expoblending/blendingdlg/expoblendingdlg.cpp,
	expoblending/blendingdlg/expoblendingdlg.h,
	expoblending/importwizard/importwizarddlg.h: polish

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* expoblending/blendingdlg/expoblendingdlg.cpp,
	expoblending/importwizard/importwizarddlg.cpp,
	expoblending/plugin/aboutdata.h: polish

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* panorama/importwizard/importwizarddlg.cpp,
	panorama/importwizard/importwizarddlg.h: polish

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/tools/kpaboutdata.cpp,
	common/libkipiplugins/tools/kpaboutdata.h,
	dngconverter/plugin/aboutdata.h,
	expoblending/blendingdlg/expoblendingdlg.cpp,
	expoblending/blendingdlg/expoblendingdlg.h,
	expoblending/importwizard/importwizarddlg.cpp,
	expoblending/importwizard/importwizarddlg.h,
	expoblending/plugin/aboutdata.h: port to KPToolDialog

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* expoblending/importwizard/importwizarddlg.cpp,
	expoblending/importwizard/importwizarddlg.h,
	expoblending/importwizard/lastpage.h: polish

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* vkontakte/vkwindow.cpp, vkontakte/vkwindow.h: port to KPToolDialog

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* advancedslideshow/plugin/slideshowloader.cpp,
	advancedslideshow/plugin/slideshowloader.h: factorize

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* advancedslideshow/plugin/imageloadthread.cpp: factorize

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* photolayoutseditor/threads/ImageLoadingThread.cpp,
	photolayoutseditor/threads/ImageLoadingThread.h: factorize fix
	coding style

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* calendar/wizard/monthwidget.cpp, calendar/wizard/monthwidget.h: 
	factorize

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* calendar/print/calpainter.cpp, calendar/print/calpainter.h: 
	factoring

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* yandexfotki/yfwindow.cpp, yandexfotki/yfwindow.h: port to
	KPToolDialog

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* yandexfotki/yfwindow.cpp: factoring

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* smug/smugwindow.cpp, smug/smugwindow.h: port to KPToolDialog

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* smug/smugwindow.cpp: factoring

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* panorama/tasks/preprocesstask.cpp,
	panorama/tasks/preprocesstask.h, shwup/swwindow.cpp: factoring

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* panorama/tasks/copyfilestask.cpp,
	panorama/tasks/preprocesstask.cpp, panorama/tasks/task.cpp,
	panorama/tasks/task.h: factorize

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/clockphotodialog.cpp: factorize

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* printimages/tools/tphoto.cpp: factorize

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* jpeglossless/plugin/utils.cpp, jpeglossless/plugin/utils.h,
	jpeglossless/transform/convert2grayscale.cpp,
	jpeglossless/transform/imageflip.cpp,
	jpeglossless/transform/imagerotate.cpp: factorize

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* sendimages/imageresize.cpp: factorize

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* dngconverter/plugin/myimagelist.cpp: factorize

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/widgets/kpimageslist.cpp,
	common/libkipiplugins/widgets/kpimageslist.h: factorize

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* rawconverter/dialogs/myimagelist.cpp,
	rawconverter/dialogs/myimagelist.h,
	rawconverter/plugin/plugin_rawconverter.cpp: factorize

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* rajceexport/rajcesession.cpp: factorize

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* piwigoexport/piwigotalker.cpp, piwigoexport/piwigotalker.h: 
	factorize

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* picasawebexport/picasawebwindow.cpp: factorize

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* imageviewer/texture.cpp: factorize

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* htmlexport/imagegenerationfunctor.cpp: factorize

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* galleryexport/gallerytalker.cpp: factorize

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* flickrexport/flickrtalker.cpp, flickrexport/flickrtalker.h: 
	factorize

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* flashexport/simpleviewer.cpp: factorize

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* facebook/fbwindow.cpp: factorize

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* debianscreenshots/dswindow.cpp: factorize

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* expoblending/manager/actionthread.cpp,
	expoblending/manager/actionthread.h: constify

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* expoblending/manager/actionthread.cpp,
	expoblending/manager/actionthread.h: use KPMetadata::isRawFile()

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/tools/kpmetadata.cpp,
	common/libkipiplugins/tools/kpmetadata.h: new commun static method
	to check if file is RAW type

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* dngconverter/plugin/batchdialog.cpp,
	rawconverter/dialogs/batchdialog.cpp: Fix memory leak

2012-04-26  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/widgets/kpsavesettingswidget.cpp: polish

2012-04-25  Gilles Caulier <caulier.gilles@gmail.com>

	* metadataedit/xmp/xmporigin.cpp,
	metadataedit/xmp/xmpproperties.cpp: fix typo in xmp tag name.
	remove unexistant XMP tag BUGS: 287272

2012-04-25  smit mehta <smit.meh@gmail.com>

	* dngconverter/plugin/batchdialog.cpp: Debug fix.

2012-04-25  smit mehta <smit.meh@gmail.com>

	* common/libkipiplugins/widgets/kpsavesettingswidget.cpp,
	common/libkipiplugins/widgets/kpsavesettingswidget.h,
	dngconverter/plugin/batchdialog.cpp,
	rawconverter/dialogs/batchdialog.cpp,
	rawconverter/dialogs/batchdialog.h: File renaming modifications.
	Using different filename to store it.  Creating proper signals in
	kpsavesettingswidget and function to set the label Removing
	debugging info from dngconverter

2012-04-25  Gilles Caulier <caulier.gilles@gmail.com>

	* dngconverter/plugin/myimagelist.cpp: polish

2012-04-25  Gilles Caulier <caulier.gilles@gmail.com>

	* rawconverter/dialogs/myimagelist.cpp: polish

2012-04-25  Gilles Caulier <caulier.gilles@gmail.com>

	* rawconverter/manager/actionthread.cpp,
	rawconverter/manager/actionthread.h: polish

2012-04-24  Gilles Caulier <caulier.gilles@gmail.com>

	* shwup/swwindow.cpp, shwup/swwindow.h: port to KPToolDialog

2012-04-24  Gilles Caulier <caulier.gilles@gmail.com>

	* dngconverter/plugin/actionthread.cpp,
	rawconverter/dialogs/batchdialog.cpp,
	rawconverter/dialogs/myimagelist.cpp,
	rawconverter/dialogs/myimagelist.h,
	rawconverter/dialogs/singledialog.cpp,
	rawconverter/manager/actionthread.cpp,
	rawconverter/manager/actionthread.h,
	rawconverter/plugin/plugin_rawconverter.cpp,
	rawconverter/plugin/plugin_rawconverter.h: handle RAW file type in
	listview to check is raw files are passed by D&D from KIPI host
	application Give credits to Smit Usual coding style fixes

2012-04-24  Gilles Caulier <caulier.gilles@gmail.com>

	* rawconverter/CMakeLists.txt: fix linking

2012-04-25  smit mehta <smit.meh@gmail.com>

	* rawconverter/dialogs/batchdialog.cpp,
	rawconverter/dialogs/myimagelist.cpp,
	rawconverter/dialogs/myimagelist.h: removing QMessageBox and using
	"status"

2012-04-24  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-04-24  smit mehta <smit.meh@gmail.com>

	* : commit 4d4d4133727cc07227603f3e934eb285af49a569 Author: smit
	mehta <smit.meh@gmail.com> Date:   Tue Apr 24 20:58:48 2012 +0530

2012-04-24  Script Kiddy <scripty@kde.org>

	* imageshackexport/kipiplugin_imageshackexport.desktop,
	imgurexport/kipiplugin_imgurexport.desktop,
	printimages/templates/6_photos_3.5x4.5cm.desktop,
	tests/helloworld/kipiplugin_helloworld.desktop: SVN_SILENT made
	messages (.desktop file)

2012-04-24  Gilles Caulier <caulier.gilles@gmail.com>

	* dngconverter/plugin/aboutdata.h,
	dngconverter/plugin/dngconverter.cpp,
	dngconverter/plugin/myimagelist.cpp,
	dngconverter/plugin/myimagelist.h,
	dngconverter/plugin/plugin_dngconverter.cpp: Prevent to non RAW
	files to be loaded in list view.  No need a static method now, as
	all is done in imagelist.  Code cleanup

2012-04-24  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/widgets/kpimageslist.cpp,
	common/libkipiplugins/widgets/kpimageslist.h: fix signal name

2012-04-24  Frédéric Coiffier <fcoiffie@gmail.com>

	* : commit 20677f63dfd4525ba124dd2ea76a70396428a371 Author:
	Frédéric Coiffier <fcoiffie@gmail.com> Date:   Tue Apr 24 15:53:26
	2012 +0200

2012-04-24  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 5ff94d45f0ab15d12e85f581817704e9909639e5 Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Tue Apr 24 15:48:46 2012
	+0200

2012-04-24  Frédéric Coiffier <fcoiffie@gmail.com>

	* : commit f141351503afb37360432c75389ca0175ee28b73 Author:
	Frédéric Coiffier <fcoiffie@gmail.com> Date:   Mon Apr 23 21:44:33
	2012 +0200

2012-04-23  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/actionthread.cpp, timeadjust/actionthread.h,
	timeadjust/myimagelist.cpp, timeadjust/myimagelist.h,
	timeadjust/timeadjustdialog.cpp, timeadjust/timeadjustdialog.h: 
	Instead to use 2 dedicated signals to dispatch error messages about
	processed images to listview, it's better to send a status flag of
	item processed. List of flags is given on enum list. On signal is
	now used to dispatch status of process item.  Using a enum of error
	is extensible quickly. Using a signal for each possible errors is
	more complex and increase the puzzle in source code.  A QMap wrap
	url and status of items, which is used at end by listview to display
	status sting on right column.  Don't forget to use i18n() to export
	strings to translate.  CCMAIL: smit.meh@gmail.com

2012-04-23  smit mehta <smit.meh@gmail.com>

	* timeadjust/actionthread.cpp, timeadjust/actionthread.h,
	timeadjust/myimagelist.cpp, timeadjust/myimagelist.h,
	timeadjust/timeadjustdialog.cpp, timeadjust/timeadjustdialog.h: New
	column implementation for "status". Removed KMessageBox

2012-04-23  Script Kiddy <scripty@kde.org>

	* imgurexport/kipiplugin_imgurexport.desktop,
	kmlexport/kipiplugin_kmlexport.desktop,
	mediawiki/kipiplugin_wikimedia.desktop,
	panorama/plugin/kipiplugin_panorama.desktop,
	panorama/plugin/panoramagui.desktop,
	photolayoutseditor/borders/photolayoutseditorborderplugin.desktop,
	photolayoutseditor/effects/photolayoutseditoreffectplugin.desktop,
	photolayoutseditor/plugin/kipiplugin_photolayoutseditor.desktop,
	photolayoutseditor/plugin/photolayoutseditor.desktop,
	printimages/templates/6_photos_3.5x4.5cm.desktop,
	rajceexport/kipiplugin_rajceexport.desktop,
	vkontakte/kipiplugin_vkontakte.desktop,
	yandexfotki/kipiplugin_yandexfotki.desktop: SVN_SILENT made messages
	(.desktop file)

2012-04-22  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/timeadjustdialog.cpp: Smit, this code must be moved
	later to Action Thread as a new sub task, like DNGConverter do for
	ex.. Look my comment for details.  CCMAIL: smit.meh@gmail.com

2012-04-22  Gilles Caulier <caulier.gilles@gmail.com>

	* dngconverter/plugin/aboutdata.h,
	dngconverter/plugin/myimagelist.cpp: polish

2012-04-22  smit mehta <smit.meh@gmail.com>

	* dngconverter/plugin/batchdialog.cpp,
	dngconverter/plugin/myimagelist.cpp,
	dngconverter/plugin/myimagelist.h: New column "status" in listview,
	removing kmessagebox implementation and showing status in that
	column

2012-04-22  Script Kiddy <scripty@kde.org>

	* imageshackexport/kipiplugin_imageshackexport.desktop,
	imgurexport/kipiplugin_imgurexport.desktop,
	tests/helloworld/kipiplugin_helloworld.desktop: SVN_SILENT made
	messages (.desktop file)

2012-04-22  smit mehta <smit.meh@gmail.com>

	* dngconverter/plugin/batchdialog.cpp: Fixing signal.
	QThread::finished() to know the ending of the overall thread.

2012-04-21  Gilles Caulier <caulier.gilles@gmail.com>

	* dngconverter/plugin/aboutdata.h: give credits to smit

2012-04-21  Gilles Caulier <caulier.gilles@gmail.com>

	* dngconverter/plugin/actionthread.cpp,
	dngconverter/plugin/actionthread.h,
	dngconverter/plugin/batchdialog.cpp,
	dngconverter/plugin/batchdialog.h: polish implementation.  Use
	KPMetadata::moveSidecar to handle XMP files.  Use KDE_rename instead
	::rename.  CCMAIL: smit.meh@gmail.com

2012-04-21  smit mehta <smit.meh@gmail.com>

	* dngconverter/plugin/CMakeLists.txt,
	dngconverter/plugin/actionthread.cpp,
	dngconverter/plugin/actionthread.h,
	dngconverter/plugin/batchdialog.cpp,
	dngconverter/plugin/batchdialog.h,
	dngconverter/plugin/settingswidget.cpp,
	dngconverter/plugin/settingswidget.h: Parallelization in
	dngconverter. Modifications in saving files

2012-04-21  Gilles Caulier <caulier.gilles@gmail.com>

	* dngconverter/plugin/CMakeLists.txt,
	dngconverter/plugin/actionthread.cpp,
	dngconverter/plugin/actionthread.h: revert my previous commit

2012-04-21  Marius Orcsik <marius@habarnam.ro>

	* : commit b78639ce5d816a2bc30171ae268b30e00096cdcc Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Sat Apr 21 14:28:34 2012
	+0200

2012-04-21  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/timeadjustdialog.cpp: polish

2012-04-21  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/actionthread.cpp, timeadjust/actionthread.h: no need to
	pass QdateTime to Task class contructor. We already pass Url, so we
	can take timestamp to use into shared QMap from ActionThread class.
	Emit progress info wrapped by mutex, to be sure that it wxill be not
	modified by another children thread at the same time.  CCMAIL:
	smit.meh@gmail.com

2012-04-20  Gilles Caulier <caulier.gilles@gmail.com>

	* dngconverter/dngwriter/dngwriter.cpp: add link to new application
	using DNG sdk

2012-04-20  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/timeadjustdialog.cpp, timeadjust/timeadjustsettings.h: 
	use enum for all combobox

2012-04-20  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/actionthread.cpp: polish

2012-04-20  Yuri Chornoivan <yurchor@ukr.net>

	* timeadjust/timeadjustdialog.cpp: Fix typos

2012-04-19  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-04-19  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/timeadjustsettings.h: polish

2012-04-19  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-04-19  smit mehta <smit.meh@gmail.com>

	* NEWS: update

2012-04-19  smit mehta <smit.meh@gmail.com>

	* timeadjust/timeadjustdialog.cpp: Error message if nothing is
	selected.  BUGS:285070

2012-04-19  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 2ff62ddf35cfb89dae3febac51df3e795fb3e982 Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Thu Apr 19 15:04:39 2012
	+0200

2012-04-19  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/timeadjustdialog.cpp: polish

2012-04-19  smit mehta <smit.meh@gmail.com>

	* NEWS: closing the bug.  BUGS:163991

2012-04-19  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/timeadjustdialog.cpp: clear map and list properly

2012-04-19  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/timeadjustdialog.cpp: prepare to export settings widget
	to dedicated class

2012-04-19  Gilles Caulier <caulier.gilles@gmail.com>

	* picasawebexport/picasawebimglist.cpp,
	picasawebexport/picasawebwidget.cpp: move relevan code about image
	list to right class

2012-04-19  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/actionthread.cpp, timeadjust/actionthread.h,
	timeadjust/myimagelist.cpp, timeadjust/myimagelist.h,
	timeadjust/timeadjustdialog.cpp, timeadjust/timeadjustdialog.h,
	timeadjust/timeadjustsettings.h: Host Time Adjustment Settings to a
	dedicated container CCMAIL: smit.meh@gmail.com

2012-04-19  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/timeadjustdialog.cpp: polish

2012-04-18  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/actionthread.cpp, timeadjust/actionthread.h,
	timeadjust/myimagelist.cpp, timeadjust/myimagelist.h,
	timeadjust/timeadjustdialog.cpp, timeadjust/timeadjustdialog.h: 
	listview now show updated timestamps and new filename if right
	option is selected by user.  The Custom date handling is obsolete
	now. Used and Updated Timestamps are now hosted in 2 map wrapping
	url and date-time infomration.  Relevant methods have been removed
	into ActionThread.  CCMAIL: smit.meh@gmail.com

2012-04-18  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/timeadjustdialog.cpp: forget to copy original to target

2012-04-18  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/timeadjustdialog.cpp: polish

2012-04-18  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/timeadjustdialog.cpp: polish

2012-04-18  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/timeadjustdialog.cpp: polish

2012-04-18  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/actionthread.cpp, timeadjust/myimagelist.cpp,
	timeadjust/myimagelist.h, timeadjust/timeadjustdialog.cpp,
	timeadjust/timeadjustdialog.h: Use a local map to pass map of
	updated item timestamps. Do not use global map overwrited as well,
	which is used to host used item timestamps.  Display "timestamps
	used" info in list view CCMAIL: smit.meh@gmail.com

2012-04-18  Gilles Caulier <caulier.gilles@gmail.com>

	* dngconverter/plugin/myimagelist.cpp: polish

2012-04-18  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/timeadjustdialog.cpp, timeadjust/timeadjustdialog.h: 
	polish

2012-04-18  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/actionthread.cpp, timeadjust/actionthread.h,
	timeadjust/plugin_timeadjust.cpp, timeadjust/timeadjustdialog.cpp,
	timeadjust/timeadjustdialog.h: use QMap in action thread to host
	item urls and origine date time.  use real modal dialog

2012-04-18  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/timeadjustdialog.cpp: polish

2012-04-18  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/timeadjustdialog.cpp: polish

2012-04-18  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/myimagelist.cpp, timeadjust/timeadjustdialog.cpp: urls
	and original datetime are now managed through a QMap in main dialog.
	CCMAIL: smit.meh@gmail.com

2012-04-18  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/timeadjustdialog.cpp, timeadjust/timeadjustdialog.h: 
	Time Adjustement processing can be canceled from KIPI host through
	progress manager.  CCMAIL: smit.meh@gmail.com

2012-04-18  Yuri Chornoivan <yurchor@ukr.net>

	* timeadjust/timeadjustdialog.cpp: Fix typo.

2012-04-17  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/timeadjustdialog.cpp: fix layout

2012-04-17  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/CMakeLists.txt, timeadjust/myimagelist.cpp,
	timeadjust/myimagelist.h, timeadjust/timeadjustdialog.cpp: move
	dedicated code for imagelist to separated files

2012-04-17  Script Kiddy <scripty@kde.org>

	* imageshackexport/kipiplugin_imageshackexport.desktop,
	imgurexport/kipiplugin_imgurexport.desktop,
	tests/helloworld/kipiplugin_helloworld.desktop: SVN_SILENT made
	messages (.desktop file)

2012-04-17  smit mehta <smit.meh@gmail.com>

	* timeadjust/actionthread.cpp, timeadjust/actionthread.h,
	timeadjust/timeadjustdialog.cpp, timeadjust/timeadjustdialog.h: 
	Basic imagelist implementation Currently, "example" group box and
	related signals and slots are commented.  TODO: remove "example" fully, add more columns in listView by
	implementing it as a different class

2012-04-17  Gilles Caulier <caulier.gilles@gmail.com>

	* picasawebexport/picasawebwindow.cpp,
	picasawebexport/picasawebwindow.h: port to KPToolDialog

2012-04-17  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/actionthread.cpp: do not overwrite target file is time
	adjust option is Copy. Include original filename in target base name
	to prevent files lost.  Format will be :
	originalbasename-timestamp.originalsuffix CCMAIL: smit
	<smit.meh@gmail.com>

2012-04-17  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/actionthread.cpp, timeadjust/timeadjustdialog.cpp,
	timeadjust/timeadjustdialog.h: polish

2012-04-17  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/actionthread.cpp, timeadjust/actionthread.h,
	timeadjust/timeadjustdialog.cpp: use mutex to red/write shared
	counter between Task instance, to prevent concurents access.  No
	need to host in ActionThreadPrivate QString Container to pass url of
	failed items. Just pass it as well to signal.  CCMAIL:
	smit.meh@gmail.com

2012-04-17  Gilles Caulier <caulier.gilles@gmail.com>

	* sendimages/imageresize.cpp, sendimages/imageresize.h: polish

2012-04-17  Gilles Caulier <caulier.gilles@gmail.com>

	* metadataedit/plugin/metadataedit.cpp,
	metadataedit/plugin/metadataedit.h, sendimages/sendimagesdialog.cpp: 
	port to KPToolDialog

2012-04-17  Gilles Caulier <caulier.gilles@gmail.com>

	* sendimages/imageresize.cpp, sendimages/imageresize.h,
	sendimages/plugin_sendimages.cpp, sendimages/plugin_sendimages.h,
	sendimages/sendimages.cpp, sendimages/sendimages.h: polish

2012-04-16  Gilles Caulier <caulier.gilles@gmail.com>

	* printimages/wizard/wizard.cpp, printimages/wizard/wizard.h: port
	to KPWizardDialog

2012-04-16  Gilles Caulier <caulier.gilles@gmail.com>

	* kmlexport/kmlexportconfig.cpp, kmlexport/kmlexportconfig.h: port
	to KPToolDailog

2012-04-16  Gilles Caulier <caulier.gilles@gmail.com>

	* removeredeyes/widgets/controlwidget.cpp,
	removeredeyes/widgets/controlwidget.h,
	removeredeyes/widgets/infomessagewidget.cpp,
	removeredeyes/widgets/infomessagewidget.h,
	removeredeyes/widgets/myimageslist.cpp,
	removeredeyes/widgets/myimageslist.h,
	removeredeyes/widgets/storagesettingsbox.cpp,
	removeredeyes/widgets/storagesettingsbox.h,
	removeredeyes/widgets/unprocessedsettingsbox.cpp,
	removeredeyes/widgets/unprocessedsettingsbox.h: more private
	internal container

2012-04-16  Gilles Caulier <caulier.gilles@gmail.com>

	* removeredeyes/widgets/previewwidget.cpp,
	removeredeyes/widgets/previewwidget.h: more private internal
	container

2012-04-16  Gilles Caulier <caulier.gilles@gmail.com>

	* removeredeyes/plugin/removeredeyeswindow.cpp,
	removeredeyes/plugin/removeredeyeswindow.h: port to KPToolDialog

2012-04-16  Gilles Caulier <caulier.gilles@gmail.com>

	* rawconverter/dialogs/batchdialog.cpp,
	rawconverter/dialogs/singledialog.cpp: polish

2012-04-16  Gilles Caulier <caulier.gilles@gmail.com>

	* rawconverter/dialogs/batchdialog.cpp,
	rawconverter/dialogs/batchdialog.h,
	rawconverter/dialogs/singledialog.cpp,
	rawconverter/dialogs/singledialog.h: port to KPToolDialog

2012-04-16  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/actionthread.cpp, timeadjust/timeadjustdialog.cpp: 
	polish

2012-04-16  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/actionthread.cpp, timeadjust/actionthread.h: polish

2012-04-16  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/actionthread.cpp, timeadjust/actionthread.h: use right
	naming convention with d private internal container.  use m_ prefix
	with Task private members.  No default arguments for Task
	contructor.  Remove GUI header files included.  CCMAIL:
	smit.meh@gmail.com

2012-04-14  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/timeadjustdialog.cpp: more credits visible

2012-04-14  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-04-14  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/dialogs/kpdialogprivate.cpp,
	common/libkipiplugins/dialogs/kpdialogprivate.h,
	common/libkipiplugins/dialogs/kptooldialog.cpp,
	common/libkipiplugins/dialogs/kptooldialog.h,
	gpssync/gpssyncdialog.cpp, gpssync/gpssyncdialog.h: use right Help
	button to assign kipi menu on GPSSync dialog BUGS: 298118

2012-04-14  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 4f3903d31ca5040ecc7d3ac066c5dfc553f5f9d2 Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Sat Apr 14 18:21:45 2012
	+0200

2012-04-14  Script Kiddy <scripty@kde.org>

	* debianscreenshots/kipiplugin_debianscreenshots.desktop,
	imgurexport/kipiplugin_imgurexport.desktop,
	kmlexport/kipiplugin_kmlexport.desktop,
	kopete/kipiplugin_kopete.desktop,
	mediawiki/kipiplugin_wikimedia.desktop,
	panorama/plugin/kipiplugin_panorama.desktop,
	panorama/plugin/panoramagui.desktop: SVN_SILENT made messages
	(.desktop file)

2012-04-14  Marius Orcsik <marius@habarnam.ro>

	* : commit 5325be03860d2b793fc7cd01a505b3dac3f8d3a9 Merge: a055ff8
	07567d6 Author: Marius Orcsik <marius@habarnam.ro> Date:   Sat Apr
	14 10:31:38 2012 +0300

2012-04-14  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/clockphotodialog.cpp, timeadjust/clockphotodialog.h: 
	polish

2012-04-14  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/plugin_timeadjust.cpp, timeadjust/plugin_timeadjust.h: 
	use d private internal container

2012-04-14  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/timeadjustdialog.cpp: give credits to perter

2012-04-13  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/actionthread.cpp, timeadjust/actionthread.h,
	timeadjust/timeadjustdialog.cpp, timeadjust/timeadjustdialog.h: give
	credits to Smit use const ref when it's possible

2012-04-13  smit mehta <smit.meh@gmail.com>

	* common/libkipiplugins/tools/threads/kpactionthreadbase.cpp,
	timeadjust/CMakeLists.txt, timeadjust/actionthread.cpp,
	timeadjust/actionthread.h, timeadjust/timeadjustdialog.cpp,
	timeadjust/timeadjustdialog.h: Multi-threading and parellelizing
	implementation in timeadjust.

2012-04-12  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/dialogs/kpdialogprivate.cpp,
	common/libkipiplugins/dialogs/kpdialogprivate.h: polish

2012-04-12  Gilles Caulier <caulier.gilles@gmail.com>

	* mediawiki/wmwindow.cpp, mediawiki/wmwindow.h: port to KPToolDialog

2012-04-12  Gilles Caulier <caulier.gilles@gmail.com>

	* tests/multithreading/imageselector.cpp,
	tests/multithreading/imageselector.h, tests/multithreading/main.cpp: 
	port to KPToolDialog

2012-04-12  Gilles Caulier <caulier.gilles@gmail.com>

	* ipodexport/uploaddialog.cpp, ipodexport/uploaddialog.h: polish

2012-04-12  Gilles Caulier <caulier.gilles@gmail.com>

	* ipodexport/uploaddialog.cpp, ipodexport/uploaddialog.h: port to
	KPToolDialog

2012-04-12  Gilles Caulier <caulier.gilles@gmail.com>

	* imageshackexport/imageshackwindow.cpp,
	imageshackexport/imageshackwindow.h: port to KPToolDialog

2012-04-12  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 5af7b9abac654dcdfbf6889ed760ab1f9a9e7a92 Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Thu Apr 12 10:46:33 2012
	+0200

2012-04-12  Script Kiddy <scripty@kde.org>

	* imageshackexport/kipiplugin_imageshackexport.desktop,
	imgurexport/kipiplugin_imgurexport.desktop,
	kmlexport/kipiplugin_kmlexport.desktop,
	mediawiki/kipiplugin_wikimedia.desktop,
	tests/helloworld/kipiplugin_helloworld.desktop: SVN_SILENT made
	messages (.desktop file)

2012-04-11  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/CMakeLists.txt,
	common/libkipiplugins/dialogs/kpdialogprivate.cpp,
	common/libkipiplugins/dialogs/kpdialogprivate.h,
	common/libkipiplugins/dialogs/kptooldialog.cpp,
	common/libkipiplugins/dialogs/kptooldialog_p.cpp,
	common/libkipiplugins/dialogs/kptooldialog_p.h: polish

2012-04-11  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/dialogs/kptooldialog.cpp,
	common/libkipiplugins/dialogs/kptooldialog.h,
	common/libkipiplugins/dialogs/kptooldialog_p.cpp,
	common/libkipiplugins/dialogs/kptooldialog_p.h: polish

2012-04-11  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/CMakeLists.txt,
	common/libkipiplugins/dialogs/kptooldialog.cpp,
	common/libkipiplugins/dialogs/kptooldialog_p.cpp,
	common/libkipiplugins/dialogs/kptooldialog_p.h: separate private
	implementation in dedicated source files

2012-04-11  Gilles Caulier <caulier.gilles@gmail.com>

	* flashexport/CMakeLists.txt, flashexport/aboutdata.h,
	flashexport/flashmanager.cpp, flashexport/flashmanager.h,
	flashexport/importWizard/firstrunpage.cpp,
	flashexport/importWizard/firstrunpage.h,
	flashexport/importWizard/importwizarddlg.cpp,
	flashexport/importWizard/importwizarddlg.h,
	flashexport/importWizard/lookpage.cpp,
	flashexport/importWizard/lookpage.h,
	flashexport/plugin_flashexport.cpp, flashexport/simpleviewer.cpp,
	flashexport/simpleviewer.h: port to KPWizardDialog

2012-04-11  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/dialogs/kptooldialog.cpp,
	common/libkipiplugins/dialogs/kptooldialog.h: more private method
	and data factoring

2012-04-11  Gilles Caulier <caulier.gilles@gmail.com>

	* calendar/wizard/calwizard.cpp, calendar/wizard/calwizard.h: port
	to KPWizardDialog

2012-04-11  Gilles Caulier <caulier.gilles@gmail.com>

	* advancedslideshow/dialogs/slideshowconfig.cpp,
	advancedslideshow/dialogs/slideshowconfig.h: port to KPPageDialog

2012-04-11  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/dialogs/kptooldialog.cpp,
	common/libkipiplugins/dialogs/kptooldialog.h: add KPPageDialog and
	KPWizardDialog classes managing internal KPAboutData component

2012-04-10  Gilles Caulier <caulier.gilles@gmail.com>

	* piwigoexport/plugin_piwigoexport.cpp,
	piwigoexport/plugin_piwigoexport.h: polish

2012-04-10  Gilles Caulier <caulier.gilles@gmail.com>

	* piwigoexport/piwigowindow.cpp, piwigoexport/piwigowindow.h: use d
	private internal container

2012-04-10  Gilles Caulier <caulier.gilles@gmail.com>

	* piwigoexport/piwigowindow.cpp, piwigoexport/piwigowindow.h: port
	to KPToolDialog

2012-04-08  smit mehta <smit.meh@gmail.com>

	* gpssync/gpssyncdialog.cpp: correction : port to kpprogresswidget

2012-04-07  Frédéric Coiffier <fcoiffie@gmail.com>

	* piwigoexport/piwigotalker.cpp, piwigoexport/piwigotalker.h,
	piwigoexport/piwigowindow.cpp: piwigoexport : Support a max width
	and a max height for resizing

2012-04-06  Frédéric Coiffier <fcoiffie@gmail.com>

	* piwigoexport/piwigotalker.cpp, piwigoexport/piwigotalker.h,
	piwigoexport/piwigowindow.cpp: piwigoexport : Support the new Piwigo
	Web API 2.4 Reorganize the interface (now, looks like Picasa/Facebook plugin
	interface) Retrieve the title, the comment, the date and the authors
	with KPImageInfo API Remove useless options in the dialog box
	Replace the old Piwigo icon by the new one Replace the old Piwigo
	logo in the dialog box

2012-04-06  Andrew Goodbody <ajg02@elfringham.co.uk>

	* galleryexport/albumdlg.cpp, galleryexport/albumdlg.h,
	galleryexport/gallerytalker.cpp, galleryexport/gallerytalker.h,
	galleryexport/plugin_galleryexport.cpp,
	galleryexport/plugin_galleryexport.h: Use const parameters where
	possible

2012-04-06  Andrew Goodbody <ajg02@elfringham.co.uk>

	* galleryexport/gallerywindow.cpp,
	galleryexport/plugin_galleryexport.cpp: Init pointers to zero

2012-04-06  Gilles Caulier <caulier.gilles@gmail.com>

	* gpssync/gpssyncdialog.cpp, gpssync/gpssyncdialog.h: port to
	KPToolDialog

2012-04-06  Gilles Caulier <caulier.gilles@gmail.com>

	* flickrexport/flickrwindow.cpp, flickrexport/flickrwindow.h: port
	to KPToolDialog

2012-04-06  Gilles Caulier <caulier.gilles@gmail.com>

	* facebook/fbwindow.cpp, facebook/fbwindow.h: port to KPTollDialog

2012-04-06  Andi Clemens <andi.clemens@googlemail.com>

	* expoblending/plugin/plugin_expoblending.cpp: Fix action name

2012-04-06  Gilles Caulier <caulier.gilles@gmail.com>

	* galleryexport/gallerywindow.cpp, galleryexport/gallerywindow.h: 
	port to KPToolDialog

2012-04-06  Gilles Caulier <caulier.gilles@gmail.com>

	* galleryexport/galleryconfig.cpp, galleryexport/galleryconfig.h: 
	passing a const point is always better

2012-04-06  Gilles Caulier <caulier.gilles@gmail.com>

	* galleryexport/galleryconfig.cpp: init point to 0

2012-04-06  Andrew Goodbody <ajg02@elfringham.co.uk>

	* : commit 85638a4c5a09d10fd4bce7b600d0cdd0556d1732 Author: Andrew
	Goodbody <ajg02@elfringham.co.uk> Date:   Fri Apr 6 15:59:45 2012
	+0100

2012-04-06  Gilles Caulier <caulier.gilles@gmail.com>

	* dngconverter/plugin/batchdialog.cpp: polish

2012-04-06  Gilles Caulier <caulier.gilles@gmail.com>

	* debianscreenshots/dswindow.cpp, debianscreenshots/dswindow.h: port
	to KPToolDialog

2012-04-06  Gilles Caulier <caulier.gilles@gmail.com>

	* acquireimages/aboutdata.h, acquireimages/scandialog.cpp,
	acquireimages/scandialog.h: KPToolDialog port

2012-04-06  Gilles Caulier <caulier.gilles@gmail.com>

	* imgurexport/imgurwindow.cpp, imgurexport/imgurwindow.h,
	imgurexport/plugin_imgurexport.cpp: port to KPToolDialog

2012-04-06  Gilles Caulier <caulier.gilles@gmail.com>

	* sendimages/sendimagesdialog.cpp, sendimages/sendimagesdialog.h: 
	port to KPToolDialog

2012-04-06  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/timeadjustdialog.cpp, timeadjust/timeadjustdialog.h: 
	port to KPToolDialog

2012-04-05  Gilles Caulier <caulier.gilles@gmail.com>

	* batchprocessimages/common/batchprocessimagesdialog.h: polish

2012-04-05  Gilles Caulier <caulier.gilles@gmail.com>

	* batchprocessimages/CMakeLists.txt,
	batchprocessimages/common/batchprocessimagesdialog.cpp,
	batchprocessimages/common/batchprocessimagesdialog.h,
	batchprocessimages/common/dialogutils.cpp,
	batchprocessimages/common/dialogutils.h,
	batchprocessimages/common/imagepreview.cpp,
	batchprocessimages/common/imagepreview.h,
	batchprocessimages/common/pixmapview.cpp,
	batchprocessimages/common/pixmapview.h,
	batchprocessimages/tools/borderimagesdialog.cpp,
	batchprocessimages/tools/borderimagesdialog.h,
	batchprocessimages/tools/colorimagesdialog.cpp,
	batchprocessimages/tools/colorimagesdialog.h,
	batchprocessimages/tools/convertimagesdialog.cpp,
	batchprocessimages/tools/convertimagesdialog.h,
	batchprocessimages/tools/effectimagesdialog.cpp,
	batchprocessimages/tools/effectimagesdialog.h,
	batchprocessimages/tools/filterimagesdialog.cpp,
	batchprocessimages/tools/filterimagesdialog.h,
	batchprocessimages/tools/recompressimagesdialog.cpp,
	batchprocessimages/tools/recompressimagesdialog.h,
	batchprocessimages/tools/renameimagesdialog.cpp,
	batchprocessimages/tools/renameimagesdialog.h,
	batchprocessimages/tools/resizeimagesdialog.cpp,
	batchprocessimages/tools/resizeimagesdialog.h: factoring Batch
	Process Images dialogs with KPToolDialog.  removing unused source
	code

2012-04-05  Gilles Caulier <caulier.gilles@gmail.com>

	* wallpaper/plugin_wallpaper.cpp: polish

2012-04-05  Gilles Caulier <caulier.gilles@gmail.com>

	* wallpaper/plugin_wallpaper.cpp, wallpaper/plugin_wallpaper.h: use
	dedicated namespace

2012-04-05  Gilles Caulier <caulier.gilles@gmail.com>

	* removeredeyes/plugin/plugin_removeredeyes.cpp,
	removeredeyes/plugin/plugin_removeredeyes.h,
	sendimages/plugin_sendimages.cpp, sendimages/plugin_sendimages.h,
	shwup/plugin_shwup.cpp, shwup/plugin_shwup.h, smug/plugin_smug.cpp,
	smug/plugin_smug.h, vkontakte/plugin_vkontakte.cpp,
	vkontakte/plugin_vkontakte.h, vkontakte/vkalbumdialog.cpp,
	vkontakte/vkalbumdialog.h, yandexfotki/plugin_yandexfotki.cpp,
	yandexfotki/plugin_yandexfotki.h: use dedicated namespace

2012-04-05  Gilles Caulier <caulier.gilles@gmail.com>

	* picasawebexport/plugin_picasawebexport.cpp,
	picasawebexport/plugin_picasawebexport.h,
	piwigoexport/plugin_piwigoexport.cpp,
	piwigoexport/plugin_piwigoexport.h,
	printimages/plugin/plugin_printimages.cpp,
	printimages/plugin/plugin_printimages.h,
	rajceexport/plugin_rajceexport.cpp,
	rajceexport/plugin_rajceexport.h,
	rawconverter/plugin/plugin_rawconverter.cpp,
	rawconverter/plugin/plugin_rawconverter.h: use dedicated namespace

2012-04-05  Gilles Caulier <caulier.gilles@gmail.com>

	* imageviewer/CMakeLists.txt, imageviewer/helpdialog.cpp,
	imageviewer/helpdialog.h, imageviewer/viewerwidget.cpp: fix missing
	files

2012-04-04  Gilles Caulier <caulier.gilles@gmail.com>

	* imageviewer/CMakeLists.txt, imageviewer/viewerwidget.cpp: 2 files
	are missing for the moment. Make plugin to compile

2012-04-04  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/tools/kpimageinfo.cpp,
	common/libkipiplugins/tools/kpimageinfo.h: manage copyrights
	information from/to KIPI host application

2012-04-04  Gilles Caulier <caulier.gilles@gmail.com>

	* removeredeyes/plugin/workerthread.cpp: compile

2012-04-04  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit cc21b3bb649629bb6940a3dad89b5796ae78e3de Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Wed Apr 4 15:31:05 2012
	+0200

2012-04-04  smit mehta <smit.meh@gmail.com>

	* : commit 962eda3a72f7e3e7cce7a8084846ff3716e697a5 Merge: 983f32a
	159c78d Author: smit mehta <smit.meh@gmail.com> Date:   Wed Apr 4
	17:35:48 2012 +0530

2012-04-04  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/tools/kpmetadata.cpp,
	jpeglossless/transform/convert2grayscale.cpp,
	jpeglossless/transform/jpegtransform.cpp,
	removeredeyes/plugin/workerthread.cpp: no need to apply this KExiv2
	settings, it's done automatically through KPMetadata using KIPI host
	settings

2012-04-04  smit mehta <smit.meh@gmail.com>

	* vkontakte/vkwindow.cpp, vkontakte/vkwindow.h: Polish Port from
	QProgressBar to digiKam progress manager via KPProgressWidget

2012-04-04  Gilles Caulier <caulier.gilles@gmail.com>

	* imageviewer/viewerwidget.cpp: polish

2012-04-04  Gilles Caulier <caulier.gilles@gmail.com>

	* imageviewer/viewerwidget.cpp, imageviewer/viewerwidget.h: polish

2012-04-04  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 31063f9c61be6cd37f75214778e7389480a89211 Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Wed Apr 4 12:57:28 2012
	+0200

2012-04-04  smit mehta <smit.meh@gmail.com>

	* batchprocessimages/common/batchprocessimagesdialog.cpp,
	batchprocessimages/ui/batchprocessimagesdialog.ui: Port from
	QProgressBar to digiKam progress manager via KPProgressWidget

2012-04-04  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/dialogs/kptooldialog.cpp,
	common/libkipiplugins/dialogs/kptooldialog.h: polish

2012-04-04  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/CMakeLists.txt,
	common/libkipiplugins/dialogs/kptooldialog.cpp,
	common/libkipiplugins/dialogs/kptooldialog.h,
	common/libkipiplugins/tools/kpaboutdata.h,
	dngconverter/plugin/aboutdata.h,
	dngconverter/plugin/batchdialog.cpp,
	dngconverter/plugin/batchdialog.h: add new libkipiplugins tool
	dialog based on KDialog, with dedicated About data and customized
	Help menu

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* imageviewer/viewerwidget.cpp, imageviewer/viewerwidget.h: polish

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* imageviewer/viewerwidget.cpp, imageviewer/viewerwidget.h: more
	private data

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* imageviewer/viewerwidget.cpp: polish

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* imageviewer/viewerwidget.cpp, imageviewer/viewerwidget.h: use d
	privae internal container

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* imageviewer/viewerwidget.cpp, imageviewer/viewerwidget.h: polish

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* imageviewer/texture.cpp, imageviewer/texture.h,
	imageviewer/viewerwidget.cpp: kipi interface is not used here

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* imageviewer/texture.cpp, imageviewer/texture.h: use d private
	internal container

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* imageviewer/plugin_viewer.cpp, imageviewer/timer.cpp,
	imageviewer/timer.h: use d private internal container

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* imageviewer/plugin_viewer.cpp, imageviewer/plugin_viewer.h: use d
	private container

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* imageviewer/README, imageviewer/global.h,
	imageviewer/plugin_viewer.cpp, imageviewer/plugin_viewer.h,
	imageviewer/texture.cpp, imageviewer/texture.h,
	imageviewer/timer.cpp, imageviewer/timer.h,
	imageviewer/viewerwidget.cpp, imageviewer/viewerwidget.h: polish

2012-04-03  smit mehta <smit.meh@gmail.com>

	* flickrexport/flickrwidget.cpp, flickrexport/flickrwidget.h,
	flickrexport/flickrwindow.cpp, flickrexport/flickrwindow.h: Port
	from QProgressDialog to embedded progress bar in main dialog and
	digiKam progress manager via KPProgressWidget
	CCMAIL:caulier.gilles@gmail.com

2012-04-03  smit mehta <smit.meh@gmail.com>

	* facebook/fbwindow.cpp: correction (port from QProgress to
	KPProgressWidget)

2012-04-03  smit mehta <smit.meh@gmail.com>

	* calendar/ui/calprogress.ui, calendar/wizard/calwizard.cpp: Port
	from QProgressBar to digiKam progress manager via KPProgressWidget

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* photolayoutseditor/plugin/plugin_photolayoutseditor.cpp,
	photolayoutseditor/plugin/plugin_photolayoutseditor.h: use dedicated
	namespace

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* panorama/plugin/plugin_panorama.cpp,
	panorama/plugin/plugin_panorama.h,
	photolayoutseditor/plugin/plugin_photolayoutseditor.cpp,
	photolayoutseditor/plugin/plugin_photolayoutseditor.h: use dedicated
	namespace

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* metadataedit/plugin/plugin_metadataedit.cpp,
	metadataedit/plugin/plugin_metadataedit.h: use dedicated namespace

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* mediawiki/plugin_wikimedia.h: compile

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* mediawiki/plugin_wikimedia.cpp, mediawiki/plugin_wikimedia.h: use
	dedicated namespace

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* kopete/plugin_kopete.cpp, kopete/plugin_kopete.h: use dedicated
	namespace

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* kmlexport/plugin_kmlexport.cpp, kmlexport/plugin_kmlexport.h: use
	dedicated namespace

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* kioexportimport/plugin_kioexportimport.cpp,
	kioexportimport/plugin_kioexportimport.h: use dedicated namespace

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* jpeglossless/plugin/plugin_jpeglossless.cpp,
	jpeglossless/plugin/plugin_jpeglossless.h: use dedicated namespace

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* ipodexport/CMakeLists.txt, ipodexport/ipodexportdialog.cpp,
	ipodexport/ipodexportdialog.h, ipodexport/ipodheader.cpp,
	ipodexport/plugin_ipodexport.cpp, ipodexport/uploaddialog.cpp,
	ipodexport/uploaddialog.h: use class name as file name

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* ipodexport/CMakeLists.txt, ipodexport/ImageList.cpp,
	ipodexport/ImageList.h, ipodexport/ImageListItem.h,
	ipodexport/IpodExportDialog.cpp, ipodexport/IpodExportDialog.h,
	ipodexport/IpodHeader.cpp, ipodexport/IpodHeader.h,
	ipodexport/IpodListItem.cpp, ipodexport/IpodListItem.h,
	ipodexport/imagelist.cpp, ipodexport/imagelist.h,
	ipodexport/imagelistitem.h, ipodexport/ipodexportdialog.cpp,
	ipodexport/ipodexportdialog.h, ipodexport/ipodheader.cpp,
	ipodexport/ipodheader.h, ipodexport/ipodlistitem.cpp,
	ipodexport/ipodlistitem.h, ipodexport/plugin_ipodexport.cpp,
	ipodexport/plugin_ipodexport.h: no capitalized file name

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* ipodexport/ImageList.cpp, ipodexport/ImageList.h,
	ipodexport/ImageListItem.h, ipodexport/IpodExportDialog.cpp,
	ipodexport/IpodExportDialog.h, ipodexport/IpodHeader.cpp,
	ipodexport/IpodHeader.h, ipodexport/IpodListItem.cpp,
	ipodexport/IpodListItem.h, ipodexport/plugin_ipodexport.cpp,
	ipodexport/plugin_ipodexport.h: use dedicated namespace constify

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* imageviewer/helpdialog.ui: polish

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* imageviewer/viewerwidget.cpp, imageviewer/viewerwidget.h: polish

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* imageviewer/viewerwidget.cpp, imageviewer/viewerwidget.h: polish

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* imageviewer/texture.cpp, imageviewer/texture.h: polish

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* imageviewer/texture.cpp, imageviewer/texture.h: polish

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* imageviewer/texture.cpp, imageviewer/texture.h: polish

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* imageviewer/plugin_viewer.cpp, imageviewer/texture.cpp,
	imageviewer/texture.h, imageviewer/timer.cpp, imageviewer/timer.h,
	imageviewer/viewerwidget.cpp, imageviewer/viewerwidget.h: polish

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* imageviewer/helpdialog.ui: use dedicated namespace

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* imageviewer/viewerwidget.cpp, imageviewer/viewerwidget.h: polish

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* imageviewer/texture.cpp, imageviewer/texture.h: polish

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* imageviewer/timer.cpp, imageviewer/timer.h: polish

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* imageviewer/plugin_viewer.cpp, imageviewer/plugin_viewer.h: polish

2012-04-03  Gilles Caulier <caulier.gilles@gmail.com>

	* batchprocessimages/common/batchprocessimagesdialog.cpp,
	batchprocessimages/common/imagepreview.cpp,
	batchprocessimages/common/imagepreview.h: fix warnings

2012-04-02  Gilles Caulier <caulier.gilles@gmail.com>

	* imageviewer/plugin_viewer.cpp, imageviewer/plugin_viewer.h,
	imageviewer/texture.cpp, imageviewer/texture.h,
	imageviewer/timer.cpp, imageviewer/timer.h,
	imageviewer/viewerwidget.cpp, imageviewer/viewerwidget.h: use
	dedicated namespace

2012-04-02  Francesco Riosa <francesco+kde@pnpitalia.it>

	* photolayoutseditor/widgets/canvas/CropWidgetItem.cpp: Fix error
	compiling on arm Cast Q{Min,Max} to float where possible w/o loosing precision.
	Build failure at Debian automated build farm.  Architecture: armhf,
	armel https://buildd.debian.org/fetch.cgi?\
	pkg=digikam&arch=armhf&ver=4%3A2.6.0%7Ebeta2-2\
	&stamp=1333190767&file=log

2012-04-02  Gilles Caulier <caulier.gilles@gmail.com>

	* imageshackexport/plugin_imageshackexport.cpp,
	imageshackexport/plugin_imageshackexport.h: use dedicated namespace

2012-04-02  Gilles Caulier <caulier.gilles@gmail.com>

	* gpssync/plugin_gpssync.cpp, gpssync/plugin_gpssync.h: use
	dedicated namespace

2012-04-02  Gilles Caulier <caulier.gilles@gmail.com>

	* galleryexport/plugin_galleryexport.cpp,
	galleryexport/plugin_galleryexport.h: use dedicated namespace

2012-04-02  Gilles Caulier <caulier.gilles@gmail.com>

	* flickrexport/plugin_flickrexport.cpp,
	flickrexport/plugin_flickrexport.h: use dedicated namespace

2012-04-02  Gilles Caulier <caulier.gilles@gmail.com>

	* facebook/plugin_facebook.cpp, flashexport/plugin_flashexport.cpp,
	flashexport/plugin_flashexport.h: use dedicated namespace

2012-04-02  Gilles Caulier <caulier.gilles@gmail.com>

	* facebook/plugin_facebook.cpp, facebook/plugin_facebook.h: use
	dedicated namespace

2012-04-02  Gilles Caulier <caulier.gilles@gmail.com>

	* expoblending/plugin/plugin_expoblending.cpp,
	expoblending/plugin/plugin_expoblending.h: use dedicate namespace

2012-04-02  Gilles Caulier <caulier.gilles@gmail.com>

	* imgurexport/imgurwindow.cpp: polish

2012-04-02  Gilles Caulier <caulier.gilles@gmail.com>

	* imgurexport/imgurtalker.cpp, imgurexport/imgurtalker.h,
	imgurexport/imgurwidget.cpp, imgurexport/imgurwidget.h,
	imgurexport/imgurwindow.cpp, imgurexport/imgurwindow.h,
	imgurexport/plugin_imgurexport.cpp,
	imgurexport/plugin_imgurexport.h: use dedicated namespace into
	plugin creation class use KPProgressWidget use d private internal
	container implement About data and help menu button

2012-04-01  John Layt <jlayt@kde.org>

	* calendar/wizard/calwizard.cpp: KIPI: Switch to use correct date
	format api call Stop using a temp locale and use the correct api instead. KF5 prep.

2012-04-01  Gilles Caulier <caulier.gilles@gmail.com>

	* htmlexport/CMakeLists.txt, htmlexport/plugin.cpp,
	htmlexport/plugin.h, htmlexport/plugin_htmlexport.cpp,
	htmlexport/plugin_htmlexport.h: use dedicated namespace.  rename
	code file

2012-04-01  smit mehta <smit.meh@gmail.com>

	* picasawebexport/picasawebtalker.h,
	picasawebexport/picasawebwidget.cpp,
	picasawebexport/picasawebwidget.h,
	picasawebexport/picasawebwindow.cpp,
	picasawebexport/picasawebwindow.h, smug/smugwindow.cpp: Port form
	QProgress to digiKam progress manager via KPProgressWidget

2012-04-01  smit mehta <smit.meh@gmail.com>

	* smug/smugwindow.cpp: correction - port from QprogressBar to
	digiKam progress manager via KPProgressWidget

2012-04-01  smit mehta <smit.meh@gmail.com>

	* : commit 3cd6a6425a2f436f6eac371eee23a88a12acad66 Author: smit
	mehta <smit.meh@gmail.com> Date:   Sun Apr 1 20:23:13 2012 +0530

2012-04-01  Nicolas Lécureuil <neoclust.kde@free.fr>

	* : commit 6368a82eb2c3a836a161d96f63cd16c4ec09dd36 Author: Nicolas
	Lécureuil <neoclust.kde@free.fr> Date:   Sun Apr 1 14:15:53 2012
	+0200

2012-04-01  Gilles Caulier <caulier.gilles@gmail.com>

	* dngconverter/plugin/plugin_dngconverter.cpp,
	dngconverter/plugin/plugin_dngconverter.h: use dedicated namespace

2012-04-01  smit mehta <smit.meh@gmail.com>

	* facebook/fbwidget.h: polish

2012-04-01  smit mehta <smit.meh@gmail.com>

	* debianscreenshots/dswidget.cpp, debianscreenshots/dswidget.h,
	debianscreenshots/dswindow.cpp, debianscreenshots/dswindow.h: Port
	from QProgressBar to digiKam progress manager via KPProgressWidget

2012-03-31  smit mehta <smit.meh@gmail.com>

	* mediawiki/wmwidget.cpp, mediawiki/wmwidget.h,
	mediawiki/wmwindow.cpp: Port from QProgress to KPProgressWidget

2012-03-31  smit mehta <smit.meh@gmail.com>

	* facebook/fbwindow.cpp: Correction in label

2012-03-31  smit mehta <smit.meh@gmail.com>

	* : commit 20dd11ee90968302070b8b8742d158c70b5a7d05 Author: smit
	mehta <smit.meh@gmail.com> Date:   Sat Mar 31 23:07:01 2012 +0530

2012-03-31  Gilles Caulier <caulier.gilles@gmail.com>

	* debianscreenshots/plugin_debianscreenshots.cpp,
	debianscreenshots/plugin_debianscreenshots.h: use dedicated
	namespace

2012-03-31  Gilles Caulier <caulier.gilles@gmail.com>

	* calendar/plugin/plugin_calendar.cpp,
	calendar/plugin/plugin_calendar.h: use dedicated namespace

2012-03-31  Gilles Caulier <caulier.gilles@gmail.com>

	* tests/helloworld/plugin_helloworld.cpp: polish

2012-03-31  Gilles Caulier <caulier.gilles@gmail.com>

	* batchprocessimages/plugin/plugin_batchprocessimages.cpp,
	batchprocessimages/plugin/plugin_batchprocessimages.h: use dedicated
	namespace

2012-03-31  Gilles Caulier <caulier.gilles@gmail.com>

	* advancedslideshow/plugin/plugin_advancedslideshow.cpp,
	advancedslideshow/plugin/plugin_advancedslideshow.h: use dedicated
	namespace

2012-03-31  Gilles Caulier <caulier.gilles@gmail.com>

	* acquireimages/plugin_acquireimages.cpp,
	acquireimages/plugin_acquireimages.h: use dedicated namespace

2012-03-31  Gilles Caulier <caulier.gilles@gmail.com>

	* tests/helloworld/plugin_helloworld.cpp,
	tests/helloworld/plugin_helloworld.h: use dedicated namespace

2012-03-31  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/plugin_timeadjust.cpp, timeadjust/plugin_timeadjust.h: 
	we can use plugin namespace here

2012-03-31  Gilles Caulier <caulier.gilles@gmail.com>

	* facebook/CMakeLists.txt: polish

2012-03-31  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/tools/kpimageinfo.cpp,
	common/libkipiplugins/tools/kpimageinfo.h: polish

2012-03-31  Andi Clemens <andi.clemens@googlemail.com>

	* htmlexport/imagegenerationfunctor.cpp,
	photolayoutseditor/utils/qtpropertybrowser/src/qtpropertybrowser.cp
	p,
	photolayoutseditor/utils/qtpropertybrowser/src/qttreepropertybrowse
	r.cpp,
	photolayoutseditor/utils/qtpropertybrowser/src/qtvariantproperty.cp
	p: fix warnings

2012-03-31  Andi Clemens <andi.clemens@googlemail.com>

	* advancedslideshow/widgets/slideshowkb.cpp,
	common/libkipiplugins/dialogs/kpbatchprogressdialog.cpp,
	debianscreenshots/dswindow.cpp,
	dngconverter/dngwriter/extra/dng_sdk/dng_host.cpp,
	dngconverter/dngwriter/extra/dng_sdk/dng_image.cpp,
	dngconverter/dngwriter/extra/dng_sdk/dng_image_writer.cpp,
	dngconverter/dngwriter/extra/dng_sdk/dng_info.cpp,
	dngconverter/dngwriter/extra/dng_sdk/dng_iptc.cpp,
	dngconverter/dngwriter/extra/dng_sdk/dng_lossless_jpeg.cpp,
	dngconverter/dngwriter/extra/dng_sdk/dng_misc_opcodes.cpp,
	dngconverter/dngwriter/extra/dng_sdk/dng_mosaic_info.cpp,
	dngconverter/dngwriter/extra/dng_sdk/dng_orientation.cpp,
	dngconverter/dngwriter/extra/dng_sdk/dng_parse_utils.cpp,
	dngconverter/dngwriter/extra/dng_sdk/dng_pixel_buffer.cpp,
	dngconverter/dngwriter/extra/dng_sdk/dng_stream.cpp,
	dngconverter/dngwriter/extra/xmp_sdk/XMPCore/ParseRDF.cpp,
	dngconverter/dngwriter/extra/xmp_sdk/XMPCore/XMPCore_Impl.cpp,
	dngconverter/dngwriter/extra/xmp_sdk/XMPCore/XMPMeta-GetSet.cpp,
	dngconverter/plugin/actionthread.cpp,
	expoblending/manager/actionthread.cpp,
	flashexport/importWizard/lookpage.cpp,
	imageshackexport/imageshacktalker.cpp,
	imageshackexport/imageshackwindow.cpp,
	jpeglossless/plugin/actionthread.cpp,
	panorama/ptoparser/imageline_def.h: fix warnings

2012-03-31  smit mehta <smit.meh@gmail.com>

	* : commit 3488b566c137ec4672768199327b0e2b07719c44 Author: smit
	mehta <smit.meh@gmail.com> Date:   Sat Mar 31 16:47:48 2012 +0530

2012-03-31  Andi Clemens <andi.clemens@googlemail.com>

	*
	photolayoutseditor/utils/qtpropertybrowser/src/qtbuttonpropertybrow
	ser.cpp: fix warnings

2012-03-31  smit mehta <smit.meh@gmail.com>

	* imageshackexport/imageshackwidget.cpp,
	imageshackexport/imageshackwidget.h,
	imageshackexport/imageshackwindow.cpp: Port from QProgress to
	KPProgressWidget

2012-03-30  smit mehta <smit.meh@gmail.com>

	* : commit c2bab4183872b6be2b865b5ca51ae6b569e35ad6 Author: smit
	mehta <smit.meh@gmail.com> Date:   Fri Mar 30 19:30:13 2012 +0530

2012-03-30  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-03-30  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-03-30  smit mehta <smit.meh@gmail.com>

	* gpssync/gpssyncdialog.cpp: Port to KPProgressWidget

2012-03-30  smit mehta <smit.meh@gmail.com>

	* batchprocessimages/common/imagepreview.cpp,
	batchprocessimages/common/imagepreview.h,
	batchprocessimages/ui/imagepreview.ui: Porting the preview to
	KPPreviewManager BUGS:220221

2012-03-30  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/clockphotodialog.cpp, timeadjust/clockphotodialog.h,
	timeadjust/plugin_timeadjust.cpp, timeadjust/plugin_timeadjust.h,
	timeadjust/timeadjustdialog.cpp, timeadjust/timeadjustdialog.h: 
	polish

2012-03-30  Gilles Caulier <caulier.gilles@gmail.com>

	* sendimages/emailsettings.h, sendimages/emailsettingscontainer.h,
	sendimages/imageresize.cpp, sendimages/imageresize.h,
	sendimages/myimagelist.h, sendimages/plugin_sendimages.cpp,
	sendimages/sendimages.cpp, sendimages/sendimages.h,
	sendimages/sendimagesdialog.cpp, sendimages/sendimagesdialog.h,
	sendimages/settingswidget.cpp, sendimages/settingswidget.h: 
	emailsettingscontainer => emailsettings

2012-03-30  Gilles Caulier <caulier.gilles@gmail.com>

	* sendimages/CMakeLists.txt, sendimages/emailpage.cpp,
	sendimages/emailpage.h, sendimages/sendimagesdialog.cpp,
	sendimages/settingswidget.cpp, sendimages/settingswidget.h: 
	emailpage => settingswidget

2012-03-30  Gilles Caulier <caulier.gilles@gmail.com>

	* sendimages/CMakeLists.txt, sendimages/imagespage.cpp,
	sendimages/imagespage.h, sendimages/myimagelist.cpp,
	sendimages/myimagelist.h, sendimages/sendimagesdialog.cpp: 
	imagepages => myimagelist

2012-03-30  Gilles Caulier <caulier.gilles@gmail.com>

	* sendimages/emailpage.cpp, sendimages/imagespage.cpp,
	sendimages/sendimagesdialog.cpp, sendimages/sendimagesdialog.h: do
	not use a KPageDialog in this plugin. This is only 2 pages used.
	Group images list and email settings on same layout as other
	plugins.

2012-03-30  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/dialogs/kpbatchprogressdialog.cpp,
	sendimages/emailpage.cpp, sendimages/emailpage.h,
	sendimages/emailsettingscontainer.h, sendimages/imageresize.cpp,
	sendimages/imageresize.h, sendimages/plugin_sendimages.cpp,
	sendimages/plugin_sendimages.h, sendimages/sendimages.cpp,
	sendimages/sendimages.h, sendimages/sendimagesdialog.cpp,
	sendimages/sendimagesdialog.h: constify and polish.  Add internal
	cancel variable to manage event from mutithreading when user press
	Cancel button

2012-03-29  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/dialogs/kpbatchprogressdialog.cpp,
	common/libkipiplugins/dialogs/kpbatchprogressdialog.h: set this
	dialog non modal.  connect progress manager cancel button to dialog
	and dispatch relevant signal

2012-03-29  smit mehta <smit.meh@gmail.com>

	* : commit df90058e331b3cde1a624b36c1e945af404b24e9 Author: smit
	mehta <smit.meh@gmail.com> Date:   Thu Mar 29 19:12:11 2012 +0530

2012-03-29  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/dialogs/kpbatchprogressdialog.cpp,
	common/libkipiplugins/dialogs/kpbatchprogressdialog.h: implement
	progress management with KIPI host feature throuhj batch progress
	dialog. Not yet complete

2012-03-29  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/dialogs/kpbatchprogressdialog.cpp,
	common/libkipiplugins/dialogs/kpbatchprogressdialog.h: no need d
	private internal container here

2012-03-29  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/dialogs/kpbatchprogressdialog.cpp,
	common/libkipiplugins/dialogs/kpbatchprogressdialog.h: polish API

2012-03-29  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/dialogs/kpbatchprogressdialog.cpp,
	common/libkipiplugins/dialogs/kpbatchprogressdialog.h: polish API

2012-03-29  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/clockphotodialog.cpp, timeadjust/clockphotodialog.h,
	timeadjust/timeadjustdialog.cpp: polish

2012-03-29  Gilles Caulier <caulier.gilles@gmail.com>

	* rawconverter/dialogs/batchdialog.cpp,
	rawconverter/dialogs/batchdialog.h,
	rawconverter/dialogs/singledialog.cpp,
	rawconverter/dialogs/singledialog.h,
	rawconverter/manager/actionthread.cpp,
	rawconverter/manager/actionthread.h,
	rawconverter/plugin/plugin_rawconverter.cpp: polish Interface
	visibility and management. Code simplification

2012-03-29  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/tools/kpimageinfo.cpp,
	dngconverter/dngwriter/dngwriter.cpp,
	dngconverter/dngwriter/dngwriter.h,
	dngconverter/dngwriter/dngwriter_p.cpp,
	dngconverter/dngwriter/dngwriter_p.h,
	dngconverter/dngwriter/dngwriterhost.cpp,
	dngconverter/dngwriter/dngwriterhost.h,
	dngconverter/plugin/actionthread.cpp,
	dngconverter/plugin/actionthread.h,
	dngconverter/plugin/batchdialog.cpp,
	dngconverter/plugin/batchdialog.h,
	dngconverter/plugin/dngconverter.cpp,
	dngconverter/plugin/plugin_dngconverter.cpp: KPImageInfo : all
	KPMetadata are not used properly to get/set metadata from/to item
	usrl in case of Interface is null.  DNGConverter : Interface is not
	necessary now, since all libkipiplugins tools classes manage
	Interface internaly.  Code simplification and factorization

2012-03-28  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/widgets/kpimageslist.cpp: polish

2012-03-28  smit mehta <smit.meh@gmail.com>

	* NEWS: update

2012-03-28  smit mehta <smit.meh@gmail.com>

	* : commit 0d292c3582caa3811b6e793c9ee605d478d470b7 Author: smit
	mehta <smit.meh@gmail.com> Date:   Wed Mar 28 19:55:51 2012 +0530

2012-03-28  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/widgets/kpprogresswidget.cpp,
	common/libkipiplugins/widgets/kpprogresswidget.h: polish

2012-03-28  smit mehta <smit.meh@gmail.com>

	* common/libkipiplugins/dialogs/kpbatchprogressdialog.cpp,
	common/libkipiplugins/dialogs/kpbatchprogressdialog.h,
	dngconverter/plugin/batchdialog.cpp,
	rawconverter/dialogs/batchdialog.cpp,
	timeadjust/timeadjustdialog.cpp: Updating constructor call of
	KPProgressWidget and replacing QProgressBar in kpbatchprocess CCMAIL:caulier.gilles@gmail.com

2012-03-28  smit mehta <smit.meh@gmail.com>

	* common/libkipiplugins/widgets/kpprogresswidget.cpp,
	common/libkipiplugins/widgets/kpprogresswidget.h: Using KIPI plugin
	loader singleton instance, we don't need to pass KIPI interface
	instance to KPProgressWidget constructor.  CCMAIL:caulier.gilles@gmail.com

2012-03-28  Gilles Caulier <caulier.gilles@gmail.com>

	* imgurexport/imgurimageslist.cpp, imgurexport/imgurimageslist.h,
	imgurexport/imgurwidget.cpp, imgurexport/imgurwidget.h,
	imgurexport/imgurwindow.cpp: compile

2012-03-28  Gilles Caulier <caulier.gilles@gmail.com>

	* dngconverter/plugin/settingswidget.cpp: polish

2012-03-28  Gilles Caulier <caulier.gilles@gmail.com>

	* dngconverter/plugin/batchdialog.cpp,
	dngconverter/plugin/settingswidget.cpp,
	dngconverter/plugin/settingswidget.h: polish

2012-03-28  Gilles Caulier <caulier.gilles@gmail.com>

	* advancedslideshow/dialogs/maindialog.cpp,
	common/libkipiplugins/widgets/kpimageslist.cpp,
	common/libkipiplugins/widgets/kpimageslist.h,
	debianscreenshots/dswidget.cpp, debianscreenshots/dswidget.h,
	debianscreenshots/dswindow.cpp,
	dngconverter/plugin/batchdialog.cpp,
	dngconverter/plugin/myimagelist.cpp,
	dngconverter/plugin/myimagelist.h,
	expoblending/importwizard/itemspage.cpp, facebook/fbwidget.cpp,
	flashexport/importWizard/selectionpage.cpp,
	flickrexport/flickrlist.cpp, flickrexport/flickrlist.h,
	flickrexport/flickrwidget.cpp, flickrexport/flickrwidget.h,
	flickrexport/flickrwindow.cpp,
	imageshackexport/imageshackwidget.cpp,
	imageshackexport/imageshackwidget.h,
	imageshackexport/imageshackwindow.cpp,
	kioexportimport/KioExportWidget.cpp,
	kioexportimport/KioExportWidget.h,
	kioexportimport/KioExportWindow.cpp,
	kioexportimport/KioImportWidget.cpp, mediawiki/wmwidget.cpp,
	mediawiki/wmwidget.h, mediawiki/wmwindow.cpp,
	panorama/importwizard/itemspage.cpp,
	picasawebexport/picasawebimglist.cpp,
	picasawebexport/picasawebimglist.h,
	picasawebexport/picasawebwidget.cpp, printimages/wizard/wizard.cpp,
	rajceexport/rajcewidget.cpp, rawconverter/dialogs/batchdialog.cpp,
	rawconverter/dialogs/myimagelist.cpp,
	rawconverter/dialogs/myimagelist.h,
	removeredeyes/plugin/removeredeyeswindow.cpp,
	removeredeyes/widgets/myimageslist.cpp,
	removeredeyes/widgets/myimageslist.h, sendimages/imagespage.cpp,
	sendimages/imagespage.h, sendimages/plugin_sendimages.cpp,
	sendimages/plugin_sendimages.h, sendimages/sendimagesdialog.cpp,
	sendimages/sendimagesdialog.h, shwup/swwidget.cpp,
	smug/smugwidget.cpp, tests/multithreading/imageselector.cpp,
	vkontakte/vkwindow.cpp, yandexfotki/yfwindow.cpp: using KIPI plugin
	loader singleton instance, we don't need to pass KIPI interface
	instance to KPImageList constructor.

2012-03-28  Gilles Caulier <caulier.gilles@gmail.com>

	* batchprocessimages/common/batchprocessimagesdialog.cpp,
	batchprocessimages/tools/renameimageswidget.cpp,
	calendar/wizard/monthwidget.cpp,
	common/libkipiplugins/dialogs/kpimagedialog.cpp,
	common/libkipiplugins/dialogs/kpimagedialog.h,
	ipodexport/IpodExportDialog.cpp,
	photolayoutseditor/plugin/photolayoutseditor.cpp,
	photolayoutseditor/widgets/canvas/Scene.cpp,
	picasawebexport/picasawebimglist.cpp,
	timeadjust/clockphotodialog.cpp: using KIPI plugin loader singleton
	instance, we don't need to pass KIPI interface instance to
	KPImageDialog constructor.

2012-03-28  Gilles Caulier <caulier.gilles@gmail.com>

	* metadataedit/exif/exifadjust.cpp, metadataedit/exif/exifadjust.h,
	metadataedit/exif/exifcaption.cpp, metadataedit/exif/exifcaption.h,
	metadataedit/exif/exifdatetime.cpp,
	metadataedit/exif/exifdatetime.h, metadataedit/exif/exifdevice.cpp,
	metadataedit/exif/exifdevice.h,
	metadataedit/exif/exifeditwidget.cpp,
	metadataedit/exif/exiflens.cpp, metadataedit/exif/exiflens.h,
	metadataedit/exif/exiflight.cpp, metadataedit/exif/exiflight.h,
	metadataedit/iptc/iptccategories.cpp,
	metadataedit/iptc/iptccategories.h,
	metadataedit/iptc/iptccontent.cpp, metadataedit/iptc/iptccontent.h,
	metadataedit/iptc/iptccredits.cpp, metadataedit/iptc/iptccredits.h,
	metadataedit/iptc/iptceditwidget.cpp,
	metadataedit/iptc/iptcenvelope.cpp,
	metadataedit/iptc/iptcenvelope.h,
	metadataedit/iptc/iptckeywords.cpp,
	metadataedit/iptc/iptckeywords.h, metadataedit/iptc/iptcorigin.cpp,
	metadataedit/iptc/iptcorigin.h,
	metadataedit/iptc/iptcproperties.cpp,
	metadataedit/iptc/iptcproperties.h,
	metadataedit/iptc/iptcstatus.cpp, metadataedit/iptc/iptcstatus.h,
	metadataedit/iptc/iptcsubjects.cpp,
	metadataedit/iptc/iptcsubjects.h,
	metadataedit/xmp/xmpcategories.cpp,
	metadataedit/xmp/xmpcategories.h, metadataedit/xmp/xmpcontent.cpp,
	metadataedit/xmp/xmpcontent.h, metadataedit/xmp/xmpcredits.cpp,
	metadataedit/xmp/xmpcredits.h, metadataedit/xmp/xmpeditwidget.cpp,
	metadataedit/xmp/xmpkeywords.cpp, metadataedit/xmp/xmpkeywords.h,
	metadataedit/xmp/xmporigin.cpp, metadataedit/xmp/xmporigin.h,
	metadataedit/xmp/xmpproperties.cpp,
	metadataedit/xmp/xmpproperties.h, metadataedit/xmp/xmpstatus.cpp,
	metadataedit/xmp/xmpstatus.h, metadataedit/xmp/xmpsubjects.cpp,
	metadataedit/xmp/xmpsubjects.h: no need to pass Interface intance as
	argument here

2012-03-28  Gilles Caulier <caulier.gilles@gmail.com>

	* batchprocessimages/tools/convertimagesdialog.cpp,
	common/libkipiplugins/tools/kpimageinfo.cpp,
	common/libkipiplugins/tools/kpmetadata.cpp,
	common/libkipiplugins/tools/kpmetadata.h,
	dngconverter/dngwriter/dngwriter.cpp, gpssync/kipiimageitem.cpp,
	kmlexport/kmlexport.cpp, metadataedit/exif/exifadjust.cpp,
	metadataedit/exif/exifcaption.cpp,
	metadataedit/exif/exifdatetime.cpp,
	metadataedit/exif/exifdevice.cpp,
	metadataedit/exif/exifeditwidget.cpp,
	metadataedit/exif/exiflens.cpp, metadataedit/exif/exiflight.cpp,
	metadataedit/iptc/iptccategories.cpp,
	metadataedit/iptc/iptccontent.cpp,
	metadataedit/iptc/iptccredits.cpp,
	metadataedit/iptc/iptceditwidget.cpp,
	metadataedit/iptc/iptcenvelope.cpp,
	metadataedit/iptc/iptckeywords.cpp,
	metadataedit/iptc/iptcorigin.cpp,
	metadataedit/iptc/iptcproperties.cpp,
	metadataedit/iptc/iptcstatus.cpp,
	metadataedit/iptc/iptcsubjects.cpp,
	metadataedit/plugin/plugin_metadataedit.cpp,
	metadataedit/xmp/xmpcategories.cpp,
	metadataedit/xmp/xmpcontent.cpp, metadataedit/xmp/xmpcredits.cpp,
	metadataedit/xmp/xmpeditwidget.cpp,
	metadataedit/xmp/xmpkeywords.cpp, metadataedit/xmp/xmporigin.cpp,
	metadataedit/xmp/xmpproperties.cpp, metadataedit/xmp/xmpstatus.cpp,
	metadataedit/xmp/xmpsubjects.cpp,
	rawconverter/manager/actionthread.cpp,
	rawconverter/manager/rawdecodingiface.cpp,
	rawconverter/manager/rawdecodingiface.h,
	timeadjust/timeadjustdialog.cpp: using KIPI plugin loader singleton
	instance, we don't need to pass KIPI interface instance to
	KPMetadata constructor.

2012-03-28  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit cdc37d387699542a91324c451a0e66d30a136c7c Author:
	Veaceslav Munteanu <slavuttici@gmail.com> Date:   Thu Mar 29
	10:57:14 2012 +0300

2012-03-28  Gilles Caulier <caulier.gilles@gmail.com>

	* advancedslideshow/plugin/slideshowloader.cpp,
	advancedslideshow/widgets/slideshow.cpp,
	advancedslideshow/widgets/slideshowgl.cpp,
	batchprocessimages/common/batchprocessimagesdialog.cpp,
	batchprocessimages/tools/renameimageswidget.cpp,
	calendar/print/calprinter.cpp, calendar/wizard/calwidget.cpp,
	common/libkipiplugins/tools/kpimageinfo.cpp,
	common/libkipiplugins/tools/kpimageinfo.h,
	common/libkipiplugins/widgets/kpimageslist.cpp,
	dngconverter/plugin/batchdialog.cpp, facebook/fbwindow.cpp,
	flashexport/simpleviewer.cpp, flickrexport/flickrwindow.cpp,
	galleryexport/gallerywindow.cpp, gpssync/kipiimageitem.cpp,
	htmlexport/generator.cpp, imageviewer/texture.cpp,
	ipodexport/IpodExportDialog.cpp, kmlexport/kmlexport.cpp,
	mediawiki/wmwindow.cpp, metadataedit/exif/exifeditwidget.cpp,
	metadataedit/iptc/iptceditwidget.cpp,
	metadataedit/xmp/xmpeditwidget.cpp,
	picasawebexport/picasawebwindow.cpp,
	rawconverter/dialogs/batchdialog.cpp,
	rawconverter/dialogs/singledialog.cpp, smug/smugwindow.cpp,
	timeadjust/timeadjustdialog.cpp, yandexfotki/yfwindow.cpp: using
	KIPI plugin loader singleton instance, we don't need to pass KIPI
	interface instance to KPImageInfo constructor.

2012-03-28  Gilles Caulier <caulier.gilles@gmail.com>

	* common/libkipiplugins/tools/kphostsettings.cpp: init interface to
	0 in constructor

2012-03-28  Gilles Caulier <caulier.gilles@gmail.com>

	* jpeglossless/plugin/actionthread.cpp,
	jpeglossless/plugin/actionthread.h,
	jpeglossless/plugin/plugin_jpeglossless.cpp,
	tests/multithreading/imageselector.cpp: no need to pass Interface
	instance here

2012-03-28  Gilles Caulier <caulier.gilles@gmail.com>

	* batchprocessimages/common/batchprocessimagesdialog.cpp,
	common/libkipiplugins/tools/kphostsettings.cpp,
	common/libkipiplugins/tools/kphostsettings.h,
	common/libkipiplugins/tools/kpmetadata.cpp,
	dngconverter/plugin/settingswidget.cpp, gpssync/kipiimageitem.cpp,
	jpeglossless/plugin/actionthread.cpp,
	removeredeyes/plugin/removeredeyeswindow.cpp: using KIPI plugin
	loader singleton instance, we don't need to pass KIPI interface
	instance to KPHostSettings constructor.  This simplify a lots coding
	in plugins with this class.

2012-03-28  Gilles Caulier <caulier.gilles@gmail.com>

	* metadataedit/plugin/plugin_metadataedit.cpp: host settings is not
	used here

2012-03-28  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/timeadjustdialog.cpp: no need host settings here.
	passing interface to KPMetadata will set KIPI application settings
	automatically to Metadata Manager

2012-03-27  smit mehta <smit.meh@gmail.com>

	* rawconverter/dialogs/batchdialog.cpp: RAWConverter now supports
	progress notification into kipi host application (KPProgressWidget) CCMAIL: caulier.gilles@gmail.com

2012-03-27  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit ac33691d5847ea5a191b1867b00fa37f46809ffb Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Tue Mar 27 11:02:42 2012
	+0200

2012-03-27  Andrew Goodbody <ajg02@elfringham.co.uk>

	* NEWS: update

2012-03-27  Andrew Goodbody <ajg02@elfringham.co.uk>

	* : commit 15acb5f9f54a393b3767aeb9e9f5fe6d1c9f16a0 Author: Andrew
	Goodbody <ajg02@elfringham.co.uk> Date:   Tue Mar 27 09:21:20 2012
	+0100

2012-03-27  Gilles Caulier <caulier.gilles@gmail.com>

	* galleryexport/gallerywindow.cpp, galleryexport/gallerywindow.h: 
	code polish.  Compile (missing kipi header with current libkipi from
	git/master).  Fix m_ prefix with private members. Andrew, all these
	private members must be moved to d private internal container.
	CCMAIL: ajg02@elfringham.co.uk

2012-03-27  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-03-27  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-03-27  Gilles Caulier <caulier.gilles@gmail.com>

	* timeadjust/clockphotodialog.cpp, timeadjust/clockphotodialog.h,
	timeadjust/plugin_timeadjust.cpp, timeadjust/plugin_timeadjust.h,
	timeadjust/timeadjustdialog.cpp, timeadjust/timeadjustdialog.h: 
	constify and polish use more private internal container do not use
	cancel button and thumbnail feature with KPProgressWidget.  Fix
	deprecated KIO::NetAccess::move() by KIO::move() CCMAIL:
	smit.meh@gmail.com

2012-03-27  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update NEWS file CCBUGS: 134222

2012-03-27  Andrew Goodbody <ajg02@elfringham.co.uk>

	* galleryexport/gallerywindow.cpp: Pre-selection of files for
	Gallery exporter Replace the call to open a file selection dialogue box to obtain the
	list of files to upload with a call that simply returns the list of
	the files that are currently selected in digikam. Also update the
	button text to reflect the changed behaviour.  BUG: 134222

2012-03-26  smit mehta <smit.meh@gmail.com>

	* NEWS: update

2012-03-26  smit mehta <smit.meh@gmail.com>

	* timeadjust/timeadjustdialog.cpp: BUGS:279444 Added progress bar to show progress information when updating date
	on several images

2012-03-26  Script Kiddy <scripty@kde.org>

	* imageshackexport/kipiplugin_imageshackexport.desktop,
	imgurexport/kipiplugin_imgurexport.desktop,
	tests/helloworld/kipiplugin_helloworld.desktop: SVN_SILENT made
	messages (.desktop file)

2012-03-25  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-03-25  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-03-25  smit mehta <smit.meh@gmail.com>

	* : commit 3d2ba880ed4cb626f0c92097cd10b8937d31af63 Author: smit
	mehta <smit.meh@gmail.com> Date:   Sun Mar 25 23:55:59 2012 +0530

2012-03-25  Łukasz Spas <lukasz.spas@gmail.com>

	* : commit 2ad017b24f390a4e3dfe99a1c45144035eca8487 Author: Łukasz
	Spas <lukasz.spas@gmail.com> Date:   Sun Mar 25 20:15:43 2012 +0200

2012-03-25  Benjamin Girault <benjamin.girault@gmail.com>

	* panorama/ptoparser/ptoparser.cpp: Panorama: simplification for
	boost < 1.43

2012-03-25  Gilles Caulier <caulier.gilles@gmail.com>

	* NEWS: update

2012-03-25  Łukasz Spas <lukasz.spas@gmail.com>

	* photolayoutseditor/CMakeLists.txt,
	photolayoutseditor/widgets/canvas/Canvas.cpp,
	photolayoutseditor/widgets/canvas/Scene.cpp: PhotoLayoutsEditor:
	MSVC warnings && zooming bug (not reported yet) fixes

2012-03-25  smit mehta <smit.meh@gmail.com>

	* : commit aee199568a148db0ef94dbbf1b4b42d59108de64 Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Sun Mar 25 19:07:00 2012
	+0200

2012-03-25  smit mehta <smit.meh@gmail.com>

	* timeadjust/timeadjustdialog.cpp: BUG 193874 Added an option for
	modifying the filename.

2012-03-25  Gilles Caulier <caulier.gilles@gmail.com>

	* : commit 56667229a8b2ed739432c5f7b770740379104881 Author: Gilles
	Caulier <caulier.gilles@gmail.com> Date:   Sun Mar 25 19:00:59 2012
	+0200

2012-03-25  Benjamin Girault <benjamin.girault@gmail.com>

	* panorama/CMakeLists.txt, panorama/ptoparser/common.h,
	panorama/ptoparser/controlpointline.h,
	panorama/ptoparser/imageline.h,
	panorama/ptoparser/optimisationline.h,
	panorama/ptoparser/projectline.h, panorama/ptoparser/ptoparser.h,
	panorama/ptoparser/ptotype.cpp, panorama/ptoparser/ptotype.h,
	panorama/ptoparser/variousgrammar.h,
	panorama/ptotype/boost_adapt.h, panorama/ptotype/ptotype.cpp,
	panorama/ptotype/ptotype.h: Panorama: Bugfixes  - CMakeLists.txt: cleanup (no need for OpenMP anymore)  - Code preparation for the PTO generator  - Bugfix in common.h / boost_adapt.h

2012-03-25  Gilles Caulier <caulier.gilles@gmail.com>

	* photolayoutseditor/CMakeLists.txt: polish

2012-03-25  smit mehta <smit.meh@gmail.com>

	* NEWS: updating news after solving the bug 296579

2012-03-25  smit mehta <smit.meh@gmail.com>

	* timeadjust/timeadjustdialog.cpp: CCBUG:296579 This solves the bug 296579

2012-03-23  Andrew Goodbody <ajg02@elfringham.co.uk>

	* galleryexport/gallerywindow.cpp: Compare current album
	parent_ref_num to ref_num rather than title

2012-03-23  Gilles Caulier <caulier.gilles@gmail.com>

	* expoblending/CMakeLists.txt: fix path to icons

2012-03-23  Gilles Caulier <caulier.gilles@gmail.com>

	* panorama/CMakeLists.txt: fix path to icons... but files are
	missing.

2012-03-23  Gilles Caulier <caulier.gilles@gmail.com>

	* photolayoutseditor/CMakeLists.txt: fix path to app icons here too

2012-03-23  Gilles Caulier <caulier.gilles@gmail.com>

	* dngconverter/plugin/CMakeLists.txt: Under windows, there is a
